%   ORIGINAL: Marchal_cells_2_new.RCONE_GT_SUBSET_RCONE_GE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: RCONE_GT_GE: rcone_gt z w h = rcone_ge z w h DIFF {x | (x - z) dot (w - z) = norm (x - z) * norm (w - z) * h}
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !z w h. rcone_gt z w h SUBSET rcone_ge z w h
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: !w z h. rcone_gt z w h = rcone_ge z w h DIFF {x | (x - z) dot (w - z) = norm (x - z) * norm (w - z) * h}
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !z w h. rcone_gt z w h SUBSET rcone_ge z w h
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cin1, type, in1 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn3 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdot, type, dot : (cartrealn3 > cartrealn3 > real)).
thf(cgspec0, type, gspec0 : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin0, type, in0 : (q43851 > (q43851 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(csetspec0, type, setspec0 : (cartrealn3 > $o > cartrealn3 > $o)).
thf(cdiff0, type, diff0 : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(crconeuu_ge, type, rconeu_ge : (cartrealn3 > cartrealn3 > real > cartrealn3 > $o)).
thf(crconeuu_gt, type, rconeu_gt : (cartrealn3 > cartrealn3 > real > cartrealn3 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in0 @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aRCONEu_GTu_GE, axiom, ![W:cartrealn3,Z:cartrealn3,H:real]:((rconeu_gt @ Z @ W @ H) = (diff0 @ (rconeu_ge @ Z @ W @ H) @ (gspec0 @ ^[GENR_PVARR_2653:cartrealn3]:?[X:cartrealn3]:(setspec0 @ GENR_PVARR_2653 @ ((dot @ (vectoru_sub @ X @ Z) @ (vectoru_sub @ W @ Z)) = (realu_mul @ (vectoru_norm @ (vectoru_sub @ X @ Z)) @ (realu_mul @ (vectoru_norm @ (vectoru_sub @ W @ Z)) @ H))) @ X))))).
thf(aSUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((subset @ S @ T) <=> ![X:cartrealn3]:((in1 @ X @ S) => (in1 @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Z:cartrealn3,W:cartrealn3,H:real]:(subset @ (rconeu_gt @ Z @ W @ H) @ (rconeu_ge @ Z @ W @ H))).
