%   ORIGINAL: Marchal_cells_2.IN_SET_IMP_IN_CONVEX_HULL_SET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_HULL_EQ: !s. convex hull s = s <=> convex s
% Assm: CONVEX_SING: !a. convex {a}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: Marchal_cells.CONVEX_HULL_SUBSET: !S S'. S SUBSET S' ==> convex hull S SUBSET convex hull S'
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: !a S. a IN S ==> a IN convex hull S
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. convex hull s = s <=> convex s
% Assm: !a. convex {a}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !S S'. S SUBSET S' ==> convex hull S SUBSET convex hull S'
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !a S. a IN S ==> a IN convex hull S
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(chull, type, hull : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cconvex, type, convex : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_HULLu_EQ, axiom, ![S:(cartrealn3 > $o)]:(((hull @ convex @ S) = S) <=> (convex @ S))).
thf(aCONVEXu_SING, axiom, ![A:cartrealn3]:(convex @ (insert @ A @ empty))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ P) <=> (P @ X))).
thf(aINu_INSERT, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aMarchalu_cellso_CONVEXu_HULLu_SUBSET, axiom, ![S:(cartrealn3 > $o),SI_:(cartrealn3 > $o)]:((subset @ S @ SI_) => (subset @ (hull @ convex @ S) @ (hull @ convex @ SI_)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn3]:~ ((in @ X @ empty))).
thf(aSUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((subset @ S @ T) <=> ![X:cartrealn3]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn3,S:(cartrealn3 > $o)]:((in @ A @ S) => (in @ A @ (hull @ convex @ S)))).
