%   ORIGINAL: NULLSET_RULES_conjunct1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NEGLIGIBLE_UNION: !s t. negligible s /\ negligible t ==> negligible (s UNION t)
% Assm: NULLSET_RULES_conjunct0: !P. plane P \/ sphere P \/ circular_cone P ==> NULLSET P
% Assm: TRUTH: T
% Goal: !s t. NULLSET s /\ NULLSET t ==> NULLSET (s UNION t)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s t. NULLSET s /\ NULLSET t ==> NULLSET (s UNION t)
% Assm: !P. plane P \/ sphere P \/ circular_cone P ==> NULLSET P
% Assm: T
% Goal: !s t. NULLSET s /\ NULLSET t ==> NULLSET (s UNION t)
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cunion, type, union : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccircularuu_cone, type, circularu_cone : ((cartrealn3 > $o) > $o)).
thf(csphere, type, sphere : ((cartrealn3 > $o) > $o)).
thf(cplane, type, plane : ((cartrealn3 > $o) > $o)).
thf(cnegligible, type, negligible : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNEGLIGIBLEu_UNION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((negligible @ S) & (negligible @ T)) => (negligible @ (union @ S @ T)))).
thf(aNULLSETu_RULESu_conjunct0, axiom, ![P:(cartrealn3 > $o)]:(((plane @ P) | (sphere @ P) | (circularu_cone @ P)) => (negligible @ P))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((negligible @ S) & (negligible @ T)) => (negligible @ (union @ S @ T)))).
