%   ORIGINAL: Marchal_cells_3.HD_IN_ROGERS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: Marchal_cells_2.IN_SET_IMP_IN_CONVEX_HULL_SET: !a S. a IN S ==> a IN convex hull S
% Assm: Marchal_cells_2_new.ROGERS_EXPLICIT: !V ul. saturated V /\ packing V /\ barV V 3 ul ==> rogers V ul = convex hull {HD ul, omega_list_n V ul 1, omega_list_n V ul 2, omega_list_n V ul 3}
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !V ul. saturated V /\ packing V /\ barV V 3 ul ==> HD ul IN rogers V ul
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !a S. a IN S ==> a IN convex hull S
% Assm: !V ul. saturated V /\ packing V /\ barV V 3 ul ==> rogers V ul = convex hull {HD ul, omega_list_n V ul 1, omega_list_n V ul 2, omega_list_n V ul 3}
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !V ul. saturated V /\ packing V /\ barV V 3 ul ==> HD ul IN rogers V ul
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tlistcartrealn3, type, listcartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(chd, type, hd : (listcartrealn3 > cartrealn3)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(comegauu_listuu_n, type, omegau_listu_n : ((cartrealn3 > $o) > listcartrealn3 > num > cartrealn3)).
thf(chull, type, hull : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(crogers, type, rogers : ((cartrealn3 > $o) > listcartrealn3 > cartrealn3 > $o)).
thf(cbarv, type, barv : ((cartrealn3 > $o) > num > listcartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cconvex, type, convex : ((cartrealn3 > $o) > $o)).
thf(cpacking, type, packing : ((cartrealn3 > $o) > $o)).
thf(csaturated, type, saturated : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINu_INSERT, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aMarchalu_cellsu_2o_INu_SETu_IMPu_INu_CONVEXu_HULLu_SET, axiom, ![A:cartrealn3,S:(cartrealn3 > $o)]:((in @ A @ S) => (in @ A @ (hull @ convex @ S)))).
thf(aMarchalu_cellsu_2u_newo_ROGERSu_EXPLICIT, axiom, ![V:(cartrealn3 > $o),UL:listcartrealn3]:(((saturated @ V) & (packing @ V) & (barv @ V @ (numeral @ (bit1 @ (bit1 @ u_0))) @ UL)) => ((rogers @ V @ UL) = (hull @ convex @ (insert @ (hd @ UL) @ (insert @ (omegau_listu_n @ V @ UL @ (numeral @ (bit1 @ u_0))) @ (insert @ (omegau_listu_n @ V @ UL @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (insert @ (omegau_listu_n @ V @ UL @ (numeral @ (bit1 @ (bit1 @ u_0)))) @ empty)))))))).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn3]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:(cartrealn3 > $o),UL:listcartrealn3]:(((saturated @ V) & (packing @ V) & (barv @ V @ (numeral @ (bit1 @ (bit1 @ u_0))) @ UL)) => (in @ (hd @ UL) @ (rogers @ V @ UL)))).
