%   ORIGINAL: Marchal_cells_3.UNBOUNDED_HYPERPLANE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ARITH_EQ_conjunct0: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: ARITH_EQ_conjunct3: !n. BIT1 n = _0 <=> F
% Assm: ARITH_EQ_conjunct9: !m n. BIT1 m = BIT1 n <=> m = n
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: DIMINDEX_3: dimindex (:3) = 3
% Assm: Marchal_cells_3.BOUNDED_HYPERPLANE_EQ_TRIVIAL: !a b. bounded {x | a dot x = b} <=> (if a = vec 0 then ~(b = &0) else dimindex (:N) = 1)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !a b. ~(a = vec 0) ==> ~bounded {x | a dot x = b}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !m n. NUMERAL m = NUMERAL n <=> m = n
% Assm: !n. BIT1 n = _0 <=> F
% Assm: !m n. BIT1 m = BIT1 n <=> m = n
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: dimindex (:3) = 3
% Assm: !a b. bounded {x | a dot x = b} <=> (if a = vec 0 then ~(b = &0) else dimindex (:3) = 1)
% Assm: ~F <=> T
% Assm: T
% Goal: !a b. ~(a = vec 0) ==> ~bounded {x | a dot x = b}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cdot, type, dot : (cartrealn3 > cartrealn3 > real)).
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond1, type, cond1 : ($o > $o > $o > $o)).
thf(ccond0, type, cond0 : ($o > cartrealn3 > cartrealn3 > cartrealn3)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(cuniv, type, univ : (n3 > $o)).
thf(cbounded, type, bounded : ((cartrealn3 > $o) > $o)).
thf(cdimindex, type, dimindex : ((n3 > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aARITHu_EQu_conjunct0, axiom, ![M:num,N:num]:(((numeral @ M) = (numeral @ N)) <=> (M = N))).
thf(aARITHu_EQu_conjunct3, axiom, ![N:num]:(((bit1 @ N) = u_0) <=> $false)).
thf(aARITHu_EQu_conjunct9, axiom, ![M:num,N:num]:(((bit1 @ M) = (bit1 @ N)) <=> (M = N))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:cartrealn3,T2:cartrealn3]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aDIMINDEXu_3, axiom, ((dimindex @ univ) = (numeral @ (bit1 @ (bit1 @ u_0))))).
thf(aMarchalu_cellsu_3o_BOUNDEDu_HYPERPLANEu_EQu_TRIVIAL, axiom, ![A:cartrealn3,B:real]:((bounded @ (gspec @ ^[GENR_PVARR_1260:cartrealn3]:?[X:cartrealn3]:(setspec @ GENR_PVARR_1260 @ ((dot @ A @ X) = B) @ X))) <=> (cond1 @ (A = (vec @ (numeral @ u_0))) @ ~ ((B = (realu_ofu_num @ (numeral @ u_0)))) @ ((dimindex @ univ) = (numeral @ (bit1 @ u_0)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn3,B:real]:(~ ((A = (vec @ (numeral @ u_0)))) => ~ ((bounded @ (gspec @ ^[GENR_PVARR_1261:cartrealn3]:?[X:cartrealn3]:(setspec @ GENR_PVARR_1261 @ ((dot @ A @ X) = B) @ X)))))).
