%   ORIGINAL: Marchal_cells_3.SMALLEST_ANGLE_IN_CONVEX_HULL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Marchal_cells_3.SMALLEST_ANGLE_LINE_EXISTS: !a b u0 u1. ~(u0 = u1) /\ ~(u0 IN convex hull {a, b}) ==> (?x. x IN convex hull {a, b} /\ (!y. y IN convex hull {a, b} ==> ((y - u0) dot (u1 - u0)) / (norm (y - u0) * norm (u1 - u0)) <= ((x - u0) dot (u1 - u0)) / (norm (x - u0) * norm (u1 - u0))))
% Assm: Marchal_cells_3.smallest_angle_line: !a b c d. smallest_angle_line a b c d = smallest_angle_set (convex hull {a, b}) c d
% Assm: Marchal_cells_3.smallest_angle_set: !u0 u1 s. smallest_angle_set s u0 u1 = (@x. x IN s /\ (!y. y IN s ==> ((y - u0) dot (u1 - u0)) / (norm (y - u0) * norm (u1 - u0)) <= ((x - u0) dot (u1 - u0)) / (norm (x - u0) * norm (u1 - u0))))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: TRUTH: T
% Goal: !m n p q x. ~(p = q) /\ ~(p IN convex hull {m, n}) /\ x = smallest_angle_line m n p q ==> x IN convex hull {m, n}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b u0 u1. ~(u0 = u1) /\ ~(u0 IN convex hull {a, b}) ==> (?x. x IN convex hull {a, b} /\ (!y. y IN convex hull {a, b} ==> ((y - u0) dot (u1 - u0)) / (norm (y - u0) * norm (u1 - u0)) <= ((x - u0) dot (u1 - u0)) / (norm (x - u0) * norm (u1 - u0))))
% Assm: !a b c d. smallest_angle_line a b c d = smallest_angle_set (convex hull {a, b}) c d
% Assm: !u0 u1 s. smallest_angle_set s u0 u1 = (@x. x IN s /\ (!y. y IN s ==> ((y - u0) dot (u1 - u0)) / (norm (y - u0) * norm (u1 - u0)) <= ((x - u0) dot (u1 - u0)) / (norm (x - u0) * norm (u1 - u0))))
% Assm: ~F <=> T
% Assm: !P x. P x ==> P ((@) P)
% Assm: T
% Goal: !m n p q x. ~(p = q) /\ ~(p IN convex hull {m, n}) /\ x = smallest_angle_line m n p q ==> x IN convex hull {m, n}
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(chu_, type, h_ : ((cartrealn3 > $o) > cartrealn3)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn3 > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdot, type, dot : (cartrealn3 > cartrealn3 > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(chu_0, type, h_0 : ((a > $o) > a)).
thf(csmallestuu_angleuu_set, type, smallestu_angleu_set : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(csmallestuu_angleuu_line, type, smallestu_angleu_line : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(chull, type, hull : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cconvex, type, convex : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aMarchalu_cellsu_3o_SMALLESTu_ANGLEu_LINEu_EXISTS, axiom, ![A:cartrealn3,B:cartrealn3,U0:cartrealn3,U1:cartrealn3]:((~ ((U0 = U1)) & ~ ((in @ U0 @ (hull @ convex @ (insert @ A @ (insert @ B @ empty)))))) => ?[X:cartrealn3]:((in @ X @ (hull @ convex @ (insert @ A @ (insert @ B @ empty)))) & ![Y:cartrealn3]:((in @ Y @ (hull @ convex @ (insert @ A @ (insert @ B @ empty)))) => (realu_le @ (realu_div @ (dot @ (vectoru_sub @ Y @ U0) @ (vectoru_sub @ U1 @ U0)) @ (realu_mul @ (vectoru_norm @ (vectoru_sub @ Y @ U0)) @ (vectoru_norm @ (vectoru_sub @ U1 @ U0)))) @ (realu_div @ (dot @ (vectoru_sub @ X @ U0) @ (vectoru_sub @ U1 @ U0)) @ (realu_mul @ (vectoru_norm @ (vectoru_sub @ X @ U0)) @ (vectoru_norm @ (vectoru_sub @ U1 @ U0))))))))).
thf(aMarchalu_cellsu_3o_smallestu_angleu_line, axiom, ![A:cartrealn3,B:cartrealn3,C:cartrealn3,D:cartrealn3]:((smallestu_angleu_line @ A @ B @ C @ D) = (smallestu_angleu_set @ (hull @ convex @ (insert @ A @ (insert @ B @ empty))) @ C @ D))).
thf(aMarchalu_cellsu_3o_smallestu_angleu_set, axiom, ![U0:cartrealn3,U1:cartrealn3,S:(cartrealn3 > $o)]:((smallestu_angleu_set @ S @ U0 @ U1) = (h_ @ ^[X:cartrealn3]:((in @ X @ S) & ![Y:cartrealn3]:((in @ Y @ S) => (realu_le @ (realu_div @ (dot @ (vectoru_sub @ Y @ U0) @ (vectoru_sub @ U1 @ U0)) @ (realu_mul @ (vectoru_norm @ (vectoru_sub @ Y @ U0)) @ (vectoru_norm @ (vectoru_sub @ U1 @ U0)))) @ (realu_div @ (dot @ (vectoru_sub @ X @ U0) @ (vectoru_sub @ U1 @ U0)) @ (realu_mul @ (vectoru_norm @ (vectoru_sub @ X @ U0)) @ (vectoru_norm @ (vectoru_sub @ U1 @ U0)))))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_0 @ P)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![M:cartrealn3,N:cartrealn3,P:cartrealn3,Q:cartrealn3,X:cartrealn3]:((~ ((P = Q)) & ~ ((in @ P @ (hull @ convex @ (insert @ M @ (insert @ N @ empty))))) & (X = (smallestu_angleu_line @ M @ N @ P @ Q))) => (in @ X @ (hull @ convex @ (insert @ M @ (insert @ N @ empty)))))).
