%   ORIGINAL: Wrgcvdr_cizmrrh.INVERSE_FUNCTION_OF_BIJ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BIJ: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXISTS_THM: (?) = (\P. P ((@) P))
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: INJ: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: SURJ: !t s f. SURJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x. x IN t ==> (?y. y IN s /\ f y = x))
% Assm: TRUTH: T
% Goal: BIJ f S1 S2 /\ g = (\x. if x IN S2 then @t. t IN S1 /\ f t = x else tt) ==> BIJ g S2 S1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: (?) = (\P. P ((@) P))
% Assm: !f g. f = g <=> (!x. f x = g x)
% Assm: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !P x. P x ==> P ((@) P)
% Assm: !t s f. SURJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x. x IN t ==> (?y. y IN s /\ f y = x))
% Assm: !t s f. SURJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x. x IN t ==> (?y. y IN s /\ f y = x))
% Assm: T
% Goal: !S1 S2 g tt f. BIJ f S1 S2 /\ g = (\x. if x IN S2 then @t. t IN S1 /\ f t = x else tt) ==> BIJ g S2 S1
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (b > (b > $o) > $o)).
thf(ci, type, i : ((b > a) > b > a)).
thf(csurj1, type, surj1 : ((b > b) > (b > $o) > (b > $o) > $o)).
thf(cinj1, type, inj1 : ((b > b) > (b > $o) > (b > $o) > $o)).
thf(csurj0, type, surj0 : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cinj0, type, inj0 : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(csurj, type, surj : ((b > a) > (b > $o) > (a > $o) > $o)).
thf(cinj, type, inj : ((b > a) > (b > $o) > (a > $o) > $o)).
thf(cbij0, type, bij0 : ((b > a) > (b > $o) > (a > $o) > $o)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cbij, type, bij : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cqu_, type, q_ : ((a > $o) > $o)).
thf(ci0, type, i0 : (b > b)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > b > a),G:(a > b > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBIJu_monomorphized1, axiom, ![F:(b > a),S:(b > $o),T:(a > $o)]:((bij0 @ F @ S @ T) <=> ((inj @ F @ S @ T) & (surj @ F @ S @ T)))).
thf(aBIJu_monomorphized0, axiom, ![F:(a > b),S:(a > $o),T:(b > $o)]:((bij @ F @ S @ T) <=> ((inj0 @ F @ S @ T) & (surj0 @ F @ S @ T)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(b > a)]:(^[X:b]:(T @ X) = T)).
thf(aEXISTSu_THM, axiom, (q_ = ^[P:(a > $o)]:(P @ (h_ @ P)))).
thf(aFUNu_EQu_THM, axiom, ![F:(b > a),G:(b > a)]:((F = G) <=> ![X:b]:((F @ X) = (G @ X)))).
thf(aINJ, axiom, ![T:(b > $o),S:(b > $o),F:(b > b)]:((inj1 @ F @ S @ T) <=> (![X:b]:((in @ X @ S) => (in @ (F @ X) @ T)) & ![X:b,Y:b]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aIu_THMu_monomorphized1, axiom, ![X:(b > a)]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:b]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_ @ P)))).
thf(aSURJu_monomorphized1, axiom, ![T:(b > $o),S:(b > $o),F:(b > b)]:((surj1 @ F @ S @ T) <=> (![X:b]:((in @ X @ S) => (in @ (F @ X) @ T)) & ![X:b]:((in @ X @ T) => ?[Y:b]:((in @ Y @ S) & ((F @ Y) = X)))))).
thf(aSURJu_monomorphized0, axiom, ![T:(b > $o),S:(a > $o),F:(a > b)]:((surj0 @ F @ S @ T) <=> (![X:a]:((in0 @ X @ S) => (in @ (F @ X) @ T)) & ![X:b]:((in @ X @ T) => ?[Y:a]:((in0 @ Y @ S) & ((F @ Y) = X)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S1:(a > $o),S2:(b > $o),G:(b > a),TT:a,F:(a > b)]:(((bij @ F @ S1 @ S2) & (G = ^[X:b]:(cond @ (in @ X @ S2) @ (h_ @ ^[T:a]:((in0 @ T @ S1) & ((F @ T) = X))) @ TT))) => (bij0 @ G @ S2 @ S1))).
