%   ORIGINAL: Wrgcvdr_cizmrrh.CYCLIC_SET_IMP_NOT_COLLINEAR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Fan.properties_of_cyclic_set: !x v u w1 w2. cyclic_set {u, w1, w2} x v ==> ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x} /\ ~collinear {x, v, u} /\ ~collinear {x, v, w1} /\ ~collinear {x, v, w2}
% Assm: Fan.subset_cyclic_set_fan: !x v V W. V SUBSET W /\ cyclic_set W x v ==> cyclic_set V x v
% Assm: IN: !P x. x IN P <=> P x
% Assm: INSERT_COMM: !x y s. x INSERT y INSERT s = y INSERT x INSERT s
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: cyclic_set W x y ==> (!v. v IN W ==> ~collinear {v, x, y})
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x v u w1 w2. cyclic_set {u, w1, w2} x v ==> ~(v = x) /\ ~(u = x) /\ ~collinear {vec 0, v - x, u - x} /\ ~collinear {x, v, u} /\ ~collinear {x, v, w1} /\ ~collinear {x, v, w2}
% Assm: !x v V W. V SUBSET W /\ cyclic_set W x v ==> cyclic_set V x v
% Assm: !P x. x IN P <=> P x
% Assm: !x y s. x INSERT y INSERT s = y INSERT x INSERT s
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !y x W. cyclic_set W x y ==> (!v. v IN W ==> ~collinear {v, x, y})
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccyclicuu_set, type, cyclicu_set : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFano_propertiesu_ofu_cyclicu_set, axiom, ![X:cartrealn3,V:cartrealn3,U:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((cyclicu_set @ (insert @ U @ (insert @ W1 @ (insert @ W2 @ empty))) @ X @ V) => (~ ((V = X)) & ~ ((U = X)) & ~ ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (vectoru_sub @ V @ X) @ (insert @ (vectoru_sub @ U @ X) @ empty))))) & ~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ U @ empty))))) & ~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ W1 @ empty))))) & ~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ W2 @ empty)))))))).
thf(aFano_subsetu_cyclicu_setu_fan, axiom, ![X:cartrealn3,V:cartrealn3,V0:(cartrealn3 > $o),W:(cartrealn3 > $o)]:(((subset @ V0 @ W) & (cyclicu_set @ W @ X @ V)) => (cyclicu_set @ V0 @ X @ V))).
thf(aIN, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ P) <=> (P @ X))).
thf(aINSERTu_COMM, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((insert @ X @ (insert @ Y @ S)) = (insert @ Y @ (insert @ X @ S)))).
thf(aINu_INSERT, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn3]:~ ((in @ X @ empty))).
thf(aSUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((subset @ S @ T) <=> ![X:cartrealn3]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Y:cartrealn3,X:cartrealn3,W:(cartrealn3 > $o)]:((cyclicu_set @ W @ X @ Y) => ![V:cartrealn3]:((in @ V @ W) => ~ ((collinear @ (insert @ V @ (insert @ X @ (insert @ Y @ empty)))))))).
