%   ORIGINAL: Wrgcvdr_cizmrrh.AZIM_CYCLE_PROPERTIES
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: EXISTS_THM: (?) = (\P. P ((@) P))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Sphere.azim_cycle: !W p w v. azim_cycle W v w p = (if W SUBSET {p} then p else @u. ~(u = p) /\ W u /\ (!q. ~(q = p) /\ W q ==> azim v w p u < azim v w p q \/ azim v w p u = azim v w p q /\ norm (projection (w - v) (u - v)) <= norm (projection (w - v) (q - v))))
% Assm: TRUTH: T
% Assm: Wrgcvdr_cizmrrh.EXIS_SMALLEST_WITH_AZIM_ORD: ~(W SUBSET {p}) /\ FINITE W ==> (?u. (~(u = p) /\ W u) /\ (!q. ~(q = p) /\ W q ==> azim v w p u < azim v w p q \/ azim v w p u = azim v w p q /\ norm (projection (w - v) (u - v)) <= norm (projection (w - v) (q - v))))
% Goal: ~(W SUBSET {p}) /\ FINITE W ==> ~(azim_cycle W v w p = p) /\ W (azim_cycle W v w p) /\ (!q. ~(q = p) /\ W q ==> azim v w p (azim_cycle W v w p) < azim v w p q \/ azim v w p (azim_cycle W v w p) = azim v w p q /\ norm (projection (w - v) (azim_cycle W v w p - v)) <= norm (projection (w - v) (q - v)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: (?) = (\P. P ((@) P))
% Assm: ~F <=> T
% Assm: !W p w v. azim_cycle W v w p = (if W SUBSET {p} then p else @u. ~(u = p) /\ W u /\ (!q. ~(q = p) /\ W q ==> azim v w p u < azim v w p q \/ azim v w p u = azim v w p q /\ norm (projection (w - v) (u - v)) <= norm (projection (w - v) (q - v))))
% Assm: T
% Assm: !W p w v. ~(W SUBSET {p}) /\ FINITE W ==> (?u. (~(u = p) /\ W u) /\ (!q. ~(q = p) /\ W q ==> azim v w p u < azim v w p q \/ azim v w p u = azim v w p q /\ norm (projection (w - v) (u - v)) <= norm (projection (w - v) (q - v))))
% Goal: !v w p W. ~(W SUBSET {p}) /\ FINITE W ==> ~(azim_cycle W v w p = p) /\ W (azim_cycle W v w p) /\ (!q. ~(q = p) /\ W q ==> azim v w p (azim_cycle W v w p) < azim v w p q \/ azim v w p (azim_cycle W v w p) = azim v w p q /\ norm (projection (w - v) (azim_cycle W v w p - v)) <= norm (projection (w - v) (q - v)))
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(chu_0, type, h_0 : ((cartrealn3 > $o) > cartrealn3)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn3 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(ccond0, type, cond0 : ($o > cartrealn3 > cartrealn3 > cartrealn3)).
thf(ccond, type, cond : ($o > real > real > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cprojection, type, projection : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cazim, type, azim : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(cazimuu_cycle, type, azimu_cycle : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cqu_, type, q_ : ((a > $o) > $o)).
thf(cfinite, type, finite : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSESu_monomorphized1, axiom, ![T1:real,T2:real]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aCONDu_CLAUSESu_monomorphized0, axiom, ![T1:cartrealn3,T2:cartrealn3]:(((cond0 @ $true @ T1 @ T2) = T1) & ((cond0 @ $false @ T1 @ T2) = T2))).
thf(aEXISTSu_THM, axiom, (q_ = ^[P:(a > $o)]:(P @ (h_ @ P)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSphereo_azimu_cycle, axiom, ![W:(cartrealn3 > $o),P:cartrealn3,W0:cartrealn3,V:cartrealn3]:((azimu_cycle @ W @ V @ W0 @ P) = (cond0 @ (subset @ W @ (insert @ P @ empty)) @ P @ (h_0 @ ^[U:cartrealn3]:(~ ((U = P)) & (W @ U) & ![Q:cartrealn3]:((~ ((Q = P)) & (W @ Q)) => ((realu_lt @ (azim @ V @ W0 @ P @ U) @ (azim @ V @ W0 @ P @ Q)) | (((azim @ V @ W0 @ P @ U) = (azim @ V @ W0 @ P @ Q)) & (realu_le @ (vectoru_norm @ (projection @ (vectoru_sub @ W0 @ V) @ (vectoru_sub @ U @ V))) @ (vectoru_norm @ (projection @ (vectoru_sub @ W0 @ V) @ (vectoru_sub @ Q @ V)))))))))))).
thf(aTRUTH, axiom, $true).
thf(aWrgcvdru_cizmrrho_EXISu_SMALLESTu_WITHu_AZIMu_ORD, axiom, ![W:(cartrealn3 > $o),P:cartrealn3,W0:cartrealn3,V:cartrealn3]:((~ ((subset @ W @ (insert @ P @ empty))) & (finite @ W)) => ?[U:cartrealn3]:(~ ((U = P)) & (W @ U) & ![Q:cartrealn3]:((~ ((Q = P)) & (W @ Q)) => ((realu_lt @ (azim @ V @ W0 @ P @ U) @ (azim @ V @ W0 @ P @ Q)) | (((azim @ V @ W0 @ P @ U) = (azim @ V @ W0 @ P @ Q)) & (realu_le @ (vectoru_norm @ (projection @ (vectoru_sub @ W0 @ V) @ (vectoru_sub @ U @ V))) @ (vectoru_norm @ (projection @ (vectoru_sub @ W0 @ V) @ (vectoru_sub @ Q @ V)))))))))).
thf(conjecture, conjecture, ![V:cartrealn3,W:cartrealn3,P:cartrealn3,W0:(cartrealn3 > $o)]:((~ ((subset @ W0 @ (insert @ P @ empty))) & (finite @ W0)) => (~ (((azimu_cycle @ W0 @ V @ W @ P) = P)) & (W0 @ (azimu_cycle @ W0 @ V @ W @ P)) & ![Q:cartrealn3]:((~ ((Q = P)) & (W0 @ Q)) => ((realu_lt @ (azim @ V @ W @ P @ (azimu_cycle @ W0 @ V @ W @ P)) @ (azim @ V @ W @ P @ Q)) | (((azim @ V @ W @ P @ (azimu_cycle @ W0 @ V @ W @ P)) = (azim @ V @ W @ P @ Q)) & (realu_le @ (vectoru_norm @ (projection @ (vectoru_sub @ W @ V) @ (vectoru_sub @ (azimu_cycle @ W0 @ V @ W @ P) @ V))) @ (vectoru_norm @ (projection @ (vectoru_sub @ W @ V) @ (vectoru_sub @ Q @ V)))))))))).
