%   ORIGINAL: Lvducxu.W_SUBSET_SINGLETON_IMP_IDE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Sphere.azim_cycle: !W p w v. azim_cycle W v w p = (if W SUBSET {p} then p else @u. ~(u = p) /\ W u /\ (!q. ~(q = p) /\ W q ==> azim v w p u < azim v w p q \/ azim v w p u = azim v w p q /\ norm (projection (w - v) (u - v)) <= norm (projection (w - v) (q - v))))
% Assm: TRUTH: T
% Goal: W SUBSET {p} ==> azim_cycle W v w p = p
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ~F <=> T
% Assm: !W p w v. azim_cycle W v w p = (if W SUBSET {p} then p else @u. ~(u = p) /\ W u /\ (!q. ~(q = p) /\ W q ==> azim v w p u < azim v w p q \/ azim v w p u = azim v w p q /\ norm (projection (w - v) (u - v)) <= norm (projection (w - v) (q - v))))
% Assm: T
% Goal: !p w v W. W SUBSET {p} ==> azim_cycle W v w p = p
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn3 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(chu_, type, h_ : ((cartrealn3 > $o) > cartrealn3)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cprojection, type, projection : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cazim, type, azim : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(ccond, type, cond : ($o > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cazimuu_cycle, type, azimu_cycle : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealn3,T2:cartrealn3]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSphereo_azimu_cycle, axiom, ![W:(cartrealn3 > $o),P:cartrealn3,W0:cartrealn3,V:cartrealn3]:((azimu_cycle @ W @ V @ W0 @ P) = (cond @ (subset @ W @ (insert @ P @ empty)) @ P @ (h_ @ ^[U:cartrealn3]:(~ ((U = P)) & (W @ U) & ![Q:cartrealn3]:((~ ((Q = P)) & (W @ Q)) => ((realu_lt @ (azim @ V @ W0 @ P @ U) @ (azim @ V @ W0 @ P @ Q)) | (((azim @ V @ W0 @ P @ U) = (azim @ V @ W0 @ P @ Q)) & (realu_le @ (vectoru_norm @ (projection @ (vectoru_sub @ W0 @ V) @ (vectoru_sub @ U @ V))) @ (vectoru_norm @ (projection @ (vectoru_sub @ W0 @ V) @ (vectoru_sub @ Q @ V)))))))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:cartrealn3,W:cartrealn3,V:cartrealn3,W0:(cartrealn3 > $o)]:((subset @ W0 @ (insert @ P @ empty)) => ((azimu_cycle @ W0 @ V @ W @ P) = P))).
