%   ORIGINAL: Lvducxu.FINITE_AND_LOOP_IMP_BIJ_S_IM_S
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BIJ: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_IN_IMAGE: !f s x. x IN s ==> f x IN IMAGE f s
% Assm: IMAGE_IMP_INJECTIVE_GEN: !s t f. FINITE s /\ CARD s = CARD t /\ IMAGE f s = t ==> (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: INJ: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: I_THM: !x. I x = x
% Assm: Lvducxu.W_EQ_ITS_ORBIT_IMP_EQ_ITS_IMAGE: (!x. x IN W ==> W = orbit_map f x) ==> W = IMAGE f W
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SURJ: !t s f. SURJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x. x IN t ==> (?y. y IN s /\ f y = x))
% Assm: TRUTH: T
% Goal: !S. FINITE S /\ (!x. x IN S ==> S = orbit_map f x) ==> BIJ f S (IMAGE f S)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f s t. BIJ f s t <=> INJ f s t /\ SURJ f s t
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f s x. x IN s ==> f x IN IMAGE f s
% Assm: !s t f. FINITE s /\ CARD s = CARD t /\ IMAGE f s = t ==> (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x. I x = x
% Assm: !f W. (!x. x IN W ==> W = orbit_map f x) ==> W = IMAGE f W
% Assm: ~F <=> T
% Assm: !t s f. SURJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x. x IN t ==> (?y. y IN s /\ f y = x))
% Assm: T
% Goal: !f S. FINITE S /\ (!x. x IN S ==> S = orbit_map f x) ==> BIJ f S (IMAGE f S)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
%  CONSTS
thf(ci, type, i : ((a > $o) > a > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csurj, type, surj : ((a > a) > (a > $o) > (a > $o) > $o)).
thf(cinj, type, inj : ((a > a) > (a > $o) > (a > $o) > $o)).
thf(cimage, type, image : ((a > a) > (a > $o) > a > $o)).
thf(cbij, type, bij : ((a > a) > (a > $o) > (a > $o) > $o)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBIJ, axiom, ![F:(a > a),S:(a > $o),T:(a > $o)]:((bij @ F @ S @ T) <=> ((inj @ F @ S @ T) & (surj @ F @ S @ T)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > $o)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_INu_IMAGE, axiom, ![F:(a > a),S:(a > $o),X:a]:((in @ X @ S) => (in @ (F @ X) @ (image @ F @ S)))).
thf(aIMAGEu_IMPu_INJECTIVEu_GEN, axiom, ![S:(a > $o),T:(a > $o),F:(a > a)]:(((finite @ S) & ((card @ S) = (card @ T)) & ((image @ F @ S) = T)) => ![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y)))).
thf(aINJ, axiom, ![T:(a > $o),S:(a > $o),F:(a > a)]:((inj @ F @ S @ T) <=> (![X:a]:((in @ X @ S) => (in @ (F @ X) @ T)) & ![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aINu_IMAGE, axiom, ![Y:a,S:(a > $o),F:(a > a)]:((in @ Y @ (image @ F @ S)) <=> ?[X:a]:((Y = (F @ X)) & (in @ X @ S)))).
thf(aIu_THM, axiom, ![X:(a > $o)]:((i @ X) = X)).
thf(aLvducxuo_Wu_EQu_ITSu_ORBITu_IMPu_EQu_ITSu_IMAGE, axiom, ![F:(a > a),W:(a > $o)]:(![X:a]:((in @ X @ W) => (W = (orbitu_map @ F @ X))) => (W = (image @ F @ W)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSURJ, axiom, ![T:(a > $o),S:(a > $o),F:(a > a)]:((surj @ F @ S @ T) <=> (![X:a]:((in @ X @ S) => (in @ (F @ X) @ T)) & ![X:a]:((in @ X @ T) => ?[Y:a]:((in @ Y @ S) & ((F @ Y) = X)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(a > a),S:(a > $o)]:(((finite @ S) & ![X:a]:((in @ X @ S) => (S = (orbitu_map @ F @ X)))) => (bij @ F @ S @ (image @ F @ S)))).
