%   ORIGINAL: Lvducxu.INVERSE_FACE_CYCLE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Hypermap.face_map_and_darts: !H. FINITE (dart H) /\ face_map H permutes dart H
% Assm: Hypermap.lemma_cycle_orbit: !s p x. FINITE s /\ p permutes s ==> (p POWER CARD (orbit_map p x)) x = x
% Assm: Lvducxu.FACE_NODE_EDGE_ORBIT_INVERSE_conjunct0: face H x = orbit_map (inverse (face_map H)) x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: PERMUTES_INVERSE: !p s. p permutes s ==> inverse p permutes s
% Assm: TRUTH: T
% Goal: !x H. (inverse (face_map H) POWER CARD (face H x)) x = x
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !H. FINITE (dart H) /\ face_map H permutes dart H
% Assm: !s p x. FINITE s /\ p permutes s ==> (p POWER CARD (orbit_map p x)) x = x
% Assm: !H x. face H x = orbit_map (inverse (face_map H)) x
% Assm: ~F <=> T
% Assm: !p s. p permutes s ==> inverse p permutes s
% Assm: T
% Goal: !x H. (inverse (face_map H) POWER CARD (face H x)) x = x
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(thypermapa, type, hypermapa : $tType).
%  CONSTS
thf(cpermutes, type, permutes : ((a > a) > (a > $o) > $o)).
thf(cdart, type, dart : (hypermapa > a > $o)).
thf(cfaceuu_map, type, faceu_map : (hypermapa > a > a)).
thf(cinverse, type, inverse : ((a > a) > a > a)).
thf(corbituu_map, type, orbitu_map : ((a > a) > a > a > $o)).
thf(cface, type, face : (hypermapa > a > a > $o)).
thf(cpower, type, power : ((a > a) > num > a > a)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard, type, card : ((a > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a),G:(a > a)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aHypermapo_faceu_mapu_andu_darts, axiom, ![H:hypermapa]:((finite @ (dart @ H)) & (permutes @ (faceu_map @ H) @ (dart @ H)))).
thf(aHypermapo_lemmau_cycleu_orbit, axiom, ![S:(a > $o),P:(a > a),X:a]:(((finite @ S) & (permutes @ P @ S)) => ((power @ P @ (card @ (orbitu_map @ P @ X)) @ X) = X))).
thf(aLvducxuo_FACEu_NODEu_EDGEu_ORBITu_INVERSEu_conjunct0, axiom, ![H:hypermapa,X:a]:((face @ H @ X) = (orbitu_map @ (inverse @ (faceu_map @ H)) @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPERMUTESu_INVERSE, axiom, ![P:(a > a),S:(a > $o)]:((permutes @ P @ S) => (permutes @ (inverse @ P) @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:a,H:hypermapa]:((power @ (inverse @ (faceu_map @ H)) @ (card @ (face @ H @ X)) @ X) = X)).
