%   ORIGINAL: Local_lemmas.COLLINEAR_CROSS_0
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CROSS_EQ_0: !x y. x cross y = vec 0 <=> collinear {vec 0, x, y}
% Assm: TRUTH: T
% Assm: Trigonometry2.COLLINEAR_TRANSABLE: collinear {a, b, c} <=> collinear {vec 0, b - a, c - a}
% Goal: collinear {x, y, z} <=> (y - x) cross (z - x) = vec 0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x cross y = vec 0 <=> collinear {vec 0, x, y}
% Assm: T
% Assm: !b c a. collinear {a, b, c} <=> collinear {vec 0, b - a, c - a}
% Goal: !x z y. collinear {x, y, z} <=> (y - x) cross (z - x) = vec 0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealn3)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(ccross, type, cross : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCROSSu_EQu_0, axiom, ![X:cartrealn3,Y:cartrealn3]:(((cross @ X @ Y) = (vec @ (numeral @ u_0))) <=> (collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ X @ (insert @ Y @ empty)))))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_COLLINEARu_TRANSABLE, axiom, ![B:cartrealn3,C:cartrealn3,A:cartrealn3]:((collinear @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))) <=> (collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ (vectoru_sub @ B @ A) @ (insert @ (vectoru_sub @ C @ A) @ empty)))))).
thf(conjecture, conjecture, ![X:cartrealn3,Z:cartrealn3,Y:cartrealn3]:((collinear @ (insert @ X @ (insert @ Y @ (insert @ Z @ empty)))) <=> ((cross @ (vectoru_sub @ Y @ X) @ (vectoru_sub @ Z @ X)) = (vec @ (numeral @ u_0))))).
