%   ORIGINAL: Local_lemmas.DET_CROSS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Collect_geom2.DET_VEC3_AS_CROSS_DOT: det_vec3 v1 v2 v3 = (v1 cross v2) dot v3
% Assm: Trigonometry2.DET_VEC3_EXPAND: det (vector [a; b; c]) = det_vec3 a b c
% Goal: det (vector [x; y; z]) = (x cross y) dot z
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !v1 v2 v3. det_vec3 v1 v2 v3 = (v1 cross v2) dot v3
% Assm: !a b c. det (vector [a; b; c]) = det_vec3 a b c
% Goal: !z y x. det (vector [x; y; z]) = (x cross y) dot z
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tcartcartrealn3n3, type, cartcartrealn3n3 : $tType).
thf(tlistcartrealn3, type, listcartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cnil, type, nil : listcartrealn3).
thf(cdot, type, dot : (cartrealn3 > cartrealn3 > real)).
thf(cvector, type, vector : (listcartrealn3 > cartcartrealn3n3)).
thf(cdet, type, det : (cartcartrealn3n3 > real)).
thf(cdetuu_vec3, type, detu_vec3 : (cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(ccross, type, cross : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(ccons, type, cons : (cartrealn3 > listcartrealn3 > listcartrealn3)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCollectu_geom2o_DETu_VEC3u_ASu_CROSSu_DOT, axiom, ![V1:cartrealn3,V2:cartrealn3,V3:cartrealn3]:((detu_vec3 @ V1 @ V2 @ V3) = (dot @ (cross @ V1 @ V2) @ V3))).
thf(aTrigonometry2o_DETu_VEC3u_EXPAND, axiom, ![A:cartrealn3,B:cartrealn3,C:cartrealn3]:((det @ (vector @ (cons @ A @ (cons @ B @ (cons @ C @ nil))))) = (detu_vec3 @ A @ B @ C))).
thf(conjecture, conjecture, ![Z:cartrealn3,Y:cartrealn3,X:cartrealn3]:((det @ (vector @ (cons @ X @ (cons @ Y @ (cons @ Z @ nil))))) = (dot @ (cross @ X @ Y) @ Z))).
