%   ORIGINAL: Local_lemmas.COPLANAR_IFF_CROSS_DOT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Local_lemmas.DET_CROSS: det (vector [x; y; z]) = (x cross y) dot z
% Assm: TRUTH: T
% Assm: Trigonometry2.COPLANAR_DET_EQ_0: !v0 v1 v2 v3. coplanar {v0, v1, v2, v3} <=> det (vector [v1 - v0; v2 - v0; v3 - v0]) = &0
% Goal: coplanar {x, y, z, t} <=> ((y - x) cross (z - x)) dot (t - x) = &0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y z. det (vector [x; y; z]) = (x cross y) dot z
% Assm: T
% Assm: !v0 v1 v2 v3. coplanar {v0, v1, v2, v3} <=> det (vector [v1 - v0; v2 - v0; v3 - v0]) = &0
% Goal: !x t z y. coplanar {x, y, z, t} <=> ((y - x) cross (z - x)) dot (t - x) = &0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tcartcartrealn3n3, type, cartcartrealn3n3 : $tType).
thf(tlistcartrealn3, type, listcartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cnil, type, nil : listcartrealn3).
thf(cvector, type, vector : (listcartrealn3 > cartcartrealn3n3)).
thf(cdet, type, det : (cartcartrealn3n3 > real)).
thf(cdot, type, dot : (cartrealn3 > cartrealn3 > real)).
thf(ccons, type, cons : (cartrealn3 > listcartrealn3 > listcartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(ccross, type, cross : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccoplanar, type, coplanar : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLocalu_lemmaso_DETu_CROSS, axiom, ![X:cartrealn3,Y:cartrealn3,Z:cartrealn3]:((det @ (vector @ (cons @ X @ (cons @ Y @ (cons @ Z @ nil))))) = (dot @ (cross @ X @ Y) @ Z))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_COPLANARu_DETu_EQu_0, axiom, ![V0:cartrealn3,V1:cartrealn3,V2:cartrealn3,V3:cartrealn3]:((coplanar @ (insert @ V0 @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))) <=> ((det @ (vector @ (cons @ (vectoru_sub @ V1 @ V0) @ (cons @ (vectoru_sub @ V2 @ V0) @ (cons @ (vectoru_sub @ V3 @ V0) @ nil))))) = (realu_ofu_num @ (numeral @ u_0))))).
thf(conjecture, conjecture, ![X:cartrealn3,T:cartrealn3,Z:cartrealn3,Y:cartrealn3]:((coplanar @ (insert @ X @ (insert @ Y @ (insert @ Z @ (insert @ T @ empty))))) <=> ((dot @ (cross @ (vectoru_sub @ Y @ X) @ (vectoru_sub @ Z @ X)) @ (vectoru_sub @ T @ X)) = (realu_ofu_num @ (numeral @ u_0))))).
