%   ORIGINAL: Local_lemmas.CROSS_DOT_COPLANAR
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Local_lemmas.COPLANAR_IFF_CROSS_DOT: coplanar {x, y, z, t} <=> ((y - x) cross (z - x)) dot (t - x) = &0
% Assm: TRUTH: T
% Assm: VECTOR_SUB_RZERO: x - vec 0 = x
% Goal: (x cross y) dot z = &0 <=> coplanar {vec 0, x, y, z}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !y z t x. coplanar {x, y, z, t} <=> ((y - x) cross (z - x)) dot (t - x) = &0
% Assm: T
% Assm: !x. x - vec 0 = x
% Goal: !z y x. (x cross y) dot z = &0 <=> coplanar {vec 0, x, y, z}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealn3)).
thf(cdot, type, dot : (cartrealn3 > cartrealn3 > real)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccross, type, cross : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccoplanar, type, coplanar : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aLocalu_lemmaso_COPLANARu_IFFu_CROSSu_DOT, axiom, ![Y:cartrealn3,Z:cartrealn3,T:cartrealn3,X:cartrealn3]:((coplanar @ (insert @ X @ (insert @ Y @ (insert @ Z @ (insert @ T @ empty))))) <=> ((dot @ (cross @ (vectoru_sub @ Y @ X) @ (vectoru_sub @ Z @ X)) @ (vectoru_sub @ T @ X)) = (realu_ofu_num @ (numeral @ u_0))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUBu_RZERO, axiom, ![X:cartrealn3]:((vectoru_sub @ X @ (vec @ (numeral @ u_0))) = X)).
thf(conjecture, conjecture, ![Z:cartrealn3,Y:cartrealn3,X:cartrealn3]:(((dot @ (cross @ X @ Y) @ Z) = (realu_ofu_num @ (numeral @ u_0))) <=> (coplanar @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ X @ (insert @ Y @ (insert @ Z @ empty))))))).
