%   ORIGINAL: Local_lemmas.THREE_NOT_COLL_DETER_PLANE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Local_lemmas.SUBSET_NOT_COLLINEAR_AFFINE_HULL_EQ: {a, b, c} SUBSET affine hull {x, y, z} /\ ~collinear {a, b, c} ==> affine hull {x, y, z} = affine hull {a, b, c}
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Sphere.plane: !x. plane x <=> (?u v w. ~collinear {u, v, w} /\ x = affine hull {u, v, w})
% Assm: TRUTH: T
% Goal: plane P /\ {a, b, c} SUBSET P /\ ~collinear {a, b, c} ==> affine hull {a, b, c} = P
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y z a b c. {a, b, c} SUBSET affine hull {x, y, z} /\ ~collinear {a, b, c} ==> affine hull {x, y, z} = affine hull {a, b, c}
% Assm: ~F <=> T
% Assm: !x. plane x <=> (?u v w. ~collinear {u, v, w} /\ x = affine hull {u, v, w})
% Assm: T
% Goal: !P c b a. plane P /\ {a, b, c} SUBSET P /\ ~collinear {a, b, c} ==> affine hull {a, b, c} = P
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(chull, type, hull : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(caffine, type, affine : ((cartrealn3 > $o) > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cplane, type, plane : ((cartrealn3 > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3 > $o),G:(a > cartrealn3 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aLocalu_lemmaso_SUBSETu_NOTu_COLLINEARu_AFFINEu_HULLu_EQ, axiom, ![X:cartrealn3,Y:cartrealn3,Z:cartrealn3,A:cartrealn3,B:cartrealn3,C:cartrealn3]:(((subset @ (insert @ A @ (insert @ B @ (insert @ C @ empty))) @ (hull @ affine @ (insert @ X @ (insert @ Y @ (insert @ Z @ empty))))) & ~ ((collinear @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))))) => ((hull @ affine @ (insert @ X @ (insert @ Y @ (insert @ Z @ empty)))) = (hull @ affine @ (insert @ A @ (insert @ B @ (insert @ C @ empty))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSphereo_plane, axiom, ![X:(cartrealn3 > $o)]:((plane @ X) <=> ?[U:cartrealn3,V:cartrealn3,W:cartrealn3]:(~ ((collinear @ (insert @ U @ (insert @ V @ (insert @ W @ empty))))) & (X = (hull @ affine @ (insert @ U @ (insert @ V @ (insert @ W @ empty)))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(cartrealn3 > $o),C:cartrealn3,B:cartrealn3,A:cartrealn3]:(((plane @ P) & (subset @ (insert @ A @ (insert @ B @ (insert @ C @ empty))) @ P) & ~ ((collinear @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))))) => ((hull @ affine @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))) = P))).
