%   ORIGINAL: Local_lemmas.WEDGE_GE_AZIM_LE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: Local_lemmas.AZIM_RANGE: !v w w1 w2. &0 <= azim v w w1 w2 /\ azim v w w1 w2 < &2 * pi
% Assm: TRUTH: T
% Assm: Wrgcvdr_cizmrrh.wedge_ge: !v0 v1 w1 w2. wedge_ge v0 v1 w1 w2 = {z | &0 <= azim v0 v1 w1 z /\ azim v0 v1 w1 z <= azim v0 v1 w1 w2}
% Goal: !x v0 v1 w1 w2. x IN wedge_ge v0 v1 w1 w2 <=> azim v0 v1 w1 x <= azim v0 v1 w1 w2
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !v w w1 w2. &0 <= azim v w w1 w2 /\ azim v w w1 w2 < &2 * pi
% Assm: T
% Assm: !v0 v1 w1 w2. wedge_ge v0 v1 w1 w2 = {z | &0 <= azim v0 v1 w1 z /\ azim v0 v1 w1 z <= azim v0 v1 w1 w2}
% Goal: !x v0 v1 w1 w2. x IN wedge_ge v0 v1 w1 w2 <=> azim v0 v1 w1 x <= azim v0 v1 w1 w2
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cpi, type, pi : real).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(cazim, type, azim : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(cwedgeuu_ge, type, wedgeu_ge : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ (gspec @ ^[V:cartrealn3]:?[Y:cartrealn3]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aLocalu_lemmaso_AZIMu_RANGE, axiom, ![V:cartrealn3,W:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (azim @ V @ W @ W1 @ W2)) & (realu_lt @ (azim @ V @ W @ W1 @ W2) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)))).
thf(aTRUTH, axiom, $true).
thf(aWrgcvdru_cizmrrho_wedgeu_ge, axiom, ![V0:cartrealn3,V1:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((wedgeu_ge @ V0 @ V1 @ W1 @ W2) = (gspec @ ^[GENR_PVARR_1736:cartrealn3]:?[Z:cartrealn3]:(setspec @ GENR_PVARR_1736 @ ((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (azim @ V0 @ V1 @ W1 @ Z)) & (realu_le @ (azim @ V0 @ V1 @ W1 @ Z) @ (azim @ V0 @ V1 @ W1 @ W2))) @ Z)))).
thf(conjecture, conjecture, ![X:cartrealn3,V0:cartrealn3,V1:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((in @ X @ (wedgeu_ge @ V0 @ V1 @ W1 @ W2)) <=> (realu_le @ (azim @ V0 @ V1 @ W1 @ X) @ (azim @ V0 @ V1 @ W1 @ W2)))).
