%   ORIGINAL: Local_lemmas.AZIM_CYCLE_TWO_POINT_SET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: EXISTS_THM: (?) = (\P. P ((@) P))
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INSERT_INSERT: !x s. x INSERT x INSERT s = x INSERT s
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: I_THM: !x. I x = x
% Assm: Lvducxu.W_SUBSET_SINGLETON_IMP_IDE: W SUBSET {p} ==> azim_cycle W v w p = p
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: Sphere.azim_cycle: !W p w v. azim_cycle W v w p = (if W SUBSET {p} then p else @u. ~(u = p) /\ W u /\ (!q. ~(q = p) /\ W q ==> azim v w p u < azim v w p q \/ azim v w p u = azim v w p q /\ norm (projection (w - v) (u - v)) <= norm (projection (w - v) (q - v))))
% Assm: TRUTH: T
% Goal: azim_cycle {a, b} v w a = b
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: (?) = (\P. P ((@) P))
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !x s. x INSERT x INSERT s = x INSERT s
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !x. I x = x
% Assm: !W v w p. W SUBSET {p} ==> azim_cycle W v w p = p
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !x. x <= x
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !W p w v. azim_cycle W v w p = (if W SUBSET {p} then p else @u. ~(u = p) /\ W u /\ (!q. ~(q = p) /\ W q ==> azim v w p u < azim v w p q \/ azim v w p u = azim v w p q /\ norm (projection (w - v) (u - v)) <= norm (projection (w - v) (q - v))))
% Assm: T
% Goal: !b a w v. azim_cycle {a, b} v w a = b
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn3 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(chu_0, type, h_0 : ((cartrealn3 > $o) > cartrealn3)).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(ci, type, i : (cartrealn3 > cartrealn3)).
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cprojection, type, projection : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cazim, type, azim : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(ccond, type, cond : ($o > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cazimuu_cycle, type, azimu_cycle : ((cartrealn3 > $o) > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3)).
thf(cqu_, type, q_ : ((a > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealn3,T2:cartrealn3]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aEXISTSu_THM, axiom, (q_ = ^[P:(a > $o)]:(P @ (h_ @ P)))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINSERTu_INSERT, axiom, ![X:cartrealn3,S:(cartrealn3 > $o)]:((insert @ X @ (insert @ X @ S)) = (insert @ X @ S))).
thf(aINu_INSERT, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((in0 @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in0 @ X @ S)))).
thf(aIu_THM, axiom, ![X:cartrealn3]:((i @ X) = X)).
thf(aLvducxuo_Wu_SUBSETu_SINGLETONu_IMPu_IDE, axiom, ![W:(cartrealn3 > $o),V:cartrealn3,W0:cartrealn3,P:cartrealn3]:((subset @ W @ (insert @ P @ empty)) => ((azimu_cycle @ W @ V @ W0 @ P) = P))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn3]:~ ((in0 @ X @ empty))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aSphereo_azimu_cycle, axiom, ![W:(cartrealn3 > $o),P:cartrealn3,W0:cartrealn3,V:cartrealn3]:((azimu_cycle @ W @ V @ W0 @ P) = (cond @ (subset @ W @ (insert @ P @ empty)) @ P @ (h_0 @ ^[U:cartrealn3]:(~ ((U = P)) & (W @ U) & ![Q:cartrealn3]:((~ ((Q = P)) & (W @ Q)) => ((realu_lt @ (azim @ V @ W0 @ P @ U) @ (azim @ V @ W0 @ P @ Q)) | (((azim @ V @ W0 @ P @ U) = (azim @ V @ W0 @ P @ Q)) & (realu_le @ (vectoru_norm @ (projection @ (vectoru_sub @ W0 @ V) @ (vectoru_sub @ U @ V))) @ (vectoru_norm @ (projection @ (vectoru_sub @ W0 @ V) @ (vectoru_sub @ Q @ V)))))))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![B:cartrealn3,A:cartrealn3,W:cartrealn3,V:cartrealn3]:((azimu_cycle @ (insert @ A @ (insert @ B @ empty)) @ V @ W @ A) = B)).
