%   ORIGINAL: Local_lemmas.AFF2_DET_BY_TWO_POINTS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: AFFINE_HULL_SING: !a. affine hull {a} = {a}
% Assm: Collect_geom.LEMMA5: !a b x. line x /\ {a, b} SUBSET x /\ ~(a = b) ==> x = aff {a, b}
% Assm: INSERT_INSERT: !x s. x INSERT x INSERT s = x INSERT s
% Assm: INSERT_SUBSET: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Assm: Trigonometry.BYFLKYM1: aff = (hull) affine
% Assm: Trigonometry.SWKFLBJ1: !x. line x <=> (?v w. ~(v = w) /\ x = affine hull {v, w})
% Goal: {x, y} SUBSET aff {a, b} /\ ~(x = y) ==> aff {a, b} = aff {x, y}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a. affine hull {a} = {a}
% Assm: !a b x. line x /\ {a, b} SUBSET x /\ ~(a = b) ==> x = aff {a, b}
% Assm: !x s. x INSERT x INSERT s = x INSERT s
% Assm: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Assm: aff = (hull) affine
% Assm: !x. line x <=> (?v w. ~(v = w) /\ x = affine hull {v, w})
% Goal: !y x b a. {x, y} SUBSET aff {a, b} /\ ~(x = y) ==> aff {a, b} = aff {x, y}
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(caff, type, aff : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cline, type, line : ((cartrealn > $o) > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aAFFINEu_HULLu_SING, axiom, ![A:cartrealn]:((hull @ affine @ (insert @ A @ empty)) = (insert @ A @ empty))).
thf(aCollectu_geomo_LEMMA5, axiom, ![A:cartrealn,B:cartrealn,X:(cartrealn > $o)]:(((line @ X) & (subset @ (insert @ A @ (insert @ B @ empty)) @ X) & ~ ((A = B))) => (X = (aff @ (insert @ A @ (insert @ B @ empty)))))).
thf(aINSERTu_INSERT, axiom, ![X:cartrealn,S:(cartrealn > $o)]:((insert @ X @ (insert @ X @ S)) = (insert @ X @ S))).
thf(aINSERTu_SUBSET, axiom, ![X:cartrealn,S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ (insert @ X @ S) @ T) <=> ((in @ X @ T) & (subset @ S @ T)))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_BYFLKYM1, axiom, (aff = (hull @ affine))).
thf(aTrigonometryo_SWKFLBJ1, axiom, ![X:(cartrealn > $o)]:((line @ X) <=> ?[V:cartrealn,W:cartrealn]:(~ ((V = W)) & (X = (hull @ affine @ (insert @ V @ (insert @ W @ empty))))))).
thf(conjecture, conjecture, ![Y:cartrealn,X:cartrealn,B:cartrealn,A:cartrealn]:(((subset @ (insert @ X @ (insert @ Y @ empty)) @ (aff @ (insert @ A @ (insert @ B @ empty)))) & ~ ((X = Y))) => ((aff @ (insert @ A @ (insert @ B @ empty))) = (aff @ (insert @ X @ (insert @ Y @ empty)))))).
