%   ORIGINAL: Local_lemmas.IN_CONV0_IMP_AFF_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EMPTY_SUBSET: !s. {} SUBSET s
% Assm: INSERT_SUBSET: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: Ldurdpn.IN_HULL_INSERT: !x. x IN P hull (x INSERT S)
% Assm: Local_lemmas.AFF2_DET_BY_TWO_POINTS: {x, y} SUBSET aff {a, b} /\ ~(x = y) ==> aff {a, b} = aff {x, y}
% Assm: Local_lemmas.CONV02_SUBSET_AFF2: conv0 {a, b} SUBSET aff {a, b}
% Assm: Local_lemmas.IN_CONV0_EQ_EQ: !x. x IN conv0 {a, b} ==> (x = a <=> a = b)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: Trigonometry.BYFLKYM1: aff = (hull) affine
% Goal: a IN conv0 {x, y} ==> aff {x, y} = aff {x, a}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. {} SUBSET s
% Assm: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: !P S x. x IN P hull (x INSERT S)
% Assm: !a b x y. {x, y} SUBSET aff {a, b} /\ ~(x = y) ==> aff {a, b} = aff {x, y}
% Assm: !a b. conv0 {a, b} SUBSET aff {a, b}
% Assm: !a b x. x IN conv0 {a, b} ==> (x = a <=> a = b)
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: aff = (hull) affine
% Goal: !a x y. a IN conv0 {x, y} ==> aff {x, y} = aff {x, a}
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(caff, type, aff : ((cartrealn > $o) > cartrealn > $o)).
thf(cconv0, type, conv0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEMPTYu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ empty @ S)).
thf(aINSERTu_SUBSET, axiom, ![X:cartrealn,S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ (insert @ X @ S) @ T) <=> ((in @ X @ T) & (subset @ S @ T)))).
thf(aLdurdpno_INu_HULLu_INSERT, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),X:cartrealn]:(in @ X @ (hull @ P @ (insert @ X @ S)))).
thf(aLocalu_lemmaso_AFF2u_DETu_BYu_TWOu_POINTS, axiom, ![A:cartrealn,B:cartrealn,X:cartrealn,Y:cartrealn]:(((subset @ (insert @ X @ (insert @ Y @ empty)) @ (aff @ (insert @ A @ (insert @ B @ empty)))) & ~ ((X = Y))) => ((aff @ (insert @ A @ (insert @ B @ empty))) = (aff @ (insert @ X @ (insert @ Y @ empty)))))).
thf(aLocalu_lemmaso_CONV02u_SUBSETu_AFF2, axiom, ![A:cartrealn,B:cartrealn]:(subset @ (conv0 @ (insert @ A @ (insert @ B @ empty))) @ (aff @ (insert @ A @ (insert @ B @ empty))))).
thf(aLocalu_lemmaso_INu_CONV0u_EQu_EQ, axiom, ![A:cartrealn,B:cartrealn,X:cartrealn]:((in @ X @ (conv0 @ (insert @ A @ (insert @ B @ empty)))) => ((X = A) <=> (A = B)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_BYFLKYM1, axiom, (aff = (hull @ affine))).
thf(conjecture, conjecture, ![A:cartrealn,X:cartrealn,Y:cartrealn]:((in @ A @ (conv0 @ (insert @ X @ (insert @ Y @ empty)))) => ((aff @ (insert @ X @ (insert @ Y @ empty))) = (aff @ (insert @ X @ (insert @ A @ empty)))))).
