%   ORIGINAL: Local_lemmas.AFF_CONV0_COLL4
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EMPTY_SUBSET: !s. {} SUBSET s
% Assm: INSERT_COMM: !x y s. x INSERT y INSERT s = y INSERT x INSERT s
% Assm: INSERT_SUBSET: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: Local_lemmas.IN_CONV0_AFF_SUBSET: !t. t IN aff {a, b} INTER conv0 {x, y} /\ x IN aff {a, b} ==> aff {x, y} SUBSET aff {a, b}
% Assm: Local_lemmas.SUBSET_AFF2_IMP_COLL: S SUBSET aff {a, b} ==> collinear S
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Planarity.POINT_IN_LINE: !x y. x IN aff {x, y}
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: t IN aff {a, b} INTER conv0 {x, y} /\ x IN aff {a, b} ==> collinear {a, b, x, y}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. {} SUBSET s
% Assm: !x y s. x INSERT y INSERT s = y INSERT x INSERT s
% Assm: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: !x y a b t. t IN aff {a, b} INTER conv0 {x, y} /\ x IN aff {a, b} ==> aff {x, y} SUBSET aff {a, b}
% Assm: !a b S. S SUBSET aff {a, b} ==> collinear S
% Assm: ~F <=> T
% Assm: !x y. x IN aff {x, y}
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: !y x b a t. t IN aff {a, b} INTER conv0 {x, y} /\ x IN aff {a, b} ==> collinear {a, b, x, y}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cconv0, type, conv0 : ((cartrealn > $o) > cartrealn > $o)).
thf(caff, type, aff : ((cartrealn > $o) > cartrealn > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccollinear, type, collinear : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEMPTYu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ empty @ S)).
thf(aINSERTu_COMM, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((insert @ X @ (insert @ Y @ S)) = (insert @ Y @ (insert @ X @ S)))).
thf(aINSERTu_SUBSET, axiom, ![X:cartrealn,S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ (insert @ X @ S) @ T) <=> ((in @ X @ T) & (subset @ S @ T)))).
thf(aLocalu_lemmaso_INu_CONV0u_AFFu_SUBSET, axiom, ![X:cartrealn,Y:cartrealn,A:cartrealn,B:cartrealn,T:cartrealn]:(((in @ T @ (inter @ (aff @ (insert @ A @ (insert @ B @ empty))) @ (conv0 @ (insert @ X @ (insert @ Y @ empty))))) & (in @ X @ (aff @ (insert @ A @ (insert @ B @ empty))))) => (subset @ (aff @ (insert @ X @ (insert @ Y @ empty))) @ (aff @ (insert @ A @ (insert @ B @ empty)))))).
thf(aLocalu_lemmaso_SUBSETu_AFF2u_IMPu_COLL, axiom, ![A:cartrealn,B:cartrealn,S:(cartrealn > $o)]:((subset @ S @ (aff @ (insert @ A @ (insert @ B @ empty)))) => (collinear @ S))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPlanarityo_POINTu_INu_LINE, axiom, ![X:cartrealn,Y:cartrealn]:(in @ X @ (aff @ (insert @ X @ (insert @ Y @ empty))))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![Y:cartrealn,X:cartrealn,B:cartrealn,A:cartrealn,T:cartrealn]:(((in @ T @ (inter @ (aff @ (insert @ A @ (insert @ B @ empty))) @ (conv0 @ (insert @ X @ (insert @ Y @ empty))))) & (in @ X @ (aff @ (insert @ A @ (insert @ B @ empty))))) => (collinear @ (insert @ A @ (insert @ B @ (insert @ X @ (insert @ Y @ empty))))))).
