%   ORIGINAL: Local_lemmas.NOT_INTER_EQ_EM_IMP_AFF_SUBSET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFFINE_AFFINE_HULL: !s. affine (affine hull s)
% Assm: AFF_GT_SUBSET_AFFINE_HULL: !s t. aff_gt s t SUBSET affine hull (s UNION t)
% Assm: AFF_LT_SUBSET_AFFINE_HULL: !s t. aff_lt s t SUBSET affine hull (s UNION t)
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom.AFFINE_CONTAIN_LINE: !a b s. affine s /\ {a, b} SUBSET s ==> aff {a, b} SUBSET s
% Assm: EMPTY_SUBSET: !s. {} SUBSET s
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: INSERT_SUBSET: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: Ldurdpn.IN_HULL_INSERT: !x. x IN P hull (x INSERT S)
% Assm: Local_lemmas.AFF2_DET_BY_TWO_POINTS: {x, y} SUBSET aff {a, b} /\ ~(x = y) ==> aff {a, b} = aff {x, y}
% Assm: Local_lemmas.NOT_X_IN_AFF_X_A: ~(x IN aff_lt {x} {a})
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: Planarity.POINT_IN_LINE: !x y. x IN aff {x, y}
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Assm: Trigonometry.BYFLKYM1: aff = (hull) affine
% Goal: x' IN aff_gt {x} {v, w} INTER aff_lt {x} {u} ==> aff {x, u} SUBSET affine hull {x, v, w}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !s. affine (affine hull s)
% Assm: !s t. aff_gt s t SUBSET affine hull (s UNION t)
% Assm: !s t. aff_lt s t SUBSET affine hull (s UNION t)
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b s. affine s /\ {a, b} SUBSET s ==> aff {a, b} SUBSET s
% Assm: !s. {} SUBSET s
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !x s t. x INSERT s SUBSET t <=> x IN t /\ s SUBSET t
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !P S x. x IN P hull (x INSERT S)
% Assm: !a b x y. {x, y} SUBSET aff {a, b} /\ ~(x = y) ==> aff {a, b} = aff {x, y}
% Assm: !x a. ~(x IN aff_lt {x} {a})
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !x y. x IN aff {x, y}
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Assm: aff = (hull) affine
% Goal: !w v x u x'. x' IN aff_gt {x} {v, w} INTER aff_lt {x} {u} ==> aff {x, u} SUBSET affine hull {x, v, w}
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(caff, type, aff : ((cartrealn > $o) > cartrealn > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(caffuu_lt, type, affu_lt : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(caffuu_gt, type, affu_gt : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(caffine, type, affine : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFINEu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o)]:(affine @ (hull @ affine @ S))).
thf(aAFFu_GTu_SUBSETu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(subset @ (affu_gt @ S @ T) @ (hull @ affine @ (union @ S @ T)))).
thf(aAFFu_LTu_SUBSETu_AFFINEu_HULL, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(subset @ (affu_lt @ S @ T) @ (hull @ affine @ (union @ S @ T)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geomo_AFFINEu_CONTAINu_LINE, axiom, ![A:cartrealn,B:cartrealn,S:(cartrealn > $o)]:(((affine @ S) & (subset @ (insert @ A @ (insert @ B @ empty)) @ S)) => (subset @ (aff @ (insert @ A @ (insert @ B @ empty))) @ S))).
thf(aEMPTYu_SUBSET, axiom, ![S:(cartrealn > $o)]:(subset @ empty @ S)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ P) <=> (P @ X))).
thf(aINSERTu_SUBSET, axiom, ![X:cartrealn,S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ (insert @ X @ S) @ T) <=> ((in @ X @ T) & (subset @ S @ T)))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aINu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (union @ S @ T)) <=> ((in @ X @ S) | (in @ X @ T)))).
thf(aLdurdpno_INu_HULLu_INSERT, axiom, ![P:((cartrealn > $o) > $o),S:(cartrealn > $o),X:cartrealn]:(in @ X @ (hull @ P @ (insert @ X @ S)))).
thf(aLocalu_lemmaso_AFF2u_DETu_BYu_TWOu_POINTS, axiom, ![A:cartrealn,B:cartrealn,X:cartrealn,Y:cartrealn]:(((subset @ (insert @ X @ (insert @ Y @ empty)) @ (aff @ (insert @ A @ (insert @ B @ empty)))) & ~ ((X = Y))) => ((aff @ (insert @ A @ (insert @ B @ empty))) = (aff @ (insert @ X @ (insert @ Y @ empty)))))).
thf(aLocalu_lemmaso_NOTu_Xu_INu_AFFu_Xu_A, axiom, ![X:cartrealn,A:cartrealn]:~ ((in @ X @ (affu_lt @ (insert @ X @ empty) @ (insert @ A @ empty))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aPlanarityo_POINTu_INu_LINE, axiom, ![X:cartrealn,Y:cartrealn]:(in @ X @ (aff @ (insert @ X @ (insert @ Y @ empty))))).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_BYFLKYM1, axiom, (aff = (hull @ affine))).
thf(conjecture, conjecture, ![W:cartrealn,V:cartrealn,X:cartrealn,U:cartrealn,XI_:cartrealn]:((in @ XI_ @ (inter @ (affu_gt @ (insert @ X @ empty) @ (insert @ V @ (insert @ W @ empty))) @ (affu_lt @ (insert @ X @ empty) @ (insert @ U @ empty)))) => (subset @ (aff @ (insert @ X @ (insert @ U @ empty))) @ (hull @ affine @ (insert @ X @ (insert @ V @ (insert @ W @ empty))))))).
