%   ORIGINAL: Local_lemmas.AFF_GT_AFF_LT_INTERPRET2
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DISJOINT: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: IN_INTER: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: Local_lemmas.AFF_GT_AFF_LT_INTERPRET: !x. DISJOINT {x} {v, w} /\ DISJOINT {x} {u} ==> ((?a b c. a < &0 /\ &0 < b /\ &0 < c /\ a % (u - x) = b % (v - x) + c % (w - x)) <=> (?tt. tt IN aff_gt {x} {v, w} INTER aff_lt {x} {u}))
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRUTH: T
% Goal: !x. DISJOINT {x} {u, v, w} ==> ((?a b c. a < &0 /\ &0 < b /\ &0 < c /\ a % (u - x) = b % (v - x) + c % (w - x)) <=> (?tt. tt IN aff_gt {x} {v, w} INTER aff_lt {x} {u}))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. DISJOINT s t <=> s INTER t = {}
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !s t x. x IN s INTER t <=> x IN s /\ x IN t
% Assm: !v w u x. DISJOINT {x} {v, w} /\ DISJOINT {x} {u} ==> ((?a b c. a < &0 /\ &0 < b /\ &0 < c /\ a % (u - x) = b % (v - x) + c % (w - x)) <=> (?tt. tt IN aff_gt {x} {v, w} INTER aff_lt {x} {u}))
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: T
% Goal: !u w v x. DISJOINT {x} {u, v, w} ==> ((?a b c. a < &0 /\ &0 < b /\ &0 < c /\ a % (u - x) = b % (v - x) + c % (w - x)) <=> (?tt. tt IN aff_gt {x} {v, w} INTER aff_lt {x} {u}))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cdisjoint, type, disjoint : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(caffuu_lt, type, affu_lt : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(caffuu_gt, type, affu_gt : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISJOINT, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((disjoint @ S @ T) <=> ((inter @ S @ T) = empty))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aINu_INTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in @ X @ (inter @ S @ T)) <=> ((in @ X @ S) & (in @ X @ T)))).
thf(aLocalu_lemmaso_AFFu_GTu_AFFu_LTu_INTERPRET, axiom, ![V:cartrealn,W:cartrealn,U:cartrealn,X:cartrealn]:(((disjoint @ (insert @ X @ empty) @ (insert @ V @ (insert @ W @ empty))) & (disjoint @ (insert @ X @ empty) @ (insert @ U @ empty))) => (?[A:real,B:real,C:real]:((realu_lt @ A @ (realu_ofu_num @ (numeral @ u_0))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ C) & ((r_ @ A @ (vectoru_sub @ U @ X)) = (vectoru_add @ (r_ @ B @ (vectoru_sub @ V @ X)) @ (r_ @ C @ (vectoru_sub @ W @ X))))) <=> ?[TT:cartrealn]:(in @ TT @ (inter @ (affu_gt @ (insert @ X @ empty) @ (insert @ V @ (insert @ W @ empty))) @ (affu_lt @ (insert @ X @ empty) @ (insert @ U @ empty))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![U:cartrealn,W:cartrealn,V:cartrealn,X:cartrealn]:((disjoint @ (insert @ X @ empty) @ (insert @ U @ (insert @ V @ (insert @ W @ empty)))) => (?[A:real,B:real,C:real]:((realu_lt @ A @ (realu_ofu_num @ (numeral @ u_0))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ B) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ C) & ((r_ @ A @ (vectoru_sub @ U @ X)) = (vectoru_add @ (r_ @ B @ (vectoru_sub @ V @ X)) @ (r_ @ C @ (vectoru_sub @ W @ X))))) <=> ?[TT:cartrealn]:(in @ TT @ (inter @ (affu_gt @ (insert @ X @ empty) @ (insert @ V @ (insert @ W @ empty))) @ (affu_lt @ (insert @ X @ empty) @ (insert @ U @ empty))))))).
