%   ORIGINAL: Local_lemmas.CONVEX_SOME_WEDGE
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CONVEX_AFF_GT: !s t. convex (aff_gt s t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: WEDGE_LUNE_GT: !v0 v1 w1 w2. ~collinear {v0, v1, w1} /\ ~collinear {v0, v1, w2} /\ &0 < azim v0 v1 w1 w2 /\ azim v0 v1 w1 w2 < pi ==> wedge v0 v1 w1 w2 = aff_gt {v0, v1} {w1, w2}
% Goal: ~collinear {v0, v1, w1} /\ ~collinear {v0, v1, w2} /\ &0 < azim v0 v1 w1 w2 /\ azim v0 v1 w1 w2 < pi ==> convex (wedge v0 v1 w1 w2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. convex (aff_gt s t)
% Assm: ~F <=> T
% Assm: T
% Assm: !v0 v1 w1 w2. ~collinear {v0, v1, w1} /\ ~collinear {v0, v1, w2} /\ &0 < azim v0 v1 w1 w2 /\ azim v0 v1 w1 w2 < pi ==> wedge v0 v1 w1 w2 = aff_gt {v0, v1} {w1, w2}
% Goal: !w2 w1 v1 v0. ~collinear {v0, v1, w1} /\ ~collinear {v0, v1, w2} /\ &0 < azim v0 v1 w1 w2 /\ azim v0 v1 w1 w2 < pi ==> convex (wedge v0 v1 w1 w2)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cpi, type, pi : real).
thf(caffuu_gt, type, affu_gt : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cwedge, type, wedge : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(cazim, type, azim : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cconvex, type, convex : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONVEXu_AFFu_GT, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(convex @ (affu_gt @ S @ T))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aWEDGEu_LUNEu_GT, axiom, ![V0:cartrealn3,V1:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W1 @ empty))))) & ~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W2 @ empty))))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (azim @ V0 @ V1 @ W1 @ W2)) & (realu_lt @ (azim @ V0 @ V1 @ W1 @ W2) @ pi)) => ((wedge @ V0 @ V1 @ W1 @ W2) = (affu_gt @ (insert @ V0 @ (insert @ V1 @ empty)) @ (insert @ W1 @ (insert @ W2 @ empty)))))).
thf(conjecture, conjecture, ![W2:cartrealn3,W1:cartrealn3,V1:cartrealn3,V0:cartrealn3]:((~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W1 @ empty))))) & ~ ((collinear @ (insert @ V0 @ (insert @ V1 @ (insert @ W2 @ empty))))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (azim @ V0 @ V1 @ W1 @ W2)) & (realu_lt @ (azim @ V0 @ V1 @ W1 @ W2) @ pi)) => (convex @ (wedge @ V0 @ V1 @ W1 @ W2)))).
