%   ORIGINAL: Local_lemmas.AZIM_SPEC_DEGENERATE_conjunct1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: AZIM_DEGENERATE_conjunct2: !v w w1 w2. collinear {v, w, w2} ==> azim v w w1 w2 = &0
% Assm: COLLINEAR_2: !x y. collinear {x, y}
% Assm: INSERT_COMM: !x y s. x INSERT y INSERT s = y INSERT x INSERT s
% Assm: INSERT_INSERT: !x s. x INSERT x INSERT s = x INSERT s
% Assm: TRUTH: T
% Goal: azim v0 v1 w1 v1 = &0
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !v w w1 w2. collinear {v, w, w2} ==> azim v w w1 w2 = &0
% Assm: !x y. collinear {x, y}
% Assm: !x y s. x INSERT y INSERT s = y INSERT x INSERT s
% Assm: !x s. x INSERT x INSERT s = x INSERT s
% Assm: T
% Goal: !v1 w1 v0. azim v0 v1 w1 v1 = &0
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cinsert1, type, insert1 : (a > (a > $o) > a > $o)).
thf(cinsert0, type, insert0 : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cazim, type, azim : (cartrealn3 > cartrealn3 > cartrealn3 > cartrealn3 > real)).
thf(cempty0, type, empty0 : (cartrealn > $o)).
thf(ccollinear0, type, collinear0 : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aAZIMu_DEGENERATEu_conjunct2, axiom, ![V:cartrealn3,W:cartrealn3,W1:cartrealn3,W2:cartrealn3]:((collinear @ (insert @ V @ (insert @ W @ (insert @ W2 @ empty)))) => ((azim @ V @ W @ W1 @ W2) = (realu_ofu_num @ (numeral @ u_0))))).
thf(aCOLLINEARu_2, axiom, ![X:cartrealn,Y:cartrealn]:(collinear0 @ (insert0 @ X @ (insert0 @ Y @ empty0)))).
thf(aINSERTu_COMM, axiom, ![X:a,Y:a,S:(a > $o)]:((insert1 @ X @ (insert1 @ Y @ S)) = (insert1 @ Y @ (insert1 @ X @ S)))).
thf(aINSERTu_INSERT, axiom, ![X:a,S:(a > $o)]:((insert1 @ X @ (insert1 @ X @ S)) = (insert1 @ X @ S))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V1:cartrealn3,W1:cartrealn3,V0:cartrealn3]:((azim @ V0 @ V1 @ W1 @ V1) = (realu_ofu_num @ (numeral @ u_0)))).
