%   ORIGINAL: Local_lemmas.NOT_COLL_IMP_COPL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CROSS_EQ_0: !x y. x cross y = vec 0 <=> collinear {vec 0, x, y}
% Assm: DOT_EQ_0: !x. x dot x = &0 <=> x = vec 0
% Assm: Local_lemmas.CROSS_DOT_COPLANAR: (x cross y) dot z = &0 <=> coplanar {vec 0, x, y, z}
% Assm: TRUTH: T
% Goal: ~collinear {vec 0, v, w} ==> ~coplanar {vec 0, v, w, v cross w}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x cross y = vec 0 <=> collinear {vec 0, x, y}
% Assm: !x. x dot x = &0 <=> x = vec 0
% Assm: !x y z. (x cross y) dot z = &0 <=> coplanar {vec 0, x, y, z}
% Assm: T
% Goal: !w v. ~collinear {vec 0, v, w} ==> ~coplanar {vec 0, v, w, v cross w}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cdot, type, dot : (cartrealn3 > cartrealn3 > real)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccross, type, cross : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccoplanar, type, coplanar : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCROSSu_EQu_0, axiom, ![X:cartrealn3,Y:cartrealn3]:(((cross @ X @ Y) = (vec @ (numeral @ u_0))) <=> (collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ X @ (insert @ Y @ empty)))))).
thf(aDOTu_EQu_0, axiom, ![X:cartrealn3]:(((dot @ X @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (vec @ (numeral @ u_0))))).
thf(aLocalu_lemmaso_CROSSu_DOTu_COPLANAR, axiom, ![X:cartrealn3,Y:cartrealn3,Z:cartrealn3]:(((dot @ (cross @ X @ Y) @ Z) = (realu_ofu_num @ (numeral @ u_0))) <=> (coplanar @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ X @ (insert @ Y @ (insert @ Z @ empty))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![W:cartrealn3,V:cartrealn3]:(~ ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ V @ (insert @ W @ empty))))) => ~ ((coplanar @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ V @ (insert @ W @ (insert @ (cross @ V @ W) @ empty)))))))).
