%   ORIGINAL: Local_lemmas.COLL_IFF_COLL_CROSS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CROSS_EQ_0: !x y. x cross y = vec 0 <=> collinear {vec 0, x, y}
% Assm: CROSS_RZERO: !x. x cross vec 0 = vec 0
% Assm: INSERT_COMM: !x y s. x INSERT y INSERT s = y INSERT x INSERT s
% Assm: Local_lemmas.NOT_COLL_IMP_COPL: ~collinear {vec 0, v, w} ==> ~coplanar {vec 0, v, w, v cross w}
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_COPLANAR_NOT_COLLINEAR: !v1 v2 v3 w. ~coplanar {v1, v2, v3, w} ==> ~collinear {v1, v2, v3}
% Assm: TRUTH: T
% Goal: collinear {vec 0, v, w} <=> collinear {vec 0, v, v cross w}
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. x cross y = vec 0 <=> collinear {vec 0, x, y}
% Assm: !x. x cross vec 0 = vec 0
% Assm: !x y s. x INSERT y INSERT s = y INSERT x INSERT s
% Assm: !v w. ~collinear {vec 0, v, w} ==> ~coplanar {vec 0, v, w, v cross w}
% Assm: ~F <=> T
% Assm: !v1 v2 v3 w. ~coplanar {v1, v2, v3, w} ==> ~collinear {v1, v2, v3}
% Assm: T
% Goal: !w v. collinear {vec 0, v, w} <=> collinear {vec 0, v, v cross w}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealn3)).
thf(ccross, type, cross : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccoplanar, type, coplanar : ((cartrealn3 > $o) > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(ccollinear, type, collinear : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCROSSu_EQu_0, axiom, ![X:cartrealn3,Y:cartrealn3]:(((cross @ X @ Y) = (vec @ (numeral @ u_0))) <=> (collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ X @ (insert @ Y @ empty)))))).
thf(aCROSSu_RZERO, axiom, ![X:cartrealn3]:((cross @ X @ (vec @ (numeral @ u_0))) = (vec @ (numeral @ u_0)))).
thf(aINSERTu_COMM, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((insert @ X @ (insert @ Y @ S)) = (insert @ Y @ (insert @ X @ S)))).
thf(aLocalu_lemmaso_NOTu_COLLu_IMPu_COPL, axiom, ![V:cartrealn3,W:cartrealn3]:(~ ((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ V @ (insert @ W @ empty))))) => ~ ((coplanar @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ V @ (insert @ W @ (insert @ (cross @ V @ W) @ empty)))))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_COPLANARu_NOTu_COLLINEAR, axiom, ![V1:cartrealn3,V2:cartrealn3,V3:cartrealn3,W:cartrealn3]:(~ ((coplanar @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ (insert @ W @ empty)))))) => ~ ((collinear @ (insert @ V1 @ (insert @ V2 @ (insert @ V3 @ empty))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![W:cartrealn3,V:cartrealn3]:((collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ V @ (insert @ W @ empty)))) <=> (collinear @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ V @ (insert @ (cross @ V @ W) @ empty)))))).
