%   ORIGINAL: Local_lemmas.AFF_GT_MONO
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_UNION: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: Sphere.affsign: !v sgn s t. affsign sgn s t v <=> (?f. v = lin_combo (s UNION t) f /\ (!w. t w ==> sgn (f w)) /\ sum (s UNION t) f = &1)
% Assm: TRUTH: T
% Assm: Trigonometry.BYFLKYM3: aff_gt = affsign sgn_gt
% Goal: !S. S SUBSET Y ==> aff_gt X Y SUBSET aff_gt (X UNION S) (Y DIFF S)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !s t x. x IN s UNION t <=> x IN s \/ x IN t
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !v sgn s t. affsign sgn s t v <=> (?f. v = lin_combo (s UNION t) f /\ (!w. t w ==> sgn (f w)) /\ sum (s UNION t) f = &1)
% Assm: T
% Assm: aff_gt = affsign sgn_gt
% Goal: !Y X S. S SUBSET Y ==> aff_gt X Y SUBSET aff_gt (X UNION S) (Y DIFF S)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csum, type, sum : ((cartrealn > $o) > (cartrealn > real) > real)).
thf(cin0, type, in0 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(clinuu_combo, type, linu_combo : ((cartrealn > $o) > (cartrealn > real) > cartrealn)).
thf(caffsign, type, affsign : ((real > $o) > (cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cunion, type, union : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(caffuu_gt, type, affu_gt : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cuu_0, type, u_0 : num).
thf(csgnuu_gt, type, sgnu_gt : (real > $o)).
thf(ci, type, i : (a > a)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in0 @ X @ (diff @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aINu_UNION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o),X:cartrealn]:((in0 @ X @ (union @ S @ T)) <=> ((in0 @ X @ S) | (in0 @ X @ T)))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSET, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((subset @ S @ T) <=> ![X:cartrealn]:((in0 @ X @ S) => (in0 @ X @ T)))).
thf(aSphereo_affsign, axiom, ![V:cartrealn,SGN:(real > $o),S:(cartrealn > $o),T:(cartrealn > $o)]:((affsign @ SGN @ S @ T @ V) <=> ?[F:(cartrealn > real)]:((V = (linu_combo @ (union @ S @ T) @ F)) & ![W:cartrealn]:((T @ W) => (SGN @ (F @ W))) & ((sum @ (union @ S @ T) @ F) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_BYFLKYM3, axiom, (affu_gt = (affsign @ sgnu_gt))).
thf(conjecture, conjecture, ![Y:(cartrealn > $o),X:(cartrealn > $o),S:(cartrealn > $o)]:((subset @ S @ Y) => (subset @ (affu_gt @ X @ Y) @ (affu_gt @ (union @ X @ S) @ (diff @ Y @ S))))).
