%   ORIGINAL: Local_lemmas.INVS_IN_AFF_GT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFF_GT_2_1: !x v w. DISJOINT {x, v} {w} ==> aff_gt {x, v} {w} = {y | ?t1 t2 t3. &0 < t3 /\ t1 + t2 + t3 = &1 /\ y = t1 % x + t2 % v + t3 % w}
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: Fan.th3a: !x v u. ~collinear {x, v, u} ==> DISJOINT {x, v} {u}
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: Local_lemmas.COLL_IN_AFF_GT_TOO: ~collinear {x, y, z} /\ a IN aff_gt {x, y} {z} ==> ~collinear {x, y, a}
% Assm: Local_lemmas.FOR_AFF_GT_NOT_INTERSECTION2: a1 % x + b1 % y + t % u = v /\ &0 < t /\ a1 + b1 + t = &1 ==> u = (&0 - a1) / t % x + (&0 - b1) / t % y + &1 / t % v /\ (&0 - a1) / t + (&0 - b1) / t + &1 / t = &1 /\ &0 < &1 / t
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: ~collinear {x, y, z} /\ a IN aff_gt {x, y} {z} ==> z IN aff_gt {x, y} {a}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !x v w. DISJOINT {x, v} {w} ==> aff_gt {x, v} {w} = {y | ?t1 t2 t3. &0 < t3 /\ t1 + t2 + t3 = &1 /\ y = t1 % x + t2 % v + t3 % w}
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !x v u. ~collinear {x, v, u} ==> DISJOINT {x, v} {u}
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !z x y a. ~collinear {x, y, z} /\ a IN aff_gt {x, y} {z} ==> ~collinear {x, y, a}
% Assm: !u x y v a1 b1 t. a1 % x + b1 % y + t % u = v /\ &0 < t /\ a1 + b1 + t = &1 ==> u = (&0 - a1) / t % x + (&0 - b1) / t % y + &1 / t % v /\ (&0 - a1) / t + (&0 - b1) / t + &1 / t = &1 /\ &0 < &1 / t
% Assm: ~F <=> T
% Assm: T
% Goal: !a y x z. ~collinear {x, y, z} /\ a IN aff_gt {x, y} {z} ==> z IN aff_gt {x, y} {a}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_div, type, realu_div : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cdisjoint, type, disjoint : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(caffuu_gt, type, affu_gt : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(ccollinear, type, collinear : ((cartrealn > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFu_GTu_2u_1, axiom, ![X:cartrealn,V:cartrealn,W:cartrealn]:((disjoint @ (insert @ X @ (insert @ V @ empty)) @ (insert @ W @ empty)) => ((affu_gt @ (insert @ X @ (insert @ V @ empty)) @ (insert @ W @ empty)) = (gspec @ ^[GENR_PVARR_2549:cartrealn]:?[Y:cartrealn]:(setspec @ GENR_PVARR_2549 @ ?[T1:real,T2:real,T3:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ T3) & ((realu_add @ T1 @ (realu_add @ T2 @ T3)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (Y = (vectoru_add @ (r_ @ T1 @ X) @ (vectoru_add @ (r_ @ T2 @ V) @ (r_ @ T3 @ W))))) @ Y))))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aFano_th3a, axiom, ![X:cartrealn,V:cartrealn,U:cartrealn]:(~ ((collinear @ (insert @ X @ (insert @ V @ (insert @ U @ empty))))) => (disjoint @ (insert @ X @ (insert @ V @ empty)) @ (insert @ U @ empty)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(cartrealn > $o),X:cartrealn]:((in @ X @ (gspec @ ^[V:cartrealn]:?[Y:cartrealn]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aLocalu_lemmaso_COLLu_INu_AFFu_GTu_TOO, axiom, ![Z:cartrealn,X:cartrealn,Y:cartrealn,A:cartrealn]:((~ ((collinear @ (insert @ X @ (insert @ Y @ (insert @ Z @ empty))))) & (in @ A @ (affu_gt @ (insert @ X @ (insert @ Y @ empty)) @ (insert @ Z @ empty)))) => ~ ((collinear @ (insert @ X @ (insert @ Y @ (insert @ A @ empty))))))).
thf(aLocalu_lemmaso_FORu_AFFu_GTu_NOTu_INTERSECTION2, axiom, ![U:cartrealn,X:cartrealn,Y:cartrealn,V:cartrealn,A1:real,B1:real,T:real]:((((vectoru_add @ (r_ @ A1 @ X) @ (vectoru_add @ (r_ @ B1 @ Y) @ (r_ @ T @ U))) = V) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ T) & ((realu_add @ A1 @ (realu_add @ B1 @ T)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0))))) => ((U = (vectoru_add @ (r_ @ (realu_div @ (realu_sub @ (realu_ofu_num @ (numeral @ u_0)) @ A1) @ T) @ X) @ (vectoru_add @ (r_ @ (realu_div @ (realu_sub @ (realu_ofu_num @ (numeral @ u_0)) @ B1) @ T) @ Y) @ (r_ @ (realu_div @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ T) @ V)))) & ((realu_add @ (realu_div @ (realu_sub @ (realu_ofu_num @ (numeral @ u_0)) @ A1) @ T) @ (realu_add @ (realu_div @ (realu_sub @ (realu_ofu_num @ (numeral @ u_0)) @ B1) @ T) @ (realu_div @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ T))) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_div @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ T))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,Y:cartrealn,X:cartrealn,Z:cartrealn]:((~ ((collinear @ (insert @ X @ (insert @ Y @ (insert @ Z @ empty))))) & (in @ A @ (affu_gt @ (insert @ X @ (insert @ Y @ empty)) @ (insert @ Z @ empty)))) => (in @ Z @ (affu_gt @ (insert @ X @ (insert @ Y @ empty)) @ (insert @ A @ empty))))).
