%   ORIGINAL: Local_lemmas.COLL_IN_AFF_GT_AFF_GT_EQ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Local_lemmas.AFF_GT_IN_IMP_SUBSET: ~collinear {x, y, z} /\ a IN aff_gt {x, y} {z} ==> aff_gt {x, y} {a} SUBSET aff_gt {x, y} {z}
% Assm: Local_lemmas.COLL_IN_AFF_GT_TOO: ~collinear {x, y, z} /\ a IN aff_gt {x, y} {z} ==> ~collinear {x, y, a}
% Assm: Local_lemmas.INVS_IN_AFF_GT: ~collinear {x, y, z} /\ a IN aff_gt {x, y} {z} ==> z IN aff_gt {x, y} {a}
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SUBSET_ANTISYM_EQ: !s t. s SUBSET t /\ t SUBSET s <=> s = t
% Assm: TRUTH: T
% Goal: ~collinear {x, y, z} /\ a IN aff_gt {x, y} {z} ==> aff_gt {x, y} {z} = aff_gt {x, y} {a}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a x y z. ~collinear {x, y, z} /\ a IN aff_gt {x, y} {z} ==> aff_gt {x, y} {a} SUBSET aff_gt {x, y} {z}
% Assm: !z x y a. ~collinear {x, y, z} /\ a IN aff_gt {x, y} {z} ==> ~collinear {x, y, a}
% Assm: !z x y a. ~collinear {x, y, z} /\ a IN aff_gt {x, y} {z} ==> z IN aff_gt {x, y} {a}
% Assm: ~F <=> T
% Assm: !s t. s SUBSET t /\ t SUBSET s <=> s = t
% Assm: T
% Goal: !a y x z. ~collinear {x, y, z} /\ a IN aff_gt {x, y} {z} ==> aff_gt {x, y} {z} = aff_gt {x, y} {a}
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(csubset, type, subset : ((cartrealn > $o) > (cartrealn > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(caffuu_gt, type, affu_gt : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(ccollinear, type, collinear : ((cartrealn > $o) > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aLocalu_lemmaso_AFFu_GTu_INu_IMPu_SUBSET, axiom, ![A:cartrealn,X:cartrealn,Y:cartrealn,Z:cartrealn]:((~ ((collinear @ (insert @ X @ (insert @ Y @ (insert @ Z @ empty))))) & (in @ A @ (affu_gt @ (insert @ X @ (insert @ Y @ empty)) @ (insert @ Z @ empty)))) => (subset @ (affu_gt @ (insert @ X @ (insert @ Y @ empty)) @ (insert @ A @ empty)) @ (affu_gt @ (insert @ X @ (insert @ Y @ empty)) @ (insert @ Z @ empty))))).
thf(aLocalu_lemmaso_COLLu_INu_AFFu_GTu_TOO, axiom, ![Z:cartrealn,X:cartrealn,Y:cartrealn,A:cartrealn]:((~ ((collinear @ (insert @ X @ (insert @ Y @ (insert @ Z @ empty))))) & (in @ A @ (affu_gt @ (insert @ X @ (insert @ Y @ empty)) @ (insert @ Z @ empty)))) => ~ ((collinear @ (insert @ X @ (insert @ Y @ (insert @ A @ empty))))))).
thf(aLocalu_lemmaso_INVSu_INu_AFFu_GT, axiom, ![Z:cartrealn,X:cartrealn,Y:cartrealn,A:cartrealn]:((~ ((collinear @ (insert @ X @ (insert @ Y @ (insert @ Z @ empty))))) & (in @ A @ (affu_gt @ (insert @ X @ (insert @ Y @ empty)) @ (insert @ Z @ empty)))) => (in @ Z @ (affu_gt @ (insert @ X @ (insert @ Y @ empty)) @ (insert @ A @ empty))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSUBSETu_ANTISYMu_EQ, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:(((subset @ S @ T) & (subset @ T @ S)) <=> (S = T))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![A:cartrealn,Y:cartrealn,X:cartrealn,Z:cartrealn]:((~ ((collinear @ (insert @ X @ (insert @ Y @ (insert @ Z @ empty))))) & (in @ A @ (affu_gt @ (insert @ X @ (insert @ Y @ empty)) @ (insert @ Z @ empty)))) => ((affu_gt @ (insert @ X @ (insert @ Y @ empty)) @ (insert @ Z @ empty)) = (affu_gt @ (insert @ X @ (insert @ Y @ empty)) @ (insert @ A @ empty))))).
