%   ORIGINAL: Local_lemmas.NOT_EMP_INJ_IMP_SURJ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: INJ: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: I_THM: !x. I x = x
% Assm: LET_DEF: !f x. LET f x = f x
% Assm: LET_END_DEF: !t. LET_END t = t
% Assm: Local_lemmas.EXISTS_IN: ~(a = {}) <=> (?x. x IN a)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: SURJ: !t s f. SURJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x. x IN t ==> (?y. y IN s /\ f y = x))
% Assm: TRUTH: T
% Goal: let f1 = (\y. if ?x. x IN X /\ f x = y then @x. x IN X /\ f x = y else @x. x IN X) in ~(X = {}) /\ INJ f X Y ==> SURJ f1 Y X
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !f x. LET f x <=> f x
% Assm: !t. LET_END t <=> t
% Assm: !a. ~(a = {}) <=> (?x. x IN a)
% Assm: ~F <=> T
% Assm: !P x. P x ==> P ((@) P)
% Assm: !t s f. SURJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x. x IN t ==> (?y. y IN s /\ f y = x))
% Assm: T
% Goal: !X f Y. let f1 = (\y. if ?x. x IN X /\ f x = y then @x. x IN X /\ f x = y else @x. x IN X) in ~(X = {}) /\ INJ f X Y ==> SURJ f1 Y X
%  TYPES
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(ci, type, i : ((a > $o) > a > $o)).
thf(cin0, type, in0 : (b > (b > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(clet, type, let : (((b > a) > $o) > (b > a) > $o)).
thf(chu_, type, h_ : ((a > $o) > a)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(csurj, type, surj : ((b > a) > (b > $o) > (a > $o) > $o)).
thf(cinj, type, inj : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cletuu_end, type, letu_end : ($o > $o)).
thf(cempty, type, empty : (a > $o)).
thf(ci0, type, i0 : (b > b)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:a,T2:a]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aETAu_AX, axiom, ![T:(a > $o)]:(^[X:a]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(a > $o),G:(a > $o)]:((F = G) <=> ![X:a]:((F @ X) <=> (G @ X)))).
thf(aINJ, axiom, ![T:(b > $o),S:(a > $o),F:(a > b)]:((inj @ F @ S @ T) <=> (![X:a]:((in @ X @ S) => (in0 @ (F @ X) @ T)) & ![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aIu_THMu_monomorphized1, axiom, ![X:(a > $o)]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:b]:((i0 @ X) = X)).
thf(aLETu_DEF, axiom, ![F:((b > a) > $o),X:(b > a)]:((let @ F @ X) <=> (F @ X))).
thf(aLETu_ENDu_DEF, axiom, ![T:$o]:((letu_end @ T) <=> T)).
thf(aLocalu_lemmaso_EXISTSu_IN, axiom, ![A:(a > $o)]:(~ ((A = empty)) <=> ?[X:a]:(in @ X @ A))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_ @ P)))).
thf(aSURJ, axiom, ![T:(a > $o),S:(b > $o),F:(b > a)]:((surj @ F @ S @ T) <=> (![X:b]:((in0 @ X @ S) => (in @ (F @ X) @ T)) & ![X:a]:((in @ X @ T) => ?[Y:b]:((in0 @ Y @ S) & ((F @ Y) = X)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![X:(a > $o),F:(a > b),Y:(b > $o)]:(let @ ^[F1:(b > a)]:(letu_end @ ((~ ((X = empty)) & (inj @ F @ X @ Y)) => (surj @ F1 @ Y @ X))) @ ^[Y0:b]:(cond @ ?[X0:a]:((in @ X0 @ X) & ((F @ X0) = Y0)) @ (h_ @ ^[X0:a]:((in @ X0 @ X) & ((F @ X0) = Y0))) @ (h_ @ ^[X0:a]:(in @ X0 @ X))))).
