%   ORIGINAL: Arc_properties.REALLIM_ATREAL_LOCAL
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COND_ELIM_THM: P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: REALLIM_ATREAL: !f l a. (f ---> l) (atreal a) <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x. &0 < abs (x - a) /\ abs (x - a) < d ==> abs (f x - l) < e)))
% Assm: REAL_LTE_TRANS: !x y z. x < y /\ y <= z ==> x < z
% Assm: REAL_MIN_MIN: !x y. min x y <= x /\ min x y <= y
% Assm: TRUTH: T
% Assm: real_min: !m n. min m n = (if m <= n then m else n)
% Assm: real_open: !s. real_open s <=> (!x. x IN s ==> (?e. &0 < e /\ (!x'. abs (x' - x) < e ==> x' IN s)))
% Goal: !f g x y. (g ---> y) (atreal x) /\ (?s. real_open s /\ x IN s /\ (!y. y IN s ==> f y = g y)) ==> (f ---> y) (atreal x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x c P y. P (if c then x else y) <=> (c ==> P x) /\ (~c ==> P y)
% Assm: !f l a. (f ---> l) (atreal a) <=> (!e. &0 < e ==> (?d. &0 < d /\ (!x. &0 < abs (x - a) /\ abs (x - a) < d ==> abs (f x - l) < e)))
% Assm: !x y z. x < y /\ y <= z ==> x < z
% Assm: !x y. min x y <= x /\ min x y <= y
% Assm: T
% Assm: !m n. min m n = (if m <= n then m else n)
% Assm: !s. real_open s <=> (!x. x IN s ==> (?e. &0 < e /\ (!x'. abs (x' - x) < e ==> x' IN s)))
% Goal: !f g x y. (g ---> y) (atreal x) /\ (?s. real_open s /\ x IN s /\ (!y. y IN s ==> f y = g y)) ==> (f ---> y) (atreal x)
%  TYPES
thf(tnum, type, num : $tType).
thf(tnetreal, type, netreal : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(crealuu_min, type, realu_min : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin, type, in : (real > (real > $o) > $o)).
thf(ccond0, type, cond0 : ($o > real > real > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccond, type, cond : ($o > a > a > a)).
thf(cmu_mu_mu_gu_, type, m_m_m_g_ : ((real > real) > real > netreal > $o)).
thf(crealuu_open, type, realu_open : ((real > $o) > $o)).
thf(catreal, type, atreal : (real > netreal)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCONDu_ELIMu_THM, axiom, ![X:a,C:$o,P:(a > $o),Y:a]:((P @ (cond @ C @ X @ Y)) <=> ((C => (P @ X)) & (~ (C) => (P @ Y))))).
thf(aREALLIMu_ATREAL, axiom, ![F:(real > real),L:real,A:real]:((m_m_m_g_ @ F @ L @ (atreal @ A)) <=> ![E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) => ?[D:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ D) & ![X:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_abs @ (realu_sub @ X @ A))) & (realu_lt @ (realu_abs @ (realu_sub @ X @ A)) @ D)) => (realu_lt @ (realu_abs @ (realu_sub @ (F @ X) @ L)) @ E)))))).
thf(aREALu_LTEu_TRANS, axiom, ![X:real,Y:real,Z:real]:(((realu_lt @ X @ Y) & (realu_le @ Y @ Z)) => (realu_lt @ X @ Z))).
thf(aREALu_MINu_MIN, axiom, ![X:real,Y:real]:((realu_le @ (realu_min @ X @ Y) @ X) & (realu_le @ (realu_min @ X @ Y) @ Y))).
thf(aTRUTH, axiom, $true).
thf(arealu_min, axiom, ![M:real,N:real]:((realu_min @ M @ N) = (cond0 @ (realu_le @ M @ N) @ M @ N))).
thf(arealu_open, axiom, ![S:(real > $o)]:((realu_open @ S) <=> ![X:real]:((in @ X @ S) => ?[E:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ E) & ![XI_:real]:((realu_lt @ (realu_abs @ (realu_sub @ XI_ @ X)) @ E) => (in @ XI_ @ S)))))).
thf(conjecture, conjecture, ![F:(real > real),G:(real > real),X:real,Y:real]:(((m_m_m_g_ @ G @ Y @ (atreal @ X)) & ?[S:(real > $o)]:((realu_open @ S) & (in @ X @ S) & ![Y:real]:((in @ Y @ S) => ((F @ Y) = (G @ Y))))) => (m_m_m_g_ @ F @ Y @ (atreal @ X)))).
