%   ORIGINAL: Cfyxfty.FACET_SUBSET_CLOSURE_FCHANGED
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: CLOSURE_SUBSET: !s. s SUBSET closure s
% Assm: CONVEX_CLOSURE_RELATIVE_INTERIOR: !s. convex s ==> closure (relative_interior s) = closure s
% Assm: FACET_OF_IMP_FACE_OF: !f s. f facet_of s ==> f face_of s
% Assm: FACE_OF_POLYHEDRON_POLYHEDRON: !s c. polyhedron s /\ c face_of s ==> polyhedron c
% Assm: IN: !P x. x IN P <=> P x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: POLYHEDRON_EQ_FINITE_FACES: !s. polyhedron s <=> closed s /\ convex s /\ FINITE {f | f face_of s}
% Assm: Polyhedron.RELATIVE_SUBSET_FCHANGE: !p x f. bounded p /\ polyhedron p /\ x IN interior p /\ f facet_of p ==> relative_interior f SUBSET fchanged f
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: SUBSET_CLOSURE: !s t. s SUBSET t ==> closure s SUBSET closure t
% Assm: TRUTH: T
% Goal: !p f. bounded p /\ polyhedron p /\ vec 0 IN interior p /\ f facet_of p ==> f SUBSET closure (fchanged f)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s. s SUBSET closure s
% Assm: !s. convex s ==> closure (relative_interior s) = closure s
% Assm: !f s. f facet_of s ==> f face_of s
% Assm: !s c. polyhedron s /\ c face_of s ==> polyhedron c
% Assm: !P x. x IN P <=> P x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !s. polyhedron s <=> closed s /\ convex s /\ FINITE {f | f face_of s}
% Assm: !p x f. bounded p /\ polyhedron p /\ x IN interior p /\ f facet_of p ==> relative_interior f SUBSET fchanged f
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: !s t. s SUBSET t ==> closure s SUBSET closure t
% Assm: T
% Goal: !p f. bounded p /\ polyhedron p /\ vec 0 IN interior p /\ f facet_of p ==> f SUBSET closure (fchanged f)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cgspec, type, gspec : (((cartrealn3 > $o) > $o) > (cartrealn3 > $o) > $o)).
thf(cfaceuu_of, type, faceu_of : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(crelativeuu_interior, type, relativeu_interior : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cfchanged, type, fchanged : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cclosure, type, closure : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cfacetuu_of, type, facetu_of : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(cinterior, type, interior : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(csetspec, type, setspec : ((cartrealn3 > $o) > $o > (cartrealn3 > $o) > $o)).
thf(cfinite, type, finite : (((cartrealn3 > $o) > $o) > $o)).
thf(cclosed, type, closed : ((cartrealn3 > $o) > $o)).
thf(cconvex, type, convex : ((cartrealn3 > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn3 > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (a > a)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCLOSUREu_SUBSET, axiom, ![S:(cartrealn3 > $o)]:(subset @ S @ (closure @ S))).
thf(aCONVEXu_CLOSUREu_RELATIVEu_INTERIOR, axiom, ![S:(cartrealn3 > $o)]:((convex @ S) => ((closure @ (relativeu_interior @ S)) = (closure @ S)))).
thf(aFACETu_OFu_IMPu_FACEu_OF, axiom, ![F:(cartrealn3 > $o),S:(cartrealn3 > $o)]:((facetu_of @ F @ S) => (faceu_of @ F @ S))).
thf(aFACEu_OFu_POLYHEDRONu_POLYHEDRON, axiom, ![S:(cartrealn3 > $o),C:(cartrealn3 > $o)]:(((polyhedron @ S) & (faceu_of @ C @ S)) => (polyhedron @ C))).
thf(aIN, axiom, ![P:(cartrealn3 > $o),X:cartrealn3]:((in @ X @ P) <=> (P @ X))).
thf(aIu_THM, axiom, ![X:a]:((i @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPOLYHEDRONu_EQu_FINITEu_FACES, axiom, ![S:(cartrealn3 > $o)]:((polyhedron @ S) <=> ((closed @ S) & (convex @ S) & (finite @ (gspec @ ^[GENR_PVARR_1358:(cartrealn3 > $o)]:?[F:(cartrealn3 > $o)]:(setspec @ GENR_PVARR_1358 @ (faceu_of @ F @ S) @ F)))))).
thf(aPolyhedrono_RELATIVEu_SUBSETu_FCHANGE, axiom, ![P:(cartrealn3 > $o),X:cartrealn3,F:(cartrealn3 > $o)]:(((bounded @ P) & (polyhedron @ P) & (in @ X @ (interior @ P)) & (facetu_of @ F @ P)) => (subset @ (relativeu_interior @ F) @ (fchanged @ F)))).
thf(aSUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((subset @ S @ T) <=> ![X:cartrealn3]:((in @ X @ S) => (in @ X @ T)))).
thf(aSUBSETu_CLOSURE, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((subset @ S @ T) => (subset @ (closure @ S) @ (closure @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(cartrealn3 > $o),F:(cartrealn3 > $o)]:(((bounded @ P) & (polyhedron @ P) & (in @ (vec @ (numeral @ u_0)) @ (interior @ P)) & (facetu_of @ F @ P)) => (subset @ F @ (closure @ (fchanged @ F))))).
