%   ORIGINAL: Ysskqoy.DOT_COMPLEX
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: DIMINDEX_2: dimindex (:2) = 2
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: IN_NUMSEG: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: SUM_2: !t. sum (1..2) t = t 1 + t 2
% Assm: SUM_EQ: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: TRUTH: T
% Assm: VECTOR_2_conjunct0: vector [x; y]$1 = x
% Assm: VECTOR_2_conjunct1: vector [x; y]$2 = y
% Assm: complex: !x y. complex (x,y) = vector [x; y]
% Assm: dot: !x y. x dot y = sum (1..dimindex (:N)) (\i. x$i * y$i)
% Goal: !x y x' y'. complex (x,y) dot complex (x',y') = x * x' + y * y'
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: dimindex (:2) = 2
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: !m n p. p IN m..n <=> m <= p /\ p <= n
% Assm: !t. sum (1..2) t = t 1 + t 2
% Assm: !f g s. (!x. x IN s ==> f x = g x) ==> sum s f = sum s g
% Assm: T
% Assm: !y x. vector [x; y]$1 = x
% Assm: !x y. vector [x; y]$2 = y
% Assm: !x y. complex (x,y) = vector [x; y]
% Assm: !x y. x dot y = sum (1..dimindex (:2)) (\i. x$i * y$i)
% Goal: !x y x' y'. complex (x,y) dot complex (x',y') = x * x' + y * y'
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tq43851, type, q43851 : $tType).
thf(tn2, type, n2 : $tType).
thf(tlistreal, type, listreal : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
thf(tq70972, type, q70972 : $tType).
%  CONSTS
thf(cvector, type, vector : (listreal > cartrealn2)).
thf(cdu_, type, d_ : (cartrealn2 > num > real)).
thf(csum0, type, sum0 : ((q70972 > $o) > (q70972 > real) > real)).
thf(cin1, type, in1 : (q70972 > (q70972 > $o) > $o)).
thf(csum, type, sum : ((num > $o) > (num > real) > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin0, type, in0 : (num > (num > $o) > $o)).
thf(cgspec, type, gspec : ((q43851 > $o) > q43851 > $o)).
thf(cin, type, in : (q43851 > (q43851 > $o) > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(ccomplex, type, complex : (prodrealreal > cartrealn2)).
thf(cdot, type, dot : (cartrealn2 > cartrealn2 > real)).
thf(ccons, type, cons : (real > listreal > listreal)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(csetspec, type, setspec : (q43851 > $o > q43851 > $o)).
thf(ccu_, type, c_ : (real > real > prodrealreal)).
thf(cuniv, type, univ : (n2 > $o)).
thf(cdimindex, type, dimindex : ((n2 > $o) > num)).
thf(cnil, type, nil : listreal).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDIMINDEXu_2, axiom, ((dimindex @ univ) = (numeral @ (bit0 @ (bit1 @ u_0))))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(q43851 > $o),X:q43851]:((in @ X @ (gspec @ ^[V:q43851]:?[Y:q43851]:(setspec @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aINu_NUMSEG, axiom, ![M:num,N:num,P:num]:((in0 @ P @ (o_o_ @ M @ N)) <=> ((l_a_ @ M @ P) & (l_a_ @ P @ N)))).
thf(aSUMu_2, axiom, ![T:(num > real)]:((sum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ T) = (realu_add @ (T @ (numeral @ (bit1 @ u_0))) @ (T @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aSUMu_EQ, axiom, ![F:(q70972 > real),G:(q70972 > real),S:(q70972 > $o)]:(![X:q70972]:((in1 @ X @ S) => ((F @ X) = (G @ X))) => ((sum0 @ S @ F) = (sum0 @ S @ G)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_2u_conjunct0, axiom, ![Y:real,X:real]:((d_ @ (vector @ (cons @ X @ (cons @ Y @ nil))) @ (numeral @ (bit1 @ u_0))) = X)).
thf(aVECTORu_2u_conjunct1, axiom, ![X:real,Y:real]:((d_ @ (vector @ (cons @ X @ (cons @ Y @ nil))) @ (numeral @ (bit0 @ (bit1 @ u_0)))) = Y)).
thf(acomplex, axiom, ![X:real,Y:real]:((complex @ (c_ @ X @ Y)) = (vector @ (cons @ X @ (cons @ Y @ nil))))).
thf(adot, axiom, ![X:cartrealn2,Y:cartrealn2]:((dot @ X @ Y) = (sum @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ (dimindex @ univ)) @ ^[I:num]:(realu_mul @ (d_ @ X @ I) @ (d_ @ Y @ I))))).
thf(conjecture, conjecture, ![X:real,Y:real,XI_:real,YI_:real]:((dot @ (complex @ (c_ @ X @ Y)) @ (complex @ (c_ @ XI_ @ YI_))) = (realu_add @ (realu_mul @ X @ XI_) @ (realu_mul @ Y @ YI_)))).
