%   ORIGINAL: Ysskqoy.ARG_CNJ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: ARG_MUL_CX: !r z. &0 < r ==> Arg (Cx r * z) = Arg z
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COMPLEX_DIV_CNJ: !a b. a / b = (a * cnj b) / Cx (norm b) pow 2
% Assm: COMPLEX_INV_MUL: !w z. inv (w * z) = inv w * inv z
% Assm: COMPLEX_MUL_ASSOC: !x y z. x * y * z = (x * y) * z
% Assm: COMPLEX_MUL_SYM: !x y. x * y = y * x
% Assm: COMPLEX_POW_2: !x. x pow 2 = x * x
% Assm: COMPLEX_VEC_0: vec 0 = Cx (&0)
% Assm: CX_INV: !x. Cx (inv x) = inv (Cx x)
% Assm: Float.REAL_INV_POS: !x. &0 < x ==> &0 < inv x
% Assm: NORM_POS_LT: !x. &0 < norm x <=> ~(x = vec 0)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: complex_div: !w z. w / z = w * inv z
% Goal: !z w. ~(w = Cx (&0)) ==> Arg (z / w) = Arg (z * cnj w)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !r z. &0 < r ==> Arg (Cx r * z) = Arg z
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !a b. a / b = (a * cnj b) / Cx (norm b) pow 2
% Assm: !w z. inv (w * z) = inv w * inv z
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x y. x * y = y * x
% Assm: !x. x pow 2 = x * x
% Assm: vec 0 = Cx (&0)
% Assm: !x. Cx (inv x) = inv (Cx x)
% Assm: !x. &0 < x ==> &0 < inv x
% Assm: !x. &0 < norm x <=> ~(x = vec 0)
% Assm: ~F <=> T
% Assm: T
% Assm: !w z. w / z = w * inv z
% Goal: !z w. ~(w = Cx (&0)) ==> Arg (z / w) = Arg (z * cnj w)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealn2)).
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ccnj, type, cnj : (cartrealn2 > cartrealn2)).
thf(carg, type, arg : (cartrealn2 > real)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccomplexuu_pow, type, complexu_pow : (cartrealn2 > num > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aARGu_MULu_CX, axiom, ![R:real,Z:cartrealn2]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) => ((arg @ (complexu_mul @ (cx @ R) @ Z)) = (arg @ Z)))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCOMPLEXu_DIVu_CNJ, axiom, ![A:cartrealn2,B:cartrealn2]:((complexu_div @ A @ B) = (complexu_div @ (complexu_mul @ A @ (cnj @ B)) @ (complexu_pow @ (cx @ (vectoru_norm @ B)) @ (numeral @ (bit0 @ (bit1 @ u_0))))))).
thf(aCOMPLEXu_INVu_MUL, axiom, ![W:cartrealn2,Z:cartrealn2]:((complexu_inv @ (complexu_mul @ W @ Z)) = (complexu_mul @ (complexu_inv @ W) @ (complexu_inv @ Z)))).
thf(aCOMPLEXu_MULu_ASSOC, axiom, ![X:cartrealn2,Y:cartrealn2,Z:cartrealn2]:((complexu_mul @ X @ (complexu_mul @ Y @ Z)) = (complexu_mul @ (complexu_mul @ X @ Y) @ Z))).
thf(aCOMPLEXu_MULu_SYM, axiom, ![X:cartrealn2,Y:cartrealn2]:((complexu_mul @ X @ Y) = (complexu_mul @ Y @ X))).
thf(aCOMPLEXu_POWu_2, axiom, ![X:cartrealn2]:((complexu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (complexu_mul @ X @ X))).
thf(aCOMPLEXu_VECu_0, axiom, ((vec @ (numeral @ u_0)) = (cx @ (realu_ofu_num @ (numeral @ u_0))))).
thf(aCXu_INV, axiom, ![X:real]:((cx @ (realu_inv @ X)) = (complexu_inv @ (cx @ X)))).
thf(aFloato_REALu_INVu_POS, axiom, ![X:real]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ X) => (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (realu_inv @ X)))).
thf(aNORMu_POSu_LT, axiom, ![X:cartrealn2]:((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (vectoru_norm @ X)) <=> ~ ((X = (vec @ (numeral @ u_0)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(acomplexu_div, axiom, ![W:cartrealn2,Z:cartrealn2]:((complexu_div @ W @ Z) = (complexu_mul @ W @ (complexu_inv @ Z)))).
thf(conjecture, conjecture, ![Z:cartrealn2,W:cartrealn2]:(~ ((W = (cx @ (realu_ofu_num @ (numeral @ u_0))))) => ((arg @ (complexu_div @ Z @ W)) = (arg @ (complexu_mul @ Z @ (cnj @ W)))))).
