%   ORIGINAL: Ysskqoy.ARG_0_DIV
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPLEX_ENTIRE: !x y. x * y = Cx (&0) <=> x = Cx (&0) \/ y = Cx (&0)
% Assm: COMPLEX_INV_EQ_0: !x. inv x = Cx (&0) <=> x = Cx (&0)
% Assm: TRUTH: T
% Assm: complex_div: !w z. w / z = w * inv z
% Goal: !u v. u / v = Cx (&0) <=> u = Cx (&0) \/ v = Cx (&0)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x * y = Cx (&0) <=> x = Cx (&0) \/ y = Cx (&0)
% Assm: !x. inv x = Cx (&0) <=> x = Cx (&0)
% Assm: T
% Assm: !w z. w / z = w * inv z
% Goal: !u v. u / v = Cx (&0) <=> u = Cx (&0) \/ v = Cx (&0)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccomplexuu_inv, type, complexu_inv : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccomplexuu_div, type, complexu_div : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPLEXu_ENTIRE, axiom, ![X:cartrealn2,Y:cartrealn2]:(((complexu_mul @ X @ Y) = (cx @ (realu_ofu_num @ (numeral @ u_0)))) <=> ((X = (cx @ (realu_ofu_num @ (numeral @ u_0)))) | (Y = (cx @ (realu_ofu_num @ (numeral @ u_0))))))).
thf(aCOMPLEXu_INVu_EQu_0, axiom, ![X:cartrealn2]:(((complexu_inv @ X) = (cx @ (realu_ofu_num @ (numeral @ u_0)))) <=> (X = (cx @ (realu_ofu_num @ (numeral @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(acomplexu_div, axiom, ![W:cartrealn2,Z:cartrealn2]:((complexu_div @ W @ Z) = (complexu_mul @ W @ (complexu_inv @ Z)))).
thf(conjecture, conjecture, ![U:cartrealn2,V:cartrealn2]:(((complexu_div @ U @ V) = (cx @ (realu_ofu_num @ (numeral @ u_0)))) <=> ((U = (cx @ (realu_ofu_num @ (numeral @ u_0)))) | (V = (cx @ (realu_ofu_num @ (numeral @ u_0))))))).
