%   ORIGINAL: Ysskqoy.INJ_IFF_SURJ
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: INJ: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: I_THM: !x. I x = x
% Assm: Misc_defs_and_lemmas.INVERSE_DEF: !f a b. SURJ f a b ==> INJ (INVERSE f a b) b a /\ (!x. x IN b ==> f (INVERSE f a b x) = x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: SURJ: !t s f. SURJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x. x IN t ==> (?y. y IN s /\ f y = x))
% Assm: TRUTH: T
% Assm: Ysskqoy.INJ_SURJ: !a b f. FINITE a /\ FINITE b /\ CARD a = CARD b ==> INJ f a b ==> SURJ f a b
% Goal: !a b f. FINITE a /\ FINITE b /\ CARD a = CARD b ==> (INJ f a b <=> SURJ f a b)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !t s f. INJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x y. x IN s /\ y IN s /\ f x = f y ==> x = y)
% Assm: !x. I x = x
% Assm: !x. I x <=> x
% Assm: !f a b. SURJ f a b ==> INJ (INVERSE f a b) b a /\ (!x. x IN b ==> f (INVERSE f a b x) = x)
% Assm: ~F <=> T
% Assm: !t s f. SURJ f s t <=> (!x. x IN s ==> f x IN t) /\ (!x. x IN t ==> (?y. y IN s /\ f y = x))
% Assm: T
% Assm: !a b f. FINITE a /\ FINITE b /\ CARD a = CARD b ==> INJ f a b ==> SURJ f a b
% Goal: !a b f. FINITE a /\ FINITE b /\ CARD a = CARD b ==> (INJ f a b <=> SURJ f a b)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
%  CONSTS
thf(cin0, type, in0 : (b > (b > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cinverse, type, inverse : ((a > b) > (a > $o) > (b > $o) > b > a)).
thf(cinj0, type, inj0 : ((b > a) > (b > $o) > (a > $o) > $o)).
thf(csurj, type, surj : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(cinj, type, inj : ((a > b) > (a > $o) > (b > $o) > $o)).
thf(ci0, type, i0 : ($o > $o)).
thf(cfinite0, type, finite0 : ((b > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(ccard0, type, card0 : ((b > $o) > num)).
thf(ccard, type, card : ((a > $o) > num)).
thf(ci, type, i : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > num),G:(a > num)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aINJ, axiom, ![T:(b > $o),S:(a > $o),F:(a > b)]:((inj @ F @ S @ T) <=> (![X:a]:((in @ X @ S) => (in0 @ (F @ X) @ T)) & ![X:a,Y:a]:(((in @ X @ S) & (in @ Y @ S) & ((F @ X) = (F @ Y))) => (X = Y))))).
thf(aIu_THMu_monomorphized1, axiom, ![X:num]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:$o]:((i0 @ X) <=> X)).
thf(aMiscu_defsu_andu_lemmaso_INVERSEu_DEF, axiom, ![F:(a > b),A:(a > $o),B:(b > $o)]:((surj @ F @ A @ B) => ((inj0 @ (inverse @ F @ A @ B) @ B @ A) & ![X:b]:((in0 @ X @ B) => ((F @ (inverse @ F @ A @ B @ X)) = X))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSURJ, axiom, ![T:(b > $o),S:(a > $o),F:(a > b)]:((surj @ F @ S @ T) <=> (![X:a]:((in @ X @ S) => (in0 @ (F @ X) @ T)) & ![X:b]:((in0 @ X @ T) => ?[Y:a]:((in @ Y @ S) & ((F @ Y) = X)))))).
thf(aTRUTH, axiom, $true).
thf(aYsskqoyo_INJu_SURJ, axiom, ![A:(a > $o),B:(b > $o),F:(a > b)]:(((finite @ A) & (finite0 @ B) & ((card @ A) = (card0 @ B))) => ((inj @ F @ A @ B) => (surj @ F @ A @ B)))).
thf(conjecture, conjecture, ![A:(a > $o),B:(b > $o),F:(a > b)]:(((finite @ A) & (finite0 @ B) & ((card @ A) = (card0 @ B))) => ((inj @ F @ A @ B) <=> (surj @ F @ A @ B)))).
