%   ORIGINAL: Ysskqoy.norm_normalize
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NORM_EQ_0: !x. norm x = &0 <=> x = vec 0
% Assm: NORM_MUL: !a x. norm (a % x) = abs a * norm x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ABS_INV: !x. abs (inv x) = inv (abs x)
% Assm: REAL_ABS_NORM: !x. abs (norm x) = norm x
% Assm: REAL_MUL_LINV: !x. ~(x = &0) ==> inv x * x = &1
% Assm: TRUTH: T
% Assm: Ysskqoy.normalize: !v. normalize v = inv (norm v) % v
% Goal: !v. ~(v = vec 0) ==> norm (normalize v) = &1
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. norm x = &0 <=> x = vec 0
% Assm: !a x. norm (a % x) = abs a * norm x
% Assm: ~F <=> T
% Assm: !x. abs (inv x) = inv (abs x)
% Assm: !x. abs (norm x) = norm x
% Assm: !x. ~(x = &0) ==> inv x * x = &1
% Assm: T
% Assm: !v. normalize v = inv (norm v) % v
% Goal: !v. ~(v = vec 0) ==> norm (normalize v) = &1
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cnormalize, type, normalize : (cartrealn > cartrealn)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(crealuu_abs, type, realu_abs : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNORMu_EQu_0, axiom, ![X:cartrealn]:(((vectoru_norm @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (vec @ (numeral @ u_0))))).
thf(aNORMu_MUL, axiom, ![A:real,X:cartrealn]:((vectoru_norm @ (r_ @ A @ X)) = (realu_mul @ (realu_abs @ A) @ (vectoru_norm @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ABSu_INV, axiom, ![X:real]:((realu_abs @ (realu_inv @ X)) = (realu_inv @ (realu_abs @ X)))).
thf(aREALu_ABSu_NORM, axiom, ![X:cartrealn]:((realu_abs @ (vectoru_norm @ X)) = (vectoru_norm @ X))).
thf(aREALu_MULu_LINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ (realu_inv @ X) @ X) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(aYsskqoyo_normalize, axiom, ![V:cartrealn]:((normalize @ V) = (r_ @ (realu_inv @ (vectoru_norm @ V)) @ V))).
thf(conjecture, conjecture, ![V:cartrealn]:(~ ((V = (vec @ (numeral @ u_0)))) => ((vectoru_norm @ (normalize @ V)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
