%   ORIGINAL: Ysskqoy.RE_NORM_1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ARG: !z. &0 <= Arg z /\ Arg z < &2 * pi /\ z = Cx (norm z) * cexp (ii * Cx (Arg z))
% Assm: COMPLEX_MUL_LID: !x. Cx (&1) * x = x
% Assm: TRUTH: T
% Assm: Ysskqoy.RE_CEXP_CX: !x. Re (cexp (ii * Cx x)) = cos x
% Goal: !z. norm z = &1 ==> Re z = cos (Arg z)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !z. &0 <= Arg z /\ Arg z < &2 * pi /\ z = Cx (norm z) * cexp (ii * Cx (Arg z))
% Assm: !x. Cx (&1) * x = x
% Assm: T
% Assm: !x. Re (cexp (ii * Cx x)) = cos x
% Goal: !z. norm z = &1 ==> Re z = cos (Arg z)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(ccexp, type, cexp : (cartrealn2 > cartrealn2)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(carg, type, arg : (cartrealn2 > real)).
thf(cre, type, re : (cartrealn2 > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(cpi, type, pi : real).
thf(ccomplexuu_mul, type, complexu_mul : (cartrealn2 > cartrealn2 > cartrealn2)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cii, type, ii : cartrealn2).
thf(ccos, type, cos : (real > real)).
thf(cbit0, type, bit0 : (num > num)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aARG, axiom, ![Z:cartrealn2]:((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (arg @ Z)) & (realu_lt @ (arg @ Z) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ pi)) & (Z = (complexu_mul @ (cx @ (vectoru_norm @ Z)) @ (cexp @ (complexu_mul @ ii @ (cx @ (arg @ Z)))))))).
thf(aCOMPLEXu_MULu_LID, axiom, ![X:cartrealn2]:((complexu_mul @ (cx @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) @ X) = X)).
thf(aTRUTH, axiom, $true).
thf(aYsskqoyo_REu_CEXPu_CX, axiom, ![X:real]:((re @ (cexp @ (complexu_mul @ ii @ (cx @ X)))) = (cos @ X))).
thf(conjecture, conjecture, ![Z:cartrealn2]:(((vectoru_norm @ Z) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) => ((re @ Z) = (cos @ (arg @ Z))))).
