%   ORIGINAL: Counting_spheres.facet_rep_spec
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Counting_spheres.eus1: !P c. polyhedron P /\ c facet_of P ==> (?a b. norm a = &1 /\ (!r. &0 < r /\ (!p. norm p < r ==> P p) ==> r <= b) /\ P SUBSET {x | a dot x <= b} /\ c = P INTER {x | a dot x = b})
% Assm: TRUTH: T
% Goal: ?a b. !P c. polyhedron P /\ c facet_of P ==> norm (a P c) = &1 /\ (!r. &0 < r /\ (!p. norm p < r ==> P p) ==> r <= b P c) /\ P SUBSET {x | a P c dot x <= b P c} /\ c = P INTER {x | a P c dot x = b P c}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P c. polyhedron P /\ c facet_of P ==> (?a b. norm a = &1 /\ (!r. &0 < r /\ (!p. norm p < r ==> P p) ==> r <= b) /\ P SUBSET {x | a dot x <= b} /\ c = P INTER {x | a dot x = b})
% Assm: T
% Goal: ?a b. !P c. polyhedron P /\ c facet_of P ==> norm (a P c) = &1 /\ (!r. &0 < r /\ (!p. norm p < r ==> P p) ==> r <= b P c) /\ P SUBSET {x | a P c dot x <= b P c} /\ c = P INTER {x | a P c dot x = b P c}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cdot, type, dot : (cartrealn2 > cartrealn2 > real)).
thf(cgspec, type, gspec : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(csubset, type, subset : ((cartrealn2 > $o) > (cartrealn2 > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(cfacetuu_of, type, facetu_of : ((cartrealn2 > $o) > (cartrealn2 > $o) > $o)).
thf(cinter, type, inter : ((cartrealn2 > $o) > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(csetspec, type, setspec : (cartrealn2 > $o > cartrealn2 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cpolyhedron, type, polyhedron : ((cartrealn2 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn2 > $o),G:(a > cartrealn2 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCountingu_sphereso_eus1, axiom, ![P:(cartrealn2 > $o),C:(cartrealn2 > $o)]:(((polyhedron @ P) & (facetu_of @ C @ P)) => ?[A:cartrealn2,B:real]:(((vectoru_norm @ A) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ![R:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) & ![P0:cartrealn2]:((realu_lt @ (vectoru_norm @ P0) @ R) => (P @ P0))) => (realu_le @ R @ B)) & (subset @ P @ (gspec @ ^[GENR_PVARR_1946:cartrealn2]:?[X:cartrealn2]:(setspec @ GENR_PVARR_1946 @ (realu_le @ (dot @ A @ X) @ B) @ X))) & (C = (inter @ P @ (gspec @ ^[GENR_PVARR_1947:cartrealn2]:?[X:cartrealn2]:(setspec @ GENR_PVARR_1947 @ ((dot @ A @ X) = B) @ X))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ?[A:((cartrealn2 > $o) > (cartrealn2 > $o) > cartrealn2),B:((cartrealn2 > $o) > (cartrealn2 > $o) > real)]:![P:(cartrealn2 > $o),C:(cartrealn2 > $o)]:(((polyhedron @ P) & (facetu_of @ C @ P)) => (((vectoru_norm @ (A @ P @ C)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ![R:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) & ![P0:cartrealn2]:((realu_lt @ (vectoru_norm @ P0) @ R) => (P @ P0))) => (realu_le @ R @ (B @ P @ C))) & (subset @ P @ (gspec @ ^[GENR_PVARR_1952:cartrealn2]:?[X:cartrealn2]:(setspec @ GENR_PVARR_1952 @ (realu_le @ (dot @ (A @ P @ C) @ X) @ (B @ P @ C)) @ X))) & (C = (inter @ P @ (gspec @ ^[GENR_PVARR_1953:cartrealn2]:?[X:cartrealn2]:(setspec @ GENR_PVARR_1953 @ ((dot @ (A @ P @ C) @ X) = (B @ P @ C)) @ X))))))).
