%   ORIGINAL: Counting_spheres.facet_rep_uniq_c
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Counting_spheres.facet_rep_def: !P c. polyhedron P /\ c facet_of P ==> norm (facet_rep_a P c) = &1 /\ (!r. &0 < r /\ (!p. norm p < r ==> P p) ==> r <= facet_rep_b P c) /\ P SUBSET {x | facet_rep_a P c dot x <= facet_rep_b P c} /\ c = P INTER {x | facet_rep_a P c dot x = facet_rep_b P c}
% Assm: Counting_spheres.facet_rep_uniq: !P a b1 b2. polyhedron P /\ c1 facet_of P /\ c2 facet_of P /\ P SUBSET {x | a dot x <= b1} /\ P SUBSET {x | a dot x <= b2} /\ c1 = P INTER {x | a dot x = b1} /\ c2 = P INTER {x | a dot x = b2} ==> b1 = b2 /\ c1 = c2
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !P c1 c2. polyhedron P /\ c1 facet_of P /\ c2 facet_of P /\ facet_rep_a P c1 = facet_rep_a P c2 ==> c1 = c2
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !P c. polyhedron P /\ c facet_of P ==> norm (facet_rep_a P c) = &1 /\ (!r. &0 < r /\ (!p. norm p < r ==> P p) ==> r <= facet_rep_b P c) /\ P SUBSET {x | facet_rep_a P c dot x <= facet_rep_b P c} /\ c = P INTER {x | facet_rep_a P c dot x = facet_rep_b P c}
% Assm: !c1 c2 P a b1 b2. polyhedron P /\ c1 facet_of P /\ c2 facet_of P /\ P SUBSET {x | a dot x <= b1} /\ P SUBSET {x | a dot x <= b2} /\ c1 = P INTER {x | a dot x = b1} /\ c2 = P INTER {x | a dot x = b2} ==> b1 = b2 /\ c1 = c2
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: ~F <=> T
% Assm: T
% Goal: !P c1 c2. polyhedron P /\ c1 facet_of P /\ c2 facet_of P /\ facet_rep_a P c1 = facet_rep_a P c2 ==> c1 = c2
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(cdot, type, dot : (cartrealn2 > cartrealn2 > real)).
thf(cgspec, type, gspec : ((cartrealn2 > $o) > cartrealn2 > $o)).
thf(csubset, type, subset : ((cartrealn2 > $o) > (cartrealn2 > $o) > $o)).
thf(cfacetuu_repuu_b, type, facetu_repu_b : ((cartrealn2 > $o) > (cartrealn2 > $o) > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(cfacetuu_of, type, facetu_of : ((cartrealn2 > $o) > (cartrealn2 > $o) > $o)).
thf(cinter, type, inter : ((cartrealn2 > $o) > (cartrealn2 > $o) > cartrealn2 > $o)).
thf(csetspec, type, setspec : (cartrealn2 > $o > cartrealn2 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cfacetuu_repuu_a, type, facetu_repu_a : ((cartrealn2 > $o) > (cartrealn2 > $o) > cartrealn2)).
thf(cpolyhedron, type, polyhedron : ((cartrealn2 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealn2 > $o),G:(a > cartrealn2 > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCountingu_sphereso_facetu_repu_def, axiom, ![P:(cartrealn2 > $o),C:(cartrealn2 > $o)]:(((polyhedron @ P) & (facetu_of @ C @ P)) => (((vectoru_norm @ (facetu_repu_a @ P @ C)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ![R:real]:(((realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) & ![P0:cartrealn2]:((realu_lt @ (vectoru_norm @ P0) @ R) => (P @ P0))) => (realu_le @ R @ (facetu_repu_b @ P @ C))) & (subset @ P @ (gspec @ ^[GENR_PVARR_1952:cartrealn2]:?[X:cartrealn2]:(setspec @ GENR_PVARR_1952 @ (realu_le @ (dot @ (facetu_repu_a @ P @ C) @ X) @ (facetu_repu_b @ P @ C)) @ X))) & (C = (inter @ P @ (gspec @ ^[GENR_PVARR_1953:cartrealn2]:?[X:cartrealn2]:(setspec @ GENR_PVARR_1953 @ ((dot @ (facetu_repu_a @ P @ C) @ X) = (facetu_repu_b @ P @ C)) @ X))))))).
thf(aCountingu_sphereso_facetu_repu_uniq, axiom, ![C1:(cartrealn2 > $o),C2:(cartrealn2 > $o),P:(cartrealn2 > $o),A:cartrealn2,B1:real,B2:real]:(((polyhedron @ P) & (facetu_of @ C1 @ P) & (facetu_of @ C2 @ P) & (subset @ P @ (gspec @ ^[GENR_PVARR_1948:cartrealn2]:?[X:cartrealn2]:(setspec @ GENR_PVARR_1948 @ (realu_le @ (dot @ A @ X) @ B1) @ X))) & (subset @ P @ (gspec @ ^[GENR_PVARR_1949:cartrealn2]:?[X:cartrealn2]:(setspec @ GENR_PVARR_1949 @ (realu_le @ (dot @ A @ X) @ B2) @ X))) & (C1 = (inter @ P @ (gspec @ ^[GENR_PVARR_1950:cartrealn2]:?[X:cartrealn2]:(setspec @ GENR_PVARR_1950 @ ((dot @ A @ X) = B1) @ X)))) & (C2 = (inter @ P @ (gspec @ ^[GENR_PVARR_1951:cartrealn2]:?[X:cartrealn2]:(setspec @ GENR_PVARR_1951 @ ((dot @ A @ X) = B2) @ X))))) => ((B1 = B2) & (C1 = C2)))).
thf(aETAu_AX, axiom, ![T:(cartrealn2 > $o)]:(^[X:cartrealn2]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn2 > $o),G:(cartrealn2 > $o)]:((F = G) <=> ![X:cartrealn2]:((F @ X) <=> (G @ X)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(cartrealn2 > $o),C1:(cartrealn2 > $o),C2:(cartrealn2 > $o)]:(((polyhedron @ P) & (facetu_of @ C1 @ P) & (facetu_of @ C2 @ P) & ((facetu_repu_a @ P @ C1) = (facetu_repu_a @ P @ C2))) => (C1 = C2))).
