%   ORIGINAL: Counting_spheres.POLY_SORT_LEMMA
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Counting_spheres.poly_sort_antisym: !P u c1 c2 r. polyhedron P /\ &0 < r /\ (!p. norm p < r ==> P p) /\ poly_sort_fn P u c1 c2 /\ poly_sort_fn P u c2 c1 /\ ~(u = Cx (&0)) ==> c1 = c2
% Assm: Counting_spheres.poly_sort_trans: !P u c1 c2 c3 r. polyhedron P /\ &0 < r /\ (!p. norm p < r ==> P p) /\ ~(u = Cx (&0)) /\ poly_sort_fn P u c1 c2 /\ poly_sort_fn P u c2 c3 ==> poly_sort_fn P u c1 c3
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TOPOLOGICAL_SORT: !(<<). (!x y. x << y /\ y << x ==> x = y) /\ (!x y z. x << y /\ y << z ==> x << z) ==> (!n s. s HAS_SIZE n ==> (?f. s = IMAGE f (1..n) /\ (!j k. j IN 1..n /\ k IN 1..n /\ j < k ==> ~(f k << f j))))
% Assm: TRUTH: T
% Goal: !P n s r u. s = {c | c facet_of P} /\ polyhedron P /\ &0 < r /\ (!p. norm p < r ==> P p) /\ ~(u = Cx (&0)) /\ s HAS_SIZE n ==> (?f. s = IMAGE f (1..n) /\ (!j k. j IN 1..n /\ k IN 1..n /\ j < k ==> ~poly_sort_fn P u (f k) (f j)))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !P u c1 c2 r. polyhedron P /\ &0 < r /\ (!p. norm p < r ==> P p) /\ poly_sort_fn P u c1 c2 /\ poly_sort_fn P u c2 c1 /\ ~(u = Cx (&0)) ==> c1 = c2
% Assm: !P u c1 c2 c3 r. polyhedron P /\ &0 < r /\ (!p. norm p < r ==> P p) /\ ~(u = Cx (&0)) /\ poly_sort_fn P u c1 c2 /\ poly_sort_fn P u c2 c3 ==> poly_sort_fn P u c1 c3
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: !(<<). (!x y. x << y /\ y << x ==> x = y) /\ (!x y z. x << y /\ y << z ==> x << z) ==> (!n s. s HAS_SIZE n ==> (?f. s = IMAGE f (1..n) /\ (!j k. j IN 1..n /\ k IN 1..n /\ j < k ==> ~(f k << f j))))
% Assm: !(<<). (!x y. x << y /\ y << x ==> x = y) /\ (!x y z. x << y /\ y << z ==> x << z) ==> (!n s. s HAS_SIZE n ==> (?f. s = IMAGE f (1..n) /\ (!j k. j IN 1..n /\ k IN 1..n /\ j < k ==> ~(f k << f j))))
% Assm: T
% Goal: !P n s r u. s = {c | c facet_of P} /\ polyhedron P /\ &0 < r /\ (!p. norm p < r ==> P p) /\ ~(u = Cx (&0)) /\ s HAS_SIZE n ==> (?f. s = IMAGE f (1..n) /\ (!j k. j IN 1..n /\ k IN 1..n /\ j < k ==> ~poly_sort_fn P u (f k) (f j)))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(treal, type, real : $tType).
thf(tn2, type, n2 : $tType).
thf(tcartrealn2, type, cartrealn2 : $tType).
%  CONSTS
thf(chasuu_size1, type, hasu_size1 : ((cartrealn2 > $o) > num > $o)).
thf(chasuu_size0, type, hasu_size0 : ((((cartrealn2 > $o) > $o) > $o) > num > $o)).
thf(ci0, type, i0 : (cartrealn2 > cartrealn2)).
thf(ci, type, i : (((cartrealn2 > $o) > $o) > (cartrealn2 > $o) > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cin, type, in : (num > (num > $o) > $o)).
thf(chasuu_size, type, hasu_size : (((cartrealn2 > $o) > $o) > num > $o)).
thf(ccx, type, cx : (real > cartrealn2)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn2 > real)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cfacetuu_of, type, facetu_of : ((cartrealn2 > $o) > (cartrealn2 > $o) > $o)).
thf(cgspec, type, gspec : (((cartrealn2 > $o) > $o) > (cartrealn2 > $o) > $o)).
thf(cimage1, type, image1 : ((num > cartrealn2) > (num > $o) > cartrealn2 > $o)).
thf(cimage0, type, image0 : ((num > (cartrealn2 > $o) > $o) > (num > $o) > ((cartrealn2 > $o) > $o) > $o)).
thf(cpolyuu_sortuu_fn, type, polyu_sortu_fn : ((cartrealn2 > $o) > cartrealn2 > (cartrealn2 > $o) > (cartrealn2 > $o) > $o)).
thf(cou_ou_, type, o_o_ : (num > num > num > $o)).
thf(cimage, type, image : ((num > cartrealn2 > $o) > (num > $o) > (cartrealn2 > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec, type, setspec : ((cartrealn2 > $o) > $o > (cartrealn2 > $o) > $o)).
thf(cpolyhedron, type, polyhedron : ((cartrealn2 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > (cartrealn2 > $o) > $o),G:(a > (cartrealn2 > $o) > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn2),G:(a > cartrealn2)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCountingu_sphereso_polyu_sortu_antisym, axiom, ![P:(cartrealn2 > $o),U:cartrealn2,C1:(cartrealn2 > $o),C2:(cartrealn2 > $o),R:real]:(((polyhedron @ P) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) & ![P0:cartrealn2]:((realu_lt @ (vectoru_norm @ P0) @ R) => (P @ P0)) & (polyu_sortu_fn @ P @ U @ C1 @ C2) & (polyu_sortu_fn @ P @ U @ C2 @ C1) & ~ ((U = (cx @ (realu_ofu_num @ (numeral @ u_0)))))) => (C1 = C2))).
thf(aCountingu_sphereso_polyu_sortu_trans, axiom, ![P:(cartrealn2 > $o),U:cartrealn2,C1:(cartrealn2 > $o),C2:(cartrealn2 > $o),C3:(cartrealn2 > $o),R:real]:(((polyhedron @ P) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) & ![P0:cartrealn2]:((realu_lt @ (vectoru_norm @ P0) @ R) => (P @ P0)) & ~ ((U = (cx @ (realu_ofu_num @ (numeral @ u_0))))) & (polyu_sortu_fn @ P @ U @ C1 @ C2) & (polyu_sortu_fn @ P @ U @ C2 @ C3)) => (polyu_sortu_fn @ P @ U @ C1 @ C3))).
thf(aETAu_AX, axiom, ![T:((cartrealn2 > $o) > $o)]:(^[X:(cartrealn2 > $o)]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:((cartrealn2 > $o) > $o),G:((cartrealn2 > $o) > $o)]:((F = G) <=> ![X:(cartrealn2 > $o)]:((F @ X) <=> (G @ X)))).
thf(aIu_THMu_monomorphized1, axiom, ![X:((cartrealn2 > $o) > $o)]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:cartrealn2]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTOPOLOGICALu_SORTu_monomorphized1, axiom, ![L_L_:(((cartrealn2 > $o) > $o) > ((cartrealn2 > $o) > $o) > $o)]:((![X:((cartrealn2 > $o) > $o),Y:((cartrealn2 > $o) > $o)]:(((L_L_ @ X @ Y) & (L_L_ @ Y @ X)) => (X = Y)) & ![X:((cartrealn2 > $o) > $o),Y:((cartrealn2 > $o) > $o),Z:((cartrealn2 > $o) > $o)]:(((L_L_ @ X @ Y) & (L_L_ @ Y @ Z)) => (L_L_ @ X @ Z))) => ![N:num,S:(((cartrealn2 > $o) > $o) > $o)]:((hasu_size0 @ S @ N) => ?[F:(num > (cartrealn2 > $o) > $o)]:((S = (image0 @ F @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N))) & ![J:num,K:num]:(((in @ J @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N)) & (in @ K @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N)) & (l_ @ J @ K)) => ~ ((L_L_ @ (F @ K) @ (F @ J)))))))).
thf(aTOPOLOGICALu_SORTu_monomorphized0, axiom, ![L_L_:(cartrealn2 > cartrealn2 > $o)]:((![X:cartrealn2,Y:cartrealn2]:(((L_L_ @ X @ Y) & (L_L_ @ Y @ X)) => (X = Y)) & ![X:cartrealn2,Y:cartrealn2,Z:cartrealn2]:(((L_L_ @ X @ Y) & (L_L_ @ Y @ Z)) => (L_L_ @ X @ Z))) => ![N:num,S:(cartrealn2 > $o)]:((hasu_size1 @ S @ N) => ?[F:(num > cartrealn2)]:((S = (image1 @ F @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N))) & ![J:num,K:num]:(((in @ J @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N)) & (in @ K @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N)) & (l_ @ J @ K)) => ~ ((L_L_ @ (F @ K) @ (F @ J)))))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![P:(cartrealn2 > $o),N:num,S:((cartrealn2 > $o) > $o),R:real,U:cartrealn2]:(((S = (gspec @ ^[GENR_PVARR_1962:(cartrealn2 > $o)]:?[C:(cartrealn2 > $o)]:(setspec @ GENR_PVARR_1962 @ (facetu_of @ C @ P) @ C))) & (polyhedron @ P) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ R) & ![P0:cartrealn2]:((realu_lt @ (vectoru_norm @ P0) @ R) => (P @ P0)) & ~ ((U = (cx @ (realu_ofu_num @ (numeral @ u_0))))) & (hasu_size @ S @ N)) => ?[F:(num > cartrealn2 > $o)]:((S = (image @ F @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N))) & ![J:num,K:num]:(((in @ J @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N)) & (in @ K @ (o_o_ @ (numeral @ (bit1 @ u_0)) @ N)) & (l_ @ J @ K)) => ~ ((polyu_sortu_fn @ P @ U @ (F @ K) @ (F @ J))))))).
