%   ORIGINAL: Counting_spheres.BALL_LINEAR_INVARIANT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_BALL_0: !x e. x IN ball (vec 0,e) <=> norm x < e
% Assm: IN_IMAGE: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Goal: !f r. linear f /\ (!x. norm (f x) = norm x) /\ (!y. ?x. f x = y) ==> IMAGE f (ball (vec 0,r)) = ball (vec 0,r)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !P x. x IN P <=> P x
% Assm: !x e. x IN ball (vec 0,e) <=> norm x < e
% Assm: !y s f. y IN IMAGE f s <=> (?x. y = f x /\ x IN s)
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Goal: !f r. linear f /\ (!x. norm (f x) = norm x) /\ (!y. ?x. f x = y) ==> IMAGE f (ball (vec 0,r)) = ball (vec 0,r)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tprodcartrealmreal, type, prodcartrealmreal : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
%  CONSTS
thf(ci0, type, i0 : ((cartrealm > $o) > cartrealm > $o)).
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin0, type, in0 : (cartrealm > (cartrealm > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cball, type, ball : (prodcartrealmreal > cartrealm > $o)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealm > real)).
thf(ccu_, type, c_ : (cartrealm > real > prodcartrealmreal)).
thf(cimage, type, image : ((cartrealm > cartrealm) > (cartrealm > $o) > cartrealm > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealm) > $o)).
thf(ci1, type, i1 : (cartrealm > cartrealm)).
thf(cvec, type, vec : (num > cartrealm)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized2, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > cartrealm > $o),G:(a > cartrealm > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealm),G:(a > cartrealm)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aETAu_AX, axiom, ![T:(cartrealm > $o)]:(^[X:cartrealm]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealm > $o),G:(cartrealm > $o)]:((F = G) <=> ![X:cartrealm]:((F @ X) <=> (G @ X)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_BALLu_0, axiom, ![X:cartrealm,E:real]:((in0 @ X @ (ball @ (c_ @ (vec @ (numeral @ u_0)) @ E))) <=> (realu_lt @ (vectoru_norm @ X) @ E))).
thf(aINu_IMAGE, axiom, ![Y:cartrealm,S:(cartrealm > $o),F:(cartrealm > cartrealm)]:((in0 @ Y @ (image @ F @ S)) <=> ?[X:cartrealm]:((Y = (F @ X)) & (in0 @ X @ S)))).
thf(aIu_THMu_monomorphized2, axiom, ![X:real]:((i @ X) = X)).
thf(aIu_THMu_monomorphized1, axiom, ![X:(cartrealm > $o)]:((i0 @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:cartrealm]:((i1 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealm),R:real]:(((linear @ F) & ![X:cartrealm]:((vectoru_norm @ (F @ X)) = (vectoru_norm @ X)) & ![Y:cartrealm]:?[X:cartrealm]:((F @ X) = Y)) => ((image @ F @ (ball @ (c_ @ (vec @ (numeral @ u_0)) @ R))) = (ball @ (c_ @ (vec @ (numeral @ u_0)) @ R))))).
