%   ORIGINAL: Counting_spheres.PACKING_INSERT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIST_SYM: !x y. dist (x,y) = dist (y,x)
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: IN: !P x. x IN P <=> P x
% Assm: INSERT: x INSERT s = {y | y IN s \/ y = x}
% Assm: IN_ELIM_THM_conjunct3: !p x. {y | p y} x <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Sphere.packing: !S. packing S <=> (!u v. S u /\ S v /\ ~(u = v) ==> &2 <= dist (u,v))
% Assm: TRUTH: T
% Goal: !v S. packing S /\ ~S v /\ (!w. S w ==> &2 <= dist (v,w)) ==> packing (v INSERT S)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x y. dist (x,y) = dist (y,x)
% Assm: !t. (\x. t x) = t
% Assm: !P x. x IN P <=> P x
% Assm: !s x. x INSERT s = {y | y IN s \/ y = x}
% Assm: !p x. {y | p y} x <=> p x
% Assm: ~F <=> T
% Assm: !S. packing S <=> (!u v. S u /\ S v /\ ~(u = v) ==> &2 <= dist (u,v))
% Assm: T
% Goal: !v S. packing S /\ ~S v /\ (!w. S w ==> &2 <= dist (v,w)) ==> packing (v INSERT S)
%  TYPES
thf(tq43908, type, q43908 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(cgspec0, type, gspec0 : ((q43908 > $o) > q43908 > $o)).
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(csetspec0, type, setspec0 : (q43908 > $o > q43908 > $o)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cpacking, type, packing : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISTu_SYM, axiom, ![X:cartrealn3,Y:cartrealn3]:((distance @ (c_ @ X @ Y)) = (distance @ (c_ @ Y @ X)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINSERT, axiom, ![S:(cartrealn3 > $o),X:cartrealn3]:((insert @ X @ S) = (gspec @ ^[GENR_PVARR_5:cartrealn3]:?[Y:cartrealn3]:(setspec @ GENR_PVARR_5 @ ((in0 @ Y @ S) | (Y = X)) @ Y)))).
thf(aINu_ELIMu_THMu_conjunct3, axiom, ![P:(q43908 > $o),X:q43908]:((gspec0 @ ^[V:q43908]:?[Y:q43908]:(setspec0 @ V @ (P @ Y) @ Y) @ X) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aSphereo_packing, axiom, ![S:(cartrealn3 > $o)]:((packing @ S) <=> ![U:cartrealn3,V:cartrealn3]:(((S @ U) & (S @ V) & ~ ((U = V))) => (realu_le @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (distance @ (c_ @ U @ V)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:cartrealn3,S:(cartrealn3 > $o)]:(((packing @ S) & ~ ((S @ V)) & ![W:cartrealn3]:((S @ W) => (realu_le @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (distance @ (c_ @ V @ W))))) => (packing @ (insert @ V @ S)))).
