%   ORIGINAL: Counting_spheres.linear_inter_normball
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DIST_0: !x. dist (x,vec 0) = norm x /\ dist (vec 0,x) = norm x
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: FUN_EQ_THM: !f g. f = g <=> (!x. f x = g x)
% Assm: IMAGE: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: IN: !P x. x IN P <=> P x
% Assm: INTER: !s t. s INTER t = {x | x IN s /\ x IN t}
% Assm: IN_ELIM_THM_conjunct3: !p x. {y | p y} x <=> p x
% Assm: I_THM: !x. I x = x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: normball: !x r. normball x r = {y | dist (y,x) < r}
% Goal: !f s r. linear f /\ (!x. norm (f x) = norm x) ==> IMAGE f s INTER normball (vec 0) r = IMAGE f (s INTER normball (vec 0) r)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. dist (x,vec 0) = norm x /\ dist (vec 0,x) = norm x
% Assm: !x. dist (x,vec 0) = norm x /\ dist (vec 0,x) = norm x
% Assm: !t. (\x. t x) = t
% Assm: !f g. f = g <=> (!x. f x <=> g x)
% Assm: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: !P x. x IN P <=> P x
% Assm: !s t. s INTER t = {x | x IN s /\ x IN t}
% Assm: !p x. {y | p y} x <=> p x
% Assm: !x. I x = x
% Assm: !x. I x = x
% Assm: ~F <=> T
% Assm: T
% Assm: !x r. normball x r = {y | dist (y,x) < r}
% Goal: !f s r. linear f /\ (!x. norm (f x) = norm x) ==> IMAGE f s INTER normball (vec 0) r = IMAGE f (s INTER normball (vec 0) r)
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tprodcartrealmcartrealm, type, prodcartrealmcartrealm : $tType).
thf(tq43908, type, q43908 : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartrealm, type, cartrealm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(ci0, type, i0 : ((cartrealn > $o) > cartrealn > $o)).
thf(cgspec0, type, gspec0 : ((q43908 > $o) > q43908 > $o)).
thf(cin1, type, in1 : (cartrealn > (cartrealn > $o) > $o)).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealm > (cartrealm > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealn > $o) > cartrealn > $o)).
thf(cdistance0, type, distance0 : (prodcartrealmcartrealm > real)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealm > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(csetspec0, type, setspec0 : (q43908 > $o > q43908 > $o)).
thf(csetspec, type, setspec : (cartrealn > $o > cartrealn > $o)).
thf(ccu_0, type, c_0 : (cartrealm > cartrealm > prodcartrealmcartrealm)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cnormball0, type, normball0 : (cartrealm > real > cartrealm > $o)).
thf(cinter0, type, inter0 : ((cartrealm > $o) > (cartrealm > $o) > cartrealm > $o)).
thf(cnormball, type, normball : (cartrealn > real > cartrealn > $o)).
thf(cimage, type, image : ((cartrealm > cartrealn) > (cartrealm > $o) > cartrealn > $o)).
thf(cinter, type, inter : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(clinear, type, linear : ((cartrealm > cartrealn) > $o)).
thf(cvec0, type, vec0 : (num > cartrealm)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(ci, type, i : (real > real)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDISTu_0u_monomorphized1, axiom, ![X:cartrealn]:(((distance @ (c_ @ X @ (vec @ (numeral @ u_0)))) = (vectoru_norm @ X)) & ((distance @ (c_ @ (vec @ (numeral @ u_0)) @ X)) = (vectoru_norm @ X)))).
thf(aDISTu_0u_monomorphized0, axiom, ![X:cartrealm]:(((distance0 @ (c_0 @ X @ (vec0 @ (numeral @ u_0)))) = (vectoru_norm0 @ X)) & ((distance0 @ (c_0 @ (vec0 @ (numeral @ u_0)) @ X)) = (vectoru_norm0 @ X)))).
thf(aETAu_AX, axiom, ![T:(cartrealn > $o)]:(^[X:cartrealn]:(T @ X) = T)).
thf(aFUNu_EQu_THM, axiom, ![F:(cartrealn > $o),G:(cartrealn > $o)]:((F = G) <=> ![X:cartrealn]:((F @ X) <=> (G @ X)))).
thf(aIMAGE, axiom, ![S:(cartrealm > $o),F:(cartrealm > cartrealn)]:((image @ F @ S) = (gspec @ ^[GENR_PVARR_7:cartrealn]:?[Y:cartrealn]:(setspec @ GENR_PVARR_7 @ ?[X:cartrealm]:((in @ X @ S) & (Y = (F @ X))) @ Y)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in0 @ X @ P) <=> (P @ X))).
thf(aINTER, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((inter @ S @ T) = (gspec @ ^[GENR_PVARR_2:cartrealn]:?[X:cartrealn]:(setspec @ GENR_PVARR_2 @ ((in1 @ X @ S) & (in1 @ X @ T)) @ X)))).
thf(aINu_ELIMu_THMu_conjunct3, axiom, ![P:(q43908 > $o),X:q43908]:((gspec0 @ ^[V:q43908]:?[Y:q43908]:(setspec0 @ V @ (P @ Y) @ Y) @ X) <=> (P @ X))).
thf(aIu_THMu_monomorphized1, axiom, ![X:real]:((i @ X) = X)).
thf(aIu_THMu_monomorphized0, axiom, ![X:(cartrealn > $o)]:((i0 @ X) = X)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(anormball, axiom, ![X:cartrealn,R:real]:((normball @ X @ R) = (gspec @ ^[GENR_PVARR_2597:cartrealn]:?[Y:cartrealn]:(setspec @ GENR_PVARR_2597 @ (realu_lt @ (distance @ (c_ @ Y @ X)) @ R) @ Y)))).
thf(conjecture, conjecture, ![F:(cartrealm > cartrealn),S:(cartrealm > $o),R:real]:(((linear @ F) & ![X:cartrealm]:((vectoru_norm @ (F @ X)) = (vectoru_norm0 @ X))) => ((inter @ (image @ F @ S) @ (normball @ (vec @ (numeral @ u_0)) @ R)) = (image @ F @ (inter0 @ S @ (normball0 @ (vec0 @ (numeral @ u_0)) @ R)))))).
