%   ORIGINAL: Dih2k_hypermap.LINEAR_VECMAT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: Dih2k_hypermap.vecmat: !f j. vecmat j f = (lambda i. f$(j * dimindex (:N) + i))
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: TRUTH: T
% Assm: VECTOR_ADD_COMPONENT: !x y i. (x + y)$i = x$i + y$i
% Assm: VECTOR_MUL_COMPONENT: !c x i. (c % x)$i = c * x$i
% Assm: linear: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Goal: linear (vecmat i)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: !f j. vecmat j f = (lambda i. f$(j * dimindex (:?2026736) + i))
% Assm: !g i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: T
% Assm: !x y i. (x + y)$i = x$i + y$i
% Assm: !c x i. (c % x)$i = c * x$i
% Assm: !f. linear f <=> (!x y. f (x + y) = f x + f y) /\ (!c x. f (c % x) = c % f x)
% Goal: !i. linear (vecmat i)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tfiniteu_productq2026734q2026736, type, finite_productq2026734q2026736 : $tType).
thf(tcartrealfiniteu_productq2026734q2026736, type, cartrealfinite_productq2026734q2026736 : $tType).
thf(tcartab, type, cartab : $tType).
thf(tcartrealq2026736, type, cartrealq2026736 : $tType).
thf(tq2026734, type, q2026734 : $tType).
thf(tq2026736, type, q2026736 : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (b > $o)).
thf(cuniv0, type, univ0 : (q2026736 > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cdu_1, type, d_1 : (cartrealn > num > real)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cdu_0, type, d_0 : (cartrealfinite_productq2026734q2026736 > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdu_, type, d_ : (cartab > num > a)).
thf(clambda1, type, lambda1 : ((num > a) > cartab)).
thf(cru_1, type, r_1 : (real > cartrealq2026736 > cartrealq2026736)).
thf(cru_0, type, r_0 : (real > cartrealfinite_productq2026734q2026736 > cartrealfinite_productq2026734q2026736)).
thf(cvectoruu_add1, type, vectoru_add1 : (cartrealq2026736 > cartrealq2026736 > cartrealq2026736)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealfinite_productq2026734q2026736 > cartrealfinite_productq2026734q2026736 > cartrealfinite_productq2026734q2026736)).
thf(cru_, type, r_ : (real > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn > cartrealn > cartrealn)).
thf(cvecmat, type, vecmat : (num > cartrealfinite_productq2026734q2026736 > cartrealq2026736)).
thf(clinear, type, linear : ((cartrealfinite_productq2026734q2026736 > cartrealq2026736) > $o)).
thf(cdimindex0, type, dimindex0 : ((q2026736 > $o) > num)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealq2026736)).
thf(cdimindex, type, dimindex : ((b > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartab,Y:cartab]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aDih2ku_hypermapo_vecmat, axiom, ![F:cartrealfinite_productq2026734q2026736,J:num]:((vecmat @ J @ F) = (lambda0 @ ^[I:num]:(d_0 @ F @ (p_ @ (t_ @ J @ (dimindex0 @ univ0)) @ I))))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > a),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_ @ (lambda1 @ G) @ I) = (G @ I)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_ADDu_COMPONENT, axiom, ![X:cartrealn,Y:cartrealn,I:num]:((d_1 @ (vectoru_add @ X @ Y) @ I) = (realu_add @ (d_1 @ X @ I) @ (d_1 @ Y @ I)))).
thf(aVECTORu_MULu_COMPONENT, axiom, ![C:real,X:cartrealn,I:num]:((d_1 @ (r_ @ C @ X) @ I) = (realu_mul @ C @ (d_1 @ X @ I)))).
thf(alinear, axiom, ![F:(cartrealfinite_productq2026734q2026736 > cartrealq2026736)]:((linear @ F) <=> (![X:cartrealfinite_productq2026734q2026736,Y:cartrealfinite_productq2026734q2026736]:((F @ (vectoru_add0 @ X @ Y)) = (vectoru_add1 @ (F @ X) @ (F @ Y))) & ![C:real,X:cartrealfinite_productq2026734q2026736]:((F @ (r_0 @ C @ X)) = (r_1 @ C @ (F @ X)))))).
thf(conjecture, conjecture, ![I:num]:(linear @ (vecmat @ I))).
