%   ORIGINAL: Dih2k_hypermap.VECMAT_VEC
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: Dih2k_hypermap.INDEX_VECMAT: i < dimindex (:M) /\ 1 <= i' /\ i' <= dimindex (:N) ==> 1 <= i * dimindex (:N) + i' /\ i * dimindex (:N) + i' <= dimindex (:(M,N)finite_product)
% Assm: Dih2k_hypermap.vecmat: !f j. vecmat j f = (lambda i. f$(j * dimindex (:N) + i))
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: TRUTH: T
% Assm: vec: !n. vec n = (lambda i. &n)
% Goal: !i n. i < dimindex (:M) ==> vecmat i (vec n) = vec n
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !i i'. i < dimindex (:M) /\ 1 <= i' /\ i' <= dimindex (:M) ==> 1 <= i * dimindex (:M) + i' /\ i * dimindex (:M) + i' <= dimindex (:(M,M)finite_product)
% Assm: !f j. vecmat j f = (lambda i. f$(j * dimindex (:N) + i))
% Assm: !g i. 1 <= i /\ i <= dimindex (:M) ==> (lambda) g$i = g i
% Assm: T
% Assm: !n. vec n = (lambda i. &n)
% Goal: !i n. i < dimindex (:M) ==> vecmat i (vec n) = vec n
%  TYPES
thf(tcartrealfiniteu_productmn, type, cartrealfinite_productmn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tfiniteu_productmm, type, finite_productmm : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tfiniteu_productmn, type, finite_productmn : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cuniv0, type, univ0 : (n > $o)).
thf(cdu_0, type, d_0 : (cartrealfinite_productmn > num > real)).
thf(ctu_, type, t_ : (num > num > num)).
thf(cpu_, type, p_ : (num > num > num)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cdu_1, type, d_1 : (cartcartrealnm > num > cartrealn)).
thf(cvec, type, vec : (num > cartrealfinite_productmn)).
thf(cvecmat, type, vecmat : (num > cartrealfinite_productmn > cartrealn)).
thf(cuniv1, type, univ1 : (finite_productmm > $o)).
thf(clambda1, type, lambda1 : ((num > cartrealn) > cartcartrealnm)).
thf(clambda0, type, lambda0 : ((num > real) > cartrealn)).
thf(cvec0, type, vec0 : (num > cartrealn)).
thf(cdimindex1, type, dimindex1 : ((finite_productmm > $o) > num)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartrealn,Y:cartrealn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aDih2ku_hypermapo_INDEXu_VECMAT, axiom, ![I:num,II_:num]:(((l_ @ I @ (dimindex @ univ)) & (l_a_ @ (numeral @ (bit1 @ u_0)) @ II_) & (l_a_ @ II_ @ (dimindex @ univ))) => ((l_a_ @ (numeral @ (bit1 @ u_0)) @ (p_ @ (t_ @ I @ (dimindex @ univ)) @ II_)) & (l_a_ @ (p_ @ (t_ @ I @ (dimindex @ univ)) @ II_) @ (dimindex1 @ univ1))))).
thf(aDih2ku_hypermapo_vecmat, axiom, ![F:cartrealfinite_productmn,J:num]:((vecmat @ J @ F) = (lambda0 @ ^[I:num]:(d_0 @ F @ (p_ @ (t_ @ J @ (dimindex0 @ univ0)) @ I))))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartrealn),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_1 @ (lambda1 @ G) @ I) = (G @ I)))).
thf(aTRUTH, axiom, $true).
thf(avec, axiom, ![N:num]:((vec0 @ N) = (lambda0 @ ^[I:num]:(realu_ofu_num @ N)))).
thf(conjecture, conjecture, ![I:num,N:num]:((l_ @ I @ (dimindex @ univ)) => ((vecmat @ I @ (vec @ N)) = (vec0 @ N)))).
