%   ORIGINAL: Dih2k_hypermap.VECMAT_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Dih2k_hypermap.VECMAT_ADD: !i x y. vecmat i (x + y) = vecmat i x + vecmat i y
% Assm: Dih2k_hypermap.VECMAT_NEG: !i x. --vecmat i x = vecmat i (--x)
% Assm: TRUTH: T
% Assm: VECTOR_SUB: x - y = x + --y
% Goal: !i x y. vecmat i (x - y) = vecmat i x - vecmat i y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !i x y. vecmat i (x + y) = vecmat i x + vecmat i y
% Assm: !i x. --vecmat i x = vecmat i (--x)
% Assm: T
% Assm: !x y. x - y = x + --y
% Goal: !i x y. vecmat i (x - y) = vecmat i x - vecmat i y
%  TYPES
thf(tcartrealfiniteu_productmn, type, cartrealfinite_productmn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tfiniteu_productmn, type, finite_productmn : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cvectoruu_neg0, type, vectoru_neg0 : (cartrealfinite_productmn > cartrealfinite_productmn)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealfinite_productmn > cartrealfinite_productmn > cartrealfinite_productmn)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealfinite_productmn > cartrealfinite_productmn > cartrealfinite_productmn)).
thf(cvecmat, type, vecmat : (num > cartrealfinite_productmn > cartrealn)).
thf(cvectoruu_neg, type, vectoru_neg : (cartrealn > cartrealn)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDih2ku_hypermapo_VECMATu_ADD, axiom, ![I:num,X:cartrealfinite_productmn,Y:cartrealfinite_productmn]:((vecmat @ I @ (vectoru_add @ X @ Y)) = (vectoru_add0 @ (vecmat @ I @ X) @ (vecmat @ I @ Y)))).
thf(aDih2ku_hypermapo_VECMATu_NEG, axiom, ![I:num,X:cartrealfinite_productmn]:((vectoru_neg @ (vecmat @ I @ X)) = (vecmat @ I @ (vectoru_neg0 @ X)))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_SUB, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_sub0 @ X @ Y) = (vectoru_add0 @ X @ (vectoru_neg @ Y)))).
thf(conjecture, conjecture, ![I:num,X:cartrealfinite_productmn,Y:cartrealfinite_productmn]:((vecmat @ I @ (vectoru_sub @ X @ Y)) = (vectoru_sub0 @ (vecmat @ I @ X) @ (vecmat @ I @ Y)))).
