%   ORIGINAL: Dih2k_hypermap.FSTCART_VSUM
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: COND_CLAUSES: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: Dih2k_hypermap.VECMAT_ADD: !i x y. vecmat i (x + y) = vecmat i x + vecmat i y
% Assm: Dih2k_hypermap.VECMAT_VEC: !i n. i < dimindex (:M) ==> vecmat i (vec n) = vec n
% Assm: FINITE_INDUCT_STRONG: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: TRUTH: T
% Assm: VSUM_CLAUSES_conjunct0: !f. vsum {} f = vec 0
% Assm: VSUM_CLAUSES_conjunct1: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Goal: !k x i. FINITE k ==> i < dimindex (:M) ==> vecmat i (vsum k x) = vsum k (\i'. vecmat i (x i'))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !t1 t2. (if T then t1 else t2) = t1 /\ (if F then t1 else t2) = t2
% Assm: !i x y. vecmat i (x + y) = vecmat i x + vecmat i y
% Assm: !i n. i < dimindex (:M) ==> vecmat i (vec n) = vec n
% Assm: !P. P {} /\ (!x s. P s /\ ~(x IN s) /\ FINITE s ==> P (x INSERT s)) ==> (!s. FINITE s ==> P s)
% Assm: ~F <=> T
% Assm: T
% Assm: !f. vsum {} f = vec 0
% Assm: !x f s. FINITE s ==> vsum (x INSERT s) f = (if x IN s then vsum s f else f x + vsum s f)
% Goal: !k x i. FINITE k ==> i < dimindex (:M) ==> vecmat i (vsum k x) = vsum k (\i'. vecmat i (x i'))
%  TYPES
thf(tcartrealfiniteu_productmn, type, cartrealfinite_productmn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tfiniteu_productmn, type, finite_productmn : $tType).
thf(tq2026975, type, q2026975 : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cin, type, in : (q2026975 > (q2026975 > $o) > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cinsert, type, insert : (q2026975 > (q2026975 > $o) > q2026975 > $o)).
thf(cvec, type, vec : (num > cartrealfinite_productmn)).
thf(cvectoruu_add0, type, vectoru_add0 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_add, type, vectoru_add : (cartrealfinite_productmn > cartrealfinite_productmn > cartrealfinite_productmn)).
thf(ccond, type, cond : ($o > cartrealn > cartrealn > cartrealn)).
thf(cvsum0, type, vsum0 : ((q2026975 > $o) > (q2026975 > cartrealn) > cartrealn)).
thf(cvsum, type, vsum : ((q2026975 > $o) > (q2026975 > cartrealfinite_productmn) > cartrealfinite_productmn)).
thf(cvecmat, type, vecmat : (num > cartrealfinite_productmn > cartrealn)).
thf(cfinite, type, finite : ((q2026975 > $o) > $o)).
thf(cvec0, type, vec0 : (num > cartrealn)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cempty, type, empty : (q2026975 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCONDu_CLAUSES, axiom, ![T1:cartrealn,T2:cartrealn]:(((cond @ $true @ T1 @ T2) = T1) & ((cond @ $false @ T1 @ T2) = T2))).
thf(aDih2ku_hypermapo_VECMATu_ADD, axiom, ![I:num,X:cartrealfinite_productmn,Y:cartrealfinite_productmn]:((vecmat @ I @ (vectoru_add @ X @ Y)) = (vectoru_add0 @ (vecmat @ I @ X) @ (vecmat @ I @ Y)))).
thf(aDih2ku_hypermapo_VECMATu_VEC, axiom, ![I:num,N:num]:((l_ @ I @ (dimindex @ univ)) => ((vecmat @ I @ (vec @ N)) = (vec0 @ N)))).
thf(aFINITEu_INDUCTu_STRONG, axiom, ![P:((q2026975 > $o) > $o)]:(((P @ empty) & ![X:q2026975,S:(q2026975 > $o)]:(((P @ S) & ~ ((in @ X @ S)) & (finite @ S)) => (P @ (insert @ X @ S)))) => ![S:(q2026975 > $o)]:((finite @ S) => (P @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aTRUTH, axiom, $true).
thf(aVSUMu_CLAUSESu_conjunct0, axiom, ![F:(q2026975 > cartrealn)]:((vsum0 @ empty @ F) = (vec0 @ (numeral @ u_0)))).
thf(aVSUMu_CLAUSESu_conjunct1, axiom, ![X:q2026975,F:(q2026975 > cartrealn),S:(q2026975 > $o)]:((finite @ S) => ((vsum0 @ (insert @ X @ S) @ F) = (cond @ (in @ X @ S) @ (vsum0 @ S @ F) @ (vectoru_add0 @ (F @ X) @ (vsum0 @ S @ F)))))).
thf(conjecture, conjecture, ![K:(q2026975 > $o),X:(q2026975 > cartrealfinite_productmn),I:num]:((finite @ K) => ((l_ @ I @ (dimindex @ univ)) => ((vecmat @ I @ (vsum @ K @ X)) = (vsum0 @ K @ ^[II_:q2026975]:(vecmat @ I @ (X @ II_))))))).
