%   ORIGINAL: Dih2k_hypermap.DIST_VECMAT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Dih2k_hypermap.NORM_VECMAT: !x. i < dimindex (:M) ==> norm (vecmat i x) <= norm x
% Assm: Dih2k_hypermap.VECMAT_SUB: !i x y. vecmat i (x - y) = vecmat i x - vecmat i y
% Assm: TRUTH: T
% Assm: dist: !x y. dist (x,y) = norm (x - y)
% Goal: !x y. i < dimindex (:M) ==> dist (vecmat i x,vecmat i y) <= dist (x,y)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !i x. i < dimindex (:M) ==> norm (vecmat i x) <= norm x
% Assm: !i x y. vecmat i (x - y) = vecmat i x - vecmat i y
% Assm: T
% Assm: !x y. dist (x,y) = norm (x - y)
% Assm: !x y. dist (x,y) = norm (x - y)
% Goal: !i x y. i < dimindex (:M) ==> dist (vecmat i x,vecmat i y) <= dist (x,y)
%  TYPES
thf(tcartrealfiniteu_productmn, type, cartrealfinite_productmn : $tType).
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tfiniteu_productmn, type, finite_productmn : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
thf(tprodcartrealfiniteu_productmncartrealfiniteu_productmn, type, prodcartrealfinite_productmncartrealfinite_productmn : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cvectoruu_norm0, type, vectoru_norm0 : (cartrealfinite_productmn > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn > real)).
thf(cdistance0, type, distance0 : (prodcartrealfinite_productmncartrealfinite_productmn > real)).
thf(cdistance, type, distance : (prodcartrealncartrealn > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(clu_, type, l_ : (num > num > $o)).
thf(cvectoruu_sub0, type, vectoru_sub0 : (cartrealn > cartrealn > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealfinite_productmn > cartrealfinite_productmn > cartrealfinite_productmn)).
thf(ccu_0, type, c_0 : (cartrealfinite_productmn > cartrealfinite_productmn > prodcartrealfinite_productmncartrealfinite_productmn)).
thf(cvecmat, type, vecmat : (num > cartrealfinite_productmn > cartrealn)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aDih2ku_hypermapo_NORMu_VECMAT, axiom, ![I:num,X:cartrealfinite_productmn]:((l_ @ I @ (dimindex @ univ)) => (realu_le @ (vectoru_norm @ (vecmat @ I @ X)) @ (vectoru_norm0 @ X)))).
thf(aDih2ku_hypermapo_VECMATu_SUB, axiom, ![I:num,X:cartrealfinite_productmn,Y:cartrealfinite_productmn]:((vecmat @ I @ (vectoru_sub @ X @ Y)) = (vectoru_sub0 @ (vecmat @ I @ X) @ (vecmat @ I @ Y)))).
thf(aTRUTH, axiom, $true).
thf(adistu_monomorphized1, axiom, ![X:cartrealfinite_productmn,Y:cartrealfinite_productmn]:((distance0 @ (c_0 @ X @ Y)) = (vectoru_norm0 @ (vectoru_sub @ X @ Y)))).
thf(adistu_monomorphized0, axiom, ![X:cartrealn,Y:cartrealn]:((distance @ (c_ @ X @ Y)) = (vectoru_norm @ (vectoru_sub0 @ X @ Y)))).
thf(conjecture, conjecture, ![I:num,X:cartrealfinite_productmn,Y:cartrealfinite_productmn]:((l_ @ I @ (dimindex @ univ)) => (realu_le @ (distance @ (c_ @ (vecmat @ I @ X) @ (vecmat @ I @ Y))) @ (distance0 @ (c_0 @ X @ Y))))).
