%   ORIGINAL: Dih2k_hypermap.COMPACT_MATVEC
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: COMPACT_EQ_BOUNDED_CLOSED: !s. compact s <=> bounded s /\ closed s
% Assm: Dih2k_hypermap.BOUNDED_MATVEC: !s. (!i. 1 <= i /\ i <= dimindex (:M) ==> bounded (s i)) ==> bounded {matvec x | !i. 1 <= i /\ i <= dimindex (:M) ==> row i x IN s i}
% Assm: Dih2k_hypermap.CLOSED_MATVEC: !s. (!i. 1 <= i /\ i <= dimindex (:M) ==> closed (s i)) ==> closed {matvec x | !i. 1 <= i /\ i <= dimindex (:M) ==> row i x IN s i}
% Assm: TRUTH: T
% Goal: !s. (!i. 1 <= i /\ i <= dimindex (:M) ==> compact (s i)) ==> compact {matvec x | !i. 1 <= i /\ i <= dimindex (:M) ==> row i x IN s i}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !s. compact s <=> bounded s /\ closed s
% Assm: !s. compact s <=> bounded s /\ closed s
% Assm: !s. (!i. 1 <= i /\ i <= dimindex (:M) ==> bounded (s i)) ==> bounded {matvec x | !i. 1 <= i /\ i <= dimindex (:M) ==> row i x IN s i}
% Assm: !s. (!i. 1 <= i /\ i <= dimindex (:M) ==> closed (s i)) ==> closed {matvec x | !i. 1 <= i /\ i <= dimindex (:M) ==> row i x IN s i}
% Assm: T
% Goal: !s. (!i. 1 <= i /\ i <= dimindex (:M) ==> compact (s i)) ==> compact {matvec x | !i. 1 <= i /\ i <= dimindex (:M) ==> row i x IN s i}
%  TYPES
thf(tcartrealfiniteu_productmn, type, cartrealfinite_productmn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tfiniteu_productmn, type, finite_productmn : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(cgspec, type, gspec : ((cartrealfinite_productmn > $o) > cartrealfinite_productmn > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cmatvec, type, matvec : (cartcartrealnm > cartrealfinite_productmn)).
thf(crow, type, row : (num > cartcartrealnm > cartrealn)).
thf(csetspec, type, setspec : (cartrealfinite_productmn > $o > cartrealfinite_productmn > $o)).
thf(cclosed0, type, closed0 : ((cartrealn > $o) > $o)).
thf(cbounded0, type, bounded0 : ((cartrealn > $o) > $o)).
thf(cclosed, type, closed : ((cartrealfinite_productmn > $o) > $o)).
thf(cbounded, type, bounded : ((cartrealfinite_productmn > $o) > $o)).
thf(ccompact0, type, compact0 : ((cartrealfinite_productmn > $o) > $o)).
thf(ccompact, type, compact : ((cartrealn > $o) > $o)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCOMPACTu_EQu_BOUNDEDu_CLOSEDu_monomorphized1, axiom, ![S:(cartrealfinite_productmn > $o)]:((compact0 @ S) <=> ((bounded @ S) & (closed @ S)))).
thf(aCOMPACTu_EQu_BOUNDEDu_CLOSEDu_monomorphized0, axiom, ![S:(cartrealn > $o)]:((compact @ S) <=> ((bounded0 @ S) & (closed0 @ S)))).
thf(aDih2ku_hypermapo_BOUNDEDu_MATVEC, axiom, ![S:(num > cartrealn > $o)]:(![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (bounded0 @ (S @ I))) => (bounded @ (gspec @ ^[GENR_PVARR_1986:cartrealfinite_productmn]:?[X:cartcartrealnm]:(setspec @ GENR_PVARR_1986 @ ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (in @ (row @ I @ X) @ (S @ I))) @ (matvec @ X)))))).
thf(aDih2ku_hypermapo_CLOSEDu_MATVEC, axiom, ![S:(num > cartrealn > $o)]:(![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (closed0 @ (S @ I))) => (closed @ (gspec @ ^[GENR_PVARR_1987:cartrealfinite_productmn]:?[X:cartcartrealnm]:(setspec @ GENR_PVARR_1987 @ ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (in @ (row @ I @ X) @ (S @ I))) @ (matvec @ X)))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(num > cartrealn > $o)]:(![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (compact @ (S @ I))) => (compact0 @ (gspec @ ^[GENR_PVARR_1988:cartrealfinite_productmn]:?[X:cartcartrealnm]:(setspec @ GENR_PVARR_1988 @ ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => (in @ (row @ I @ X) @ (S @ I))) @ (matvec @ X)))))).
