%   ORIGINAL: Dih2k_hypermap.BOUNDED_BALL_ANNULUS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: BOUNDED_CBALL: !x e. bounded (cball (x,e))
% Assm: BOUNDED_SUBSET: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Pack_defs.ball_annulus: ball_annulus = cball (vec 0,&2 * h0) DIFF ball (vec 0,&2)
% Assm: SUBSET: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: TRUTH: T
% Goal: bounded ball_annulus
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x e. bounded (cball (x,e))
% Assm: !s t. bounded t /\ s SUBSET t ==> bounded s
% Assm: !P x. x IN P <=> P x
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: ~F <=> T
% Assm: ball_annulus = cball (vec 0,&2 * h0) DIFF ball (vec 0,&2)
% Assm: !s t. s SUBSET t <=> (!x. x IN s ==> x IN t)
% Assm: T
% Goal: bounded ball_annulus
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(tprodcartrealn3real, type, prodcartrealn3real : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(ch0, type, h0 : real).
thf(csubset0, type, subset0 : ((a > $o) > (a > $o) > $o)).
thf(cball, type, ball : (prodcartrealn3real > cartrealn3 > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(csubset, type, subset : ((cartrealn3 > $o) > (cartrealn3 > $o) > $o)).
thf(ccball, type, cball : (prodcartrealn3real > cartrealn3 > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cdiff0, type, diff0 : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cdiff, type, diff : ((a > $o) > (a > $o) > a > $o)).
thf(ccu_, type, c_ : (cartrealn3 > real > prodcartrealn3real)).
thf(cballuu_annulus, type, ballu_annulus : (cartrealn3 > $o)).
thf(cbounded, type, bounded : ((cartrealn3 > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aBOUNDEDu_CBALL, axiom, ![X:cartrealn3,E:real]:(bounded @ (cball @ (c_ @ X @ E)))).
thf(aBOUNDEDu_SUBSET, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:(((bounded @ T) & (subset @ S @ T)) => (bounded @ S))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in @ X @ (diff @ S @ T)) <=> ((in @ X @ S) & ~ ((in @ X @ T))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aPacku_defso_ballu_annulus, axiom, (ballu_annulus = (diff0 @ (cball @ (c_ @ (vec @ (numeral @ u_0)) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ h0))) @ (ball @ (c_ @ (vec @ (numeral @ u_0)) @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))))))).
thf(aSUBSET, axiom, ![S:(a > $o),T:(a > $o)]:((subset0 @ S @ T) <=> ![X:a]:((in @ X @ S) => (in @ X @ T)))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, (bounded @ ballu_annulus)).
