%   ORIGINAL: Dih2k_hypermap.ROW_SUB
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: CART_EQ: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:B) ==> x$i = y$i)
% Assm: LAMBDA_BETA: !i. 1 <= i /\ i <= dimindex (:B) ==> (lambda) g$i = g i
% Assm: TRUTH: T
% Assm: matrix_sub: !A B. A - B = (lambda i j. A$i$j - B$i$j)
% Assm: row: !A i. row i A = (lambda j. A$i$j)
% Assm: vector_sub: !x y. x - y = (lambda i. x$i - y$i)
% Goal: 1 <= i /\ i <= dimindex (:M) ==> row i (x - y) = row i x - row i y
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y. x = y <=> (!i. 1 <= i /\ i <= dimindex (:N) ==> x$i = y$i)
% Assm: !g i. 1 <= i /\ i <= dimindex (:M) ==> (lambda) g$i = g i
% Assm: T
% Assm: !A B. A - B = (lambda i j. A$i$j - B$i$j)
% Assm: !A i. row i A = (lambda j. A$i$j)
% Assm: !x y. x - y = (lambda i. x$i - y$i)
% Goal: !y i x. 1 <= i /\ i <= dimindex (:M) ==> row i (x - y) = row i x - row i y
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tcartcartrealnm, type, cartcartrealnm : $tType).
thf(tm, type, m : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(cuniv, type, univ : (m > $o)).
thf(cuniv0, type, univ0 : (n > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(cdu_, type, d_ : (cartrealn > num > real)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cdu_0, type, d_0 : (cartcartrealnm > num > cartrealn)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn > cartrealn > cartrealn)).
thf(cmatrixuu_sub, type, matrixu_sub : (cartcartrealnm > cartcartrealnm > cartcartrealnm)).
thf(crow, type, row : (num > cartcartrealnm > cartrealn)).
thf(clambda0, type, lambda0 : ((num > cartrealn) > cartcartrealnm)).
thf(clambda1, type, lambda1 : ((num > real) > cartrealn)).
thf(cdimindex0, type, dimindex0 : ((n > $o) > num)).
thf(cdimindex, type, dimindex : ((m > $o) > num)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn),G:(a > cartrealn)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCARTu_EQ, axiom, ![X:cartrealn,Y:cartrealn]:((X = Y) <=> ![I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex0 @ univ0))) => ((d_ @ X @ I) = (d_ @ Y @ I))))).
thf(aLAMBDAu_BETA, axiom, ![G:(num > cartrealn),I:num]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((d_0 @ (lambda0 @ G) @ I) = (G @ I)))).
thf(aTRUTH, axiom, $true).
thf(amatrixu_sub, axiom, ![A:cartcartrealnm,B:cartcartrealnm]:((matrixu_sub @ A @ B) = (lambda0 @ ^[I:num]:(lambda1 @ ^[J:num]:(realu_sub @ (d_ @ (d_0 @ A @ I) @ J) @ (d_ @ (d_0 @ B @ I) @ J)))))).
thf(arow, axiom, ![A:cartcartrealnm,I:num]:((row @ I @ A) = (lambda1 @ ^[J:num]:(d_ @ (d_0 @ A @ I) @ J)))).
thf(avectoru_sub, axiom, ![X:cartrealn,Y:cartrealn]:((vectoru_sub @ X @ Y) = (lambda1 @ ^[I:num]:(realu_sub @ (d_ @ X @ I) @ (d_ @ Y @ I))))).
thf(conjecture, conjecture, ![Y:cartcartrealnm,I:num,X:cartcartrealnm]:(((l_a_ @ (numeral @ (bit1 @ u_0)) @ I) & (l_a_ @ I @ (dimindex @ univ))) => ((row @ I @ (matrixu_sub @ X @ Y)) = (vectoru_sub @ (row @ I @ X) @ (row @ I @ Y))))).
