%   ORIGINAL: Dih2k_hypermap.LIM_IN_SET
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Dih2k_hypermap.LIM_SUBSEQUENCE1: !s r. (!n. n <= r n) /\ (s --> l) sequentially ==> (s o r --> l) sequentially
% Assm: Dih2k_hypermap.SEQUENTIALLY_EQ_2POINT: !h f g. (!n. h n IN {f n, g n}) ==> (?r. !n. n <= r n /\ h (r n) = f (r n)) \/ (?r. !n. n <= r n /\ h (r n) = g (r n))
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: LIM_UNIQUE: !net f l l'. ~trivial_limit net /\ (f --> l) net /\ (f --> l') net ==> l = l'
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: TRIVIAL_LIMIT_SEQUENTIALLY: ~trivial_limit sequentially
% Assm: TRUTH: T
% Assm: o_DEF: !f g. f o g = (\x. f (g x))
% Goal: !f g h a b c. ((\n. f n) --> a) sequentially /\ ((\n. g n) --> b) sequentially /\ ((\n. h n) --> c) sequentially /\ (!n. h n IN {f n, g n}) ==> c IN {a, b}
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !l s r. (!n. n <= r n) /\ (s --> l) sequentially ==> (s o r --> l) sequentially
% Assm: !h f g. (!n. h n IN {f n, g n}) ==> (?r. !n. n <= r n /\ h (r n) = f (r n)) \/ (?r. !n. n <= r n /\ h (r n) = g (r n))
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: !net f l l'. ~trivial_limit net /\ (f --> l) net /\ (f --> l') net ==> l = l'
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: ~trivial_limit sequentially
% Assm: T
% Assm: !f g. f o g = (\x. f (g x))
% Goal: !f g h a b c. ((\n. f n) --> a) sequentially /\ ((\n. g n) --> b) sequentially /\ ((\n. h n) --> c) sequentially /\ (!n. h n IN {f n, g n}) ==> c IN {a, b}
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(tc, type, c : $tType).
thf(tnetnum, type, netnum : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
%  CONSTS
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(co0, type, o0 : ((b > c) > (a > b) > a > c)).
thf(co, type, o : ((num > cartrealn) > (num > num) > num > cartrealn)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(cmu_mu_gu_, type, m_m_g_ : ((num > cartrealn) > cartrealn > netnum > $o)).
thf(ctrivialuu_limit, type, trivialu_limit : (netnum > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(csequentially, type, sequentially : netnum).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDih2ku_hypermapo_LIMu_SUBSEQUENCE1, axiom, ![L:cartrealn,S:(num > cartrealn),R:(num > num)]:((![N:num]:(l_a_ @ N @ (R @ N)) & (m_m_g_ @ S @ L @ sequentially)) => (m_m_g_ @ (o @ S @ R) @ L @ sequentially))).
thf(aDih2ku_hypermapo_SEQUENTIALLYu_EQu_2POINT, axiom, ![H:(num > cartrealn),F:(num > cartrealn),G:(num > cartrealn)]:(![N:num]:(in @ (H @ N) @ (insert @ (F @ N) @ (insert @ (G @ N) @ empty))) => (?[R:(num > num)]:![N:num]:((l_a_ @ N @ (R @ N)) & ((H @ (R @ N)) = (F @ (R @ N)))) | ?[R:(num > num)]:![N:num]:((l_a_ @ N @ (R @ N)) & ((H @ (R @ N)) = (G @ (R @ N))))))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aLIMu_UNIQUE, axiom, ![NET:netnum,F:(num > cartrealn),L:cartrealn,LI_:cartrealn]:((~ ((trivialu_limit @ NET)) & (m_m_g_ @ F @ L @ NET) & (m_m_g_ @ F @ LI_ @ NET)) => (L = LI_))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aTRIVIALu_LIMITu_SEQUENTIALLY, axiom, ~ ((trivialu_limit @ sequentially))).
thf(aTRUTH, axiom, $true).
thf(aou_DEF, axiom, ![F:(b > c),G:(a > b)]:((o0 @ F @ G) = ^[X:a]:(F @ (G @ X)))).
thf(conjecture, conjecture, ![F:(num > cartrealn),G:(num > cartrealn),H:(num > cartrealn),A:cartrealn,B:cartrealn,C:cartrealn]:(((m_m_g_ @ ^[N:num]:(F @ N) @ A @ sequentially) & (m_m_g_ @ ^[N:num]:(G @ N) @ B @ sequentially) & (m_m_g_ @ ^[N:num]:(H @ N) @ C @ sequentially) & ![N:num]:(in @ (H @ N) @ (insert @ (F @ N) @ (insert @ (G @ N) @ empty)))) => (in @ C @ (insert @ A @ (insert @ B @ empty))))).
