%   ORIGINAL: Tame_general.INEQ_ALT
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ALL_conjunct0: ALL P [] <=> T
% Assm: ALL_conjunct1: ALL P (CONS h t) <=> P h /\ ALL P t
% Assm: ETA_AX: !t. (\x. t x) = t
% Assm: GABS_DEF: !P. GABS P = (@) P
% Assm: GEQ_DEF: !a b. GEQ a b <=> a = b
% Assm: PAIR_SURJECTIVE: !p. ?x y. p = x,y
% Assm: SELECT_AX: !P x. P x ==> P ((@) P)
% Assm: Sphere.ineq_conjunct0: !c. ineq [] c <=> c
% Assm: Sphere.ineq_conjunct1: !a x b xs c. ineq (CONS (a,x,b) xs) c <=> a <= x /\ x <= b ==> ineq xs c
% Assm: TRUTH: T
% Assm: list_INDUCT: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Assm: pair_RECURSION: !PAIR'. ?fn. !a0 a1. fn (a0,a1) = PAIR' a0 a1
% Goal: !A bounds. ineq bounds A <=> ALL (\(a,x,b). a <= x /\ x <= b) bounds ==> A
%   PROCESSED
% Assm: !f g. (!x. f x <=> g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !P. ALL P [] <=> T
% Assm: !h P t. ALL P (CONS h t) <=> P h /\ ALL P t
% Assm: !t. (\x. t x) = t
% Assm: !P. GABS P = (@) P
% Assm: !a b. GEQ a b <=> a <=> b
% Assm: !p. ?x y. p = x,y
% Assm: !p. ?x y. p = x,y
% Assm: !P x. P x ==> P ((@) P)
% Assm: !c. ineq [] c <=> c
% Assm: !a x b xs c. ineq (CONS (a,x,b) xs) c <=> a <= x /\ x <= b ==> ineq xs c
% Assm: T
% Assm: !P. P [] /\ (!a0 a1. P a1 ==> P (CONS a0 a1)) ==> (!x. P x)
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) <=> PAIR' a0 a1
% Assm: !PAIR'. ?fn. !a0 a1. fn (a0,a1) <=> PAIR' a0 a1
% Goal: !A bounds. ineq bounds A <=> ALL (\(a,x,b). a <= x /\ x <= b) bounds ==> A
%  TYPES
thf(tprodrealreal, type, prodrealreal : $tType).
thf(tprodrealprodrealreal, type, prodrealprodrealreal : $tType).
thf(tlista, type, lista : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
thf(tlistprodrealprodrealreal, type, listprodrealprodrealreal : $tType).
%  CONSTS
thf(cnil, type, nil : listprodrealprodrealreal).
thf(chu_, type, h_ : (((prodrealprodrealreal > $o) > $o) > prodrealprodrealreal > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgeq, type, geq : ($o > $o > $o)).
thf(cgabs, type, gabs : (((prodrealprodrealreal > $o) > $o) > prodrealprodrealreal > $o)).
thf(call, type, all : ((prodrealprodrealreal > $o) > listprodrealprodrealreal > $o)).
thf(cineq, type, ineq : (listprodrealprodrealreal > $o > $o)).
thf(ccons0, type, cons0 : (a > lista > lista)).
thf(chu_0, type, h_0 : ((a > $o) > a)).
thf(ccons, type, cons : (prodrealprodrealreal > listprodrealprodrealreal > listprodrealprodrealreal)).
thf(ccu_0, type, c_0 : (real > real > prodrealreal)).
thf(ccu_, type, c_ : (real > prodrealreal > prodrealprodrealreal)).
thf(cnil0, type, nil0 : lista).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > $o),G:(a > $o)]:(![X:a]:((F @ X) <=> (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aALLu_conjunct0, axiom, ![P:(prodrealprodrealreal > $o)]:((all @ P @ nil) <=> $true)).
thf(aALLu_conjunct1, axiom, ![H:prodrealprodrealreal,P:(prodrealprodrealreal > $o),T:listprodrealprodrealreal]:((all @ P @ (cons @ H @ T)) <=> ((P @ H) & (all @ P @ T)))).
thf(aETAu_AX, axiom, ![T:(a > b)]:(^[X:a]:(T @ X) = T)).
thf(aGABSu_DEF, axiom, ![P:((prodrealprodrealreal > $o) > $o)]:((gabs @ P) = (h_ @ P))).
thf(aGEQu_DEF, axiom, ![A:$o,B:$o]:((geq @ A @ B) <=> (A <=> B))).
thf(aPAIRu_SURJECTIVEu_monomorphized1, axiom, ![P:prodrealreal]:?[X:real,Y:real]:(P = (c_0 @ X @ Y))).
thf(aPAIRu_SURJECTIVEu_monomorphized0, axiom, ![P:prodrealprodrealreal]:?[X:real,Y:prodrealreal]:(P = (c_ @ X @ Y))).
thf(aSELECTu_AX, axiom, ![P:(a > $o),X:a]:((P @ X) => (P @ (h_0 @ P)))).
thf(aSphereo_inequ_conjunct0, axiom, ![C:$o]:((ineq @ nil @ C) <=> C)).
thf(aSphereo_inequ_conjunct1, axiom, ![A:real,X:real,B:real,XS:listprodrealprodrealreal,C:$o]:((ineq @ (cons @ (c_ @ A @ (c_0 @ X @ B)) @ XS) @ C) <=> (((realu_le @ A @ X) & (realu_le @ X @ B)) => (ineq @ XS @ C)))).
thf(aTRUTH, axiom, $true).
thf(alistu_INDUCT, axiom, ![P:(lista > $o)]:(((P @ nil0) & ![A0:a,A1:lista]:((P @ A1) => (P @ (cons0 @ A0 @ A1)))) => ![X:lista]:(P @ X))).
thf(apairu_RECURSIONu_monomorphized1, axiom, ![PAIRI_:(real > real > $o)]:?[FN:(prodrealreal > $o)]:![A0:real,A1:real]:((FN @ (c_0 @ A0 @ A1)) <=> (PAIRI_ @ A0 @ A1))).
thf(apairu_RECURSIONu_monomorphized0, axiom, ![PAIRI_:(real > prodrealreal > $o)]:?[FN:(prodrealprodrealreal > $o)]:![A0:real,A1:prodrealreal]:((FN @ (c_ @ A0 @ A1)) <=> (PAIRI_ @ A0 @ A1))).
thf(conjecture, conjecture, ![A:$o,BOUNDS:listprodrealprodrealreal]:((ineq @ BOUNDS @ A) <=> ((all @ (gabs @ ^[F:(prodrealprodrealreal > $o)]:![A0:real,X:real,B:real]:(geq @ (F @ (c_ @ A0 @ (c_0 @ X @ B))) @ ((realu_le @ A0 @ X) & (realu_le @ X @ B)))) @ BOUNDS) => A))).
