%   ORIGINAL: Ckqowsa_3_points.LEMMA_3_POINTS
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Ckqowsa_3_points.lemma_3_points: !v1 v2 v3. v3 IN aff_ge {vec 0} {v1, v2} /\ v1 IN ball_annulus /\ v2 IN ball_annulus /\ v3 IN ball_annulus /\ dist (v1,v2) <= &2 * h0 /\ &2 <= dist (v1,v3) /\ &2 <= dist (v2,v3) ==> (?v. v IN ball_annulus /\ v3 IN aff_ge {vec 0} {v, v2} /\ dist (v,v2) <= &2 * h0 /\ dist (v,v3) = &2)
% Assm: DIST_SYM: !x y. dist (x,y) = dist (y,x)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: REAL_LE_REFL: !x. x <= x
% Assm: TRUTH: T
% Goal: !v1 v2 v3. v3 IN aff_ge {vec 0} {v1, v2} /\ v1 IN ball_annulus /\ v2 IN ball_annulus /\ v3 IN ball_annulus /\ dist (v1,v2) <= &2 * h0 /\ &2 <= dist (v1,v3) /\ &2 <= dist (v2,v3) ==> (?v1' v2'. v3 IN aff_ge {vec 0} {v1', v2'} /\ v1' IN ball_annulus /\ v2' IN ball_annulus /\ v3 IN ball_annulus /\ dist (v1',v2') <= &2 * h0 /\ dist (v1',v3) = &2 /\ dist (v2',v3) = &2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !v1 v2 v3. v3 IN aff_ge {vec 0} {v1, v2} /\ v1 IN ball_annulus /\ v2 IN ball_annulus /\ v3 IN ball_annulus /\ dist (v1,v2) <= &2 * h0 /\ &2 <= dist (v1,v3) /\ &2 <= dist (v2,v3) ==> (?v. v IN ball_annulus /\ v3 IN aff_ge {vec 0} {v, v2} /\ dist (v,v2) <= &2 * h0 /\ dist (v,v3) = &2)
% Assm: !x y. dist (x,y) = dist (y,x)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !x. x <= x
% Assm: T
% Goal: !v1 v2 v3. v3 IN aff_ge {vec 0} {v1, v2} /\ v1 IN ball_annulus /\ v2 IN ball_annulus /\ v3 IN ball_annulus /\ dist (v1,v2) <= &2 * h0 /\ &2 <= dist (v1,v3) /\ &2 <= dist (v2,v3) ==> (?v1' v2'. v3 IN aff_ge {vec 0} {v1', v2'} /\ v1' IN ball_annulus /\ v2' IN ball_annulus /\ v3 IN ball_annulus /\ dist (v1',v2') <= &2 * h0 /\ dist (v1',v3) = &2 /\ dist (v2',v3) = &2)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
thf(tprodcartrealn3cartrealn3, type, prodcartrealn3cartrealn3 : $tType).
%  CONSTS
thf(ch0, type, h0 : real).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdistance, type, distance : (prodcartrealn3cartrealn3 > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(cin, type, in : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(ccu_, type, c_ : (cartrealn3 > cartrealn3 > prodcartrealn3cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(caffuu_ge, type, affu_ge : ((cartrealn3 > $o) > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(cballuu_annulus, type, ballu_annulus : (cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCkqowsau_3u_pointso_lemmau_3u_points, axiom, ![V1:cartrealn3,V2:cartrealn3,V3:cartrealn3]:(((in @ V3 @ (affu_ge @ (insert @ (vec @ (numeral @ u_0)) @ empty) @ (insert @ V1 @ (insert @ V2 @ empty)))) & (in @ V1 @ ballu_annulus) & (in @ V2 @ ballu_annulus) & (in @ V3 @ ballu_annulus) & (realu_le @ (distance @ (c_ @ V1 @ V2)) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ h0)) & (realu_le @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (distance @ (c_ @ V1 @ V3))) & (realu_le @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (distance @ (c_ @ V2 @ V3)))) => ?[V:cartrealn3]:((in @ V @ ballu_annulus) & (in @ V3 @ (affu_ge @ (insert @ (vec @ (numeral @ u_0)) @ empty) @ (insert @ V @ (insert @ V2 @ empty)))) & (realu_le @ (distance @ (c_ @ V @ V2)) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ h0)) & ((distance @ (c_ @ V @ V3)) = (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))))).
thf(aDISTu_SYM, axiom, ![X:cartrealn3,Y:cartrealn3]:((distance @ (c_ @ X @ Y)) = (distance @ (c_ @ Y @ X)))).
thf(aEXTENSION, axiom, ![S:(cartrealn3 > $o),T:(cartrealn3 > $o)]:((S = T) <=> ![X:cartrealn3]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_INSERT, axiom, ![X:cartrealn3,Y:cartrealn3,S:(cartrealn3 > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn3]:~ ((in @ X @ empty))).
thf(aREALu_LEu_REFL, axiom, ![X:real]:(realu_le @ X @ X)).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V1:cartrealn3,V2:cartrealn3,V3:cartrealn3]:(((in @ V3 @ (affu_ge @ (insert @ (vec @ (numeral @ u_0)) @ empty) @ (insert @ V1 @ (insert @ V2 @ empty)))) & (in @ V1 @ ballu_annulus) & (in @ V2 @ ballu_annulus) & (in @ V3 @ ballu_annulus) & (realu_le @ (distance @ (c_ @ V1 @ V2)) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ h0)) & (realu_le @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (distance @ (c_ @ V1 @ V3))) & (realu_le @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (distance @ (c_ @ V2 @ V3)))) => ?[V1I_:cartrealn3,V2I_:cartrealn3]:((in @ V3 @ (affu_ge @ (insert @ (vec @ (numeral @ u_0)) @ empty) @ (insert @ V1I_ @ (insert @ V2I_ @ empty)))) & (in @ V1I_ @ ballu_annulus) & (in @ V2I_ @ ballu_annulus) & (in @ V3 @ ballu_annulus) & (realu_le @ (distance @ (c_ @ V1I_ @ V2I_)) @ (realu_mul @ (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ h0)) & ((distance @ (c_ @ V1I_ @ V3)) = (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0))))) & ((distance @ (c_ @ V2I_ @ V3)) = (realu_ofu_num @ (numeral @ (bit0 @ (bit1 @ u_0)))))))).
