%   ORIGINAL: Ckqowsa_4_points.aff_ge_0_2_eq_segment
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: AFF_GE_DISJOINT_DIFF: !s t. aff_ge s t = aff_ge (s DIFF t) t
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN_DIFF: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: IN_INSERT: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: NOT_IN_EMPTY: !x. ~(x IN {})
% Assm: SEGMENT_CONVEX_HULL: !a b. segment [a,b] = convex hull {a, b}
% Assm: TRUTH: T
% Assm: Trigonometry.GDCZMLO: !s. convex hull s = aff_ge {} s
% Goal: !v. aff_ge {vec 0} {vec 0, v} = segment [vec 0,v] /\ aff_ge {vec 0} {v, vec 0} = segment [vec 0,v]
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !s t. aff_ge s t = aff_ge (s DIFF t) t
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !s t x. x IN s DIFF t <=> x IN s /\ ~(x IN t)
% Assm: !x y s. x IN y INSERT s <=> x = y \/ x IN s
% Assm: ~F <=> T
% Assm: !x. ~(x IN {})
% Assm: !a b. segment [a,b] = convex hull {a, b}
% Assm: T
% Assm: !s. convex hull s = aff_ge {} s
% Goal: !v. aff_ge {vec 0} {vec 0, v} = segment [vec 0,v] /\ aff_ge {vec 0} {v, vec 0} = segment [vec 0,v]
%  TYPES
thf(tprodcartrealncartrealn, type, prodcartrealncartrealn : $tType).
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn, type, cartrealn : $tType).
thf(treal, type, real : $tType).
thf(tn, type, n : $tType).
thf(tlistprodcartrealncartrealn, type, listprodcartrealncartrealn : $tType).
%  CONSTS
thf(cnil, type, nil : listprodcartrealncartrealn).
thf(cin0, type, in0 : (a > (a > $o) > $o)).
thf(cin, type, in : (cartrealn > (cartrealn > $o) > $o)).
thf(ccloseduu_segment, type, closedu_segment : (listprodcartrealncartrealn > cartrealn > $o)).
thf(chull, type, hull : (((cartrealn > $o) > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cdiff0, type, diff0 : ((a > $o) > (a > $o) > a > $o)).
thf(cdiff, type, diff : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(ccu_, type, c_ : (cartrealn > cartrealn > prodcartrealncartrealn)).
thf(ccons, type, cons : (prodcartrealncartrealn > listprodcartrealncartrealn > listprodcartrealncartrealn)).
thf(cinsert, type, insert : (cartrealn > (cartrealn > $o) > cartrealn > $o)).
thf(caffuu_ge, type, affu_ge : ((cartrealn > $o) > (cartrealn > $o) > cartrealn > $o)).
thf(cconvex, type, convex : ((cartrealn > $o) > $o)).
thf(cempty, type, empty : (cartrealn > $o)).
thf(cvec, type, vec : (num > cartrealn)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn > $o),G:(a > cartrealn > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aAFFu_GEu_DISJOINTu_DIFF, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((affu_ge @ S @ T) = (affu_ge @ (diff @ S @ T) @ T))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aEXTENSION, axiom, ![S:(cartrealn > $o),T:(cartrealn > $o)]:((S = T) <=> ![X:cartrealn]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aINu_DIFF, axiom, ![S:(a > $o),T:(a > $o),X:a]:((in0 @ X @ (diff0 @ S @ T)) <=> ((in0 @ X @ S) & ~ ((in0 @ X @ T))))).
thf(aINu_INSERT, axiom, ![X:cartrealn,Y:cartrealn,S:(cartrealn > $o)]:((in @ X @ (insert @ Y @ S)) <=> ((X = Y) | (in @ X @ S)))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aNOTu_INu_EMPTY, axiom, ![X:cartrealn]:~ ((in @ X @ empty))).
thf(aSEGMENTu_CONVEXu_HULL, axiom, ![A:cartrealn,B:cartrealn]:((closedu_segment @ (cons @ (c_ @ A @ B) @ nil)) = (hull @ convex @ (insert @ A @ (insert @ B @ empty))))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_GDCZMLO, axiom, ![S:(cartrealn > $o)]:((hull @ convex @ S) = (affu_ge @ empty @ S))).
thf(conjecture, conjecture, ![V:cartrealn]:(((affu_ge @ (insert @ (vec @ (numeral @ u_0)) @ empty) @ (insert @ (vec @ (numeral @ u_0)) @ (insert @ V @ empty))) = (closedu_segment @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ V) @ nil))) & ((affu_ge @ (insert @ (vec @ (numeral @ u_0)) @ empty) @ (insert @ V @ (insert @ (vec @ (numeral @ u_0)) @ empty))) = (closedu_segment @ (cons @ (c_ @ (vec @ (numeral @ u_0)) @ V) @ nil))))).
