%   ORIGINAL: Fatugpd.finite_num_func_attain_max
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Counting_spheres.NOT_EMPTY_IMAGE: !S f. ~(S = {}) ==> ~(IMAGE f S = {})
% Assm: FINITE_IMAGE: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: IMAGE: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: IN_ELIM_THM_conjunct1: !p x. x IN {y | p y} <=> p x
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_OF_NUM_LE: !m n. &m <= &n <=> m <= n
% Assm: SUP_FINITE: !s. FINITE s /\ ~(s = {}) ==> sup s IN s /\ (!x. x IN s ==> x <= sup s)
% Assm: TRUTH: T
% Assm: o_THM: !f g x. (f o g) x = f (g x)
% Goal: !S f. FINITE S /\ ~(S = {}) ==> (?x. x IN S /\ (!y. y IN S ==> f y <= f x))
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !S f. ~(S = {}) ==> ~(IMAGE f S = {})
% Assm: !f s. FINITE s ==> FINITE (IMAGE f s)
% Assm: !s f. IMAGE f s = {y | ?x. x IN s /\ y = f x}
% Assm: !p x. x IN {y | p y} <=> p x
% Assm: ~F <=> T
% Assm: !m n. &m <= &n <=> m <= n
% Assm: !s. FINITE s /\ ~(s = {}) ==> sup s IN s /\ (!x. x IN s ==> x <= sup s)
% Assm: T
% Assm: !f g x. (f o g) x = f (g x)
% Goal: !S f. FINITE S /\ ~(S = {}) ==> (?x. x IN S /\ (!y. y IN S ==> f y <= f x))
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(csup, type, sup : ((real > $o) > real)).
thf(cin0, type, in0 : (real > (real > $o) > $o)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cgspec0, type, gspec0 : ((a > $o) > a > $o)).
thf(cgspec, type, gspec : (((a > $o) > $o) > (a > $o) > $o)).
thf(clu_au_, type, l_a_ : (num > num > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(co, type, o : ((b > a > $o) > (a > b) > a > a > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(csetspec0, type, setspec0 : (a > $o > a > $o)).
thf(csetspec, type, setspec : ((a > $o) > $o > (a > $o) > $o)).
thf(cimage0, type, image0 : ((a > a > $o) > (a > $o) > (a > $o) > $o)).
thf(cimage, type, image : ((a > a) > (a > $o) > a > $o)).
thf(cfinite0, type, finite0 : ((real > $o) > $o)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cempty0, type, empty0 : (real > $o)).
thf(cempty, type, empty : (a > $o)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > a > $o),G:(a > a > $o)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCountingu_sphereso_NOTu_EMPTYu_IMAGE, axiom, ![S:(a > $o),F:(a > a)]:(~ ((S = empty)) => ~ (((image @ F @ S) = empty)))).
thf(aFINITEu_IMAGE, axiom, ![F:(a > a),S:(a > $o)]:((finite @ S) => (finite @ (image @ F @ S)))).
thf(aIMAGE, axiom, ![S:(a > $o),F:(a > a > $o)]:((image0 @ F @ S) = (gspec @ ^[GENR_PVARR_7:(a > $o)]:?[Y:(a > $o)]:(setspec @ GENR_PVARR_7 @ ?[X:a]:((in @ X @ S) & (Y = (F @ X))) @ Y)))).
thf(aINu_ELIMu_THMu_conjunct1, axiom, ![P:(a > $o),X:a]:((in @ X @ (gspec0 @ ^[V:a]:?[Y:a]:(setspec0 @ V @ (P @ Y) @ Y))) <=> (P @ X))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_OFu_NUMu_LE, axiom, ![M:num,N:num]:((realu_le @ (realu_ofu_num @ M) @ (realu_ofu_num @ N)) <=> (l_a_ @ M @ N))).
thf(aSUPu_FINITE, axiom, ![S:(real > $o)]:(((finite0 @ S) & ~ ((S = empty0))) => ((in0 @ (sup @ S) @ S) & ![X:real]:((in0 @ X @ S) => (realu_le @ X @ (sup @ S)))))).
thf(aTRUTH, axiom, $true).
thf(aou_THM, axiom, ![F:(b > a > $o),G:(a > b),X:a]:((o @ F @ G @ X) = (F @ (G @ X)))).
thf(conjecture, conjecture, ![S:(a > $o),F:(a > num)]:(((finite @ S) & ~ ((S = empty))) => ?[X:a]:((in @ X @ S) & ![Y:a]:((in @ Y @ S) => (l_a_ @ (F @ Y) @ (F @ X)))))).
