%   ORIGINAL: Fatugpd.norm_mul_normalize
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Fatugpd.normalize_vec_0: normalize (vec 0) = vec 0
% Assm: NORM_EQ_0: !x. norm x = &0 <=> x = vec 0
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_MUL_RINV: !x. ~(x = &0) ==> x * inv x = &1
% Assm: TRUTH: T
% Assm: VECTOR_MUL_ASSOC: !a b x. a % b % x = (a * b) % x
% Assm: VECTOR_MUL_LID: !x. &1 % x = x
% Assm: VECTOR_MUL_RZERO: c % vec 0 = vec 0
% Assm: Ysskqoy.normalize: !v. normalize v = inv (norm v) % v
% Goal: !v. norm v % normalize v = v
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: normalize (vec 0) = vec 0
% Assm: !x. norm x = &0 <=> x = vec 0
% Assm: ~F <=> T
% Assm: !x. ~(x = &0) ==> x * inv x = &1
% Assm: T
% Assm: !a b x. a % b % x = (a * b) % x
% Assm: !x. &1 % x = x
% Assm: !c. c % vec 0 = vec 0
% Assm: !v. normalize v = inv (norm v) % v
% Goal: !v. norm v % normalize v = v
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(cnormalize, type, normalize : (cartrealn3 > cartrealn3)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn3 > real)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(cuu_0, type, u_0 : num).
thf(crealuu_inv, type, realu_inv : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFatugpdo_normalizeu_vecu_0, axiom, ((normalize @ (vec @ (numeral @ u_0))) = (vec @ (numeral @ u_0)))).
thf(aNORMu_EQu_0, axiom, ![X:cartrealn3]:(((vectoru_norm @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (vec @ (numeral @ u_0))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_MULu_RINV, axiom, ![X:real]:(~ ((X = (realu_ofu_num @ (numeral @ u_0)))) => ((realu_mul @ X @ (realu_inv @ X)) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))))).
thf(aTRUTH, axiom, $true).
thf(aVECTORu_MULu_ASSOC, axiom, ![A:real,B:real,X:cartrealn3]:((r_ @ A @ (r_ @ B @ X)) = (r_ @ (realu_mul @ A @ B) @ X))).
thf(aVECTORu_MULu_LID, axiom, ![X:cartrealn3]:((r_ @ (realu_ofu_num @ (numeral @ (bit1 @ u_0))) @ X) = X)).
thf(aVECTORu_MULu_RZERO, axiom, ![C:real]:((r_ @ C @ (vec @ (numeral @ u_0))) = (vec @ (numeral @ u_0)))).
thf(aYsskqoyo_normalize, axiom, ![V:cartrealn3]:((normalize @ V) = (r_ @ (realu_inv @ (vectoru_norm @ V)) @ V))).
thf(conjecture, conjecture, ![V:cartrealn3]:((r_ @ (vectoru_norm @ V) @ (normalize @ V)) = V)).
