%   ORIGINAL: Fatugpd.dot_normalize
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Collect_geom2.POW_2: !x. x pow 2 = x * x
% Assm: DOT_LZERO: !x. vec 0 dot x = &0
% Assm: DOT_RMUL: !c x y. x dot c % y = c * (x dot y)
% Assm: DOT_SQUARE_NORM: !x. x dot x = norm x pow 2
% Assm: Fatugpd.norm_mul_normalize: !v. norm v % normalize v = v
% Assm: NORM_0: norm (vec 0) = &0
% Assm: NORM_EQ_0: !x. norm x = &0 <=> x = vec 0
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_EQ_LCANCEL_IMP: !x y z. ~(z = &0) /\ z * x = z * y ==> x = y
% Assm: TRUTH: T
% Goal: !v. v dot normalize v = norm v
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. x pow 2 = x * x
% Assm: !x. vec 0 dot x = &0
% Assm: !c x y. x dot c % y = c * (x dot y)
% Assm: !x. x dot x = norm x pow 2
% Assm: !v. norm v % normalize v = v
% Assm: norm (vec 0) = &0
% Assm: !x. norm x = &0 <=> x = vec 0
% Assm: ~F <=> T
% Assm: !x y z. ~(z = &0) /\ z * x = z * y ==> x = y
% Assm: T
% Goal: !v. v dot normalize v = norm v
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cvec, type, vec : (num > cartrealn3)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn3 > real)).
thf(cnormalize, type, normalize : (cartrealn3 > cartrealn3)).
thf(cdot, type, dot : (cartrealn3 > cartrealn3 > real)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cuu_0, type, u_0 : num).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aCollectu_geom2o_POWu_2, axiom, ![X:real]:((realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_mul @ X @ X))).
thf(aDOTu_LZERO, axiom, ![X:cartrealn3]:((dot @ (vec @ (numeral @ u_0)) @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aDOTu_RMUL, axiom, ![C:real,X:cartrealn3,Y:cartrealn3]:((dot @ X @ (r_ @ C @ Y)) = (realu_mul @ C @ (dot @ X @ Y)))).
thf(aDOTu_SQUAREu_NORM, axiom, ![X:cartrealn3]:((dot @ X @ X) = (realu_pow @ (vectoru_norm @ X) @ (numeral @ (bit0 @ (bit1 @ u_0)))))).
thf(aFatugpdo_normu_mulu_normalize, axiom, ![V:cartrealn3]:((r_ @ (vectoru_norm @ V) @ (normalize @ V)) = V)).
thf(aNORMu_0, axiom, ((vectoru_norm @ (vec @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aNORMu_EQu_0, axiom, ![X:cartrealn3]:(((vectoru_norm @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (vec @ (numeral @ u_0))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_EQu_LCANCELu_IMP, axiom, ![X:real,Y:real,Z:real]:((~ ((Z = (realu_ofu_num @ (numeral @ u_0)))) & ((realu_mul @ Z @ X) = (realu_mul @ Z @ Y))) => (X = Y))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:cartrealn3]:((dot @ V @ (normalize @ V)) = (vectoru_norm @ V))).
