%   ORIGINAL: Fatugpd.fourier
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: DOT_EQ_0: !x. x dot x = &0 <=> x = vec 0
% Assm: DOT_LADD: !x y z. (x + y) dot z = x dot z + y dot z
% Assm: DOT_LMUL: !c x y. c % x dot y = c * (x dot y)
% Assm: DOT_LSUB: !x y z. (x - y) dot z = x dot z - y dot z
% Assm: DOT_RADD: !x y z. x dot (y + z) = x dot y + x dot z
% Assm: DOT_RMUL: !c x y. x dot c % y = c * (x dot y)
% Assm: DOT_SYM: !x y. x dot y = y dot x
% Assm: EXTENSION: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: IN: !P x. x IN P <=> P x
% Assm: IN_ELIM_THM_conjunct0: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: IN_UNIV: !x. x IN (:A)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_MUL_RID: !x. x * &1 = x
% Assm: REAL_SUB_REFL: !x. x - x = &0
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: SPAN_3: !a b c. span {a, b, c} = {u % a + v % b + w % c | u IN (:real) /\ v IN (:real) /\ w IN (:real)}
% Assm: TRUTH: T
% Assm: Trigonometry2.ORTHONORMAL_IMP_SPANNING: !e1 e2 e3. orthonormal e1 e2 e3 ==> span {e1, e2, e3} = (:real^3)
% Assm: VECTOR_SUB_EQ: !x y. x - y = vec 0 <=> x = y
% Assm: orthonormal: !e1 e2 e3. orthonormal e1 e2 e3 <=> e1 dot e1 = &1 /\ e2 dot e2 = &1 /\ e3 dot e3 = &1 /\ e1 dot e2 = &0 /\ e1 dot e3 = &0 /\ e2 dot e3 = &0 /\ &0 < (e1 cross e2) dot e3
% Goal: !v e1 e2 e3. orthonormal e1 e2 e3 ==> v = (v dot e1) % e1 + (v dot e2) % e2 + (v dot e3) % e3
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !x. x dot x = &0 <=> x = vec 0
% Assm: !x y z. (x + y) dot z = x dot z + y dot z
% Assm: !c x y. c % x dot y = c * (x dot y)
% Assm: !x y z. (x - y) dot z = x dot z - y dot z
% Assm: !x y z. x dot (y + z) = x dot y + x dot z
% Assm: !c x y. x dot c % y = c * (x dot y)
% Assm: !x y. x dot y = y dot x
% Assm: !s t. s = t <=> (!x. x IN s <=> x IN t)
% Assm: !P x. x IN P <=> P x
% Assm: !P x. x IN GSPEC (\v. P (SETSPEC v)) <=> P (\p t. p /\ x = t)
% Assm: !x. x IN (:A)
% Assm: ~F <=> T
% Assm: !x. x + &0 = x
% Assm: !x. x * &1 = x
% Assm: !x. x - x = &0
% Assm: !x. &0 + x = x
% Assm: !x. x * &0 = &0
% Assm: !a b c. span {a, b, c} = {u % a + v % b + w % c | u IN (:real) /\ v IN (:real) /\ w IN (:real)}
% Assm: T
% Assm: !e1 e2 e3. orthonormal e1 e2 e3 ==> span {e1, e2, e3} = (:real^3)
% Assm: !x y. x - y = vec 0 <=> x = y
% Assm: !e1 e2 e3. orthonormal e1 e2 e3 <=> e1 dot e1 = &1 /\ e2 dot e2 = &1 /\ e3 dot e3 = &1 /\ e1 dot e2 = &0 /\ e1 dot e3 = &0 /\ e2 dot e3 = &0 /\ &0 < (e1 cross e2) dot e3
% Goal: !v e1 e2 e3. orthonormal e1 e2 e3 ==> v = (v dot e1) % e1 + (v dot e2) % e2 + (v dot e3) % e3
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(cin1, type, in1 : (real > (real > $o) > $o)).
thf(cspan, type, span : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cgspec, type, gspec : ((cartrealn3 > $o) > cartrealn3 > $o)).
thf(cin0, type, in0 : (cartrealn3 > (cartrealn3 > $o) > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(crealuu_sub, type, realu_sub : (real > real > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cvec, type, vec : (num > cartrealn3)).
thf(cdot, type, dot : (cartrealn3 > cartrealn3 > real)).
thf(ccross, type, cross : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(cinsert, type, insert : (cartrealn3 > (cartrealn3 > $o) > cartrealn3 > $o)).
thf(csetspec, type, setspec : (cartrealn3 > $o > cartrealn3 > $o)).
thf(cvectoruu_sub, type, vectoru_sub : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(corthonormal, type, orthonormal : (cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(cuniv1, type, univ1 : (cartrealn3 > $o)).
thf(cempty, type, empty : (cartrealn3 > $o)).
thf(cuu_0, type, u_0 : num).
thf(cuniv0, type, univ0 : (real > $o)).
thf(cuniv, type, univ : (a > $o)).
thf(cbit1, type, bit1 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aDOTu_EQu_0, axiom, ![X:cartrealn3]:(((dot @ X @ X) = (realu_ofu_num @ (numeral @ u_0))) <=> (X = (vec @ (numeral @ u_0))))).
thf(aDOTu_LADD, axiom, ![X:cartrealn3,Y:cartrealn3,Z:cartrealn3]:((dot @ (vectoru_add @ X @ Y) @ Z) = (realu_add @ (dot @ X @ Z) @ (dot @ Y @ Z)))).
thf(aDOTu_LMUL, axiom, ![C:real,X:cartrealn3,Y:cartrealn3]:((dot @ (r_ @ C @ X) @ Y) = (realu_mul @ C @ (dot @ X @ Y)))).
thf(aDOTu_LSUB, axiom, ![X:cartrealn3,Y:cartrealn3,Z:cartrealn3]:((dot @ (vectoru_sub @ X @ Y) @ Z) = (realu_sub @ (dot @ X @ Z) @ (dot @ Y @ Z)))).
thf(aDOTu_RADD, axiom, ![X:cartrealn3,Y:cartrealn3,Z:cartrealn3]:((dot @ X @ (vectoru_add @ Y @ Z)) = (realu_add @ (dot @ X @ Y) @ (dot @ X @ Z)))).
thf(aDOTu_RMUL, axiom, ![C:real,X:cartrealn3,Y:cartrealn3]:((dot @ X @ (r_ @ C @ Y)) = (realu_mul @ C @ (dot @ X @ Y)))).
thf(aDOTu_SYM, axiom, ![X:cartrealn3,Y:cartrealn3]:((dot @ X @ Y) = (dot @ Y @ X))).
thf(aEXTENSION, axiom, ![S:(a > $o),T:(a > $o)]:((S = T) <=> ![X:a]:((in @ X @ S) <=> (in @ X @ T)))).
thf(aIN, axiom, ![P:(a > $o),X:a]:((in @ X @ P) <=> (P @ X))).
thf(aINu_ELIMu_THMu_conjunct0, axiom, ![P:(($o > cartrealn3 > $o) > $o),X:cartrealn3]:((in0 @ X @ (gspec @ ^[V:cartrealn3]:(P @ (setspec @ V)))) <=> (P @ ^[P0:$o,T:cartrealn3]:(P0 & (X = T))))).
thf(aINu_UNIV, axiom, ![X:a]:(in @ X @ univ)).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_MULu_RID, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_SUBu_REFL, axiom, ![X:real]:((realu_sub @ X @ X) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aSPANu_3, axiom, ![A:cartrealn3,B:cartrealn3,C:cartrealn3]:((span @ (insert @ A @ (insert @ B @ (insert @ C @ empty)))) = (gspec @ ^[GENR_PVARR_276:cartrealn3]:?[U:real,V:real,W:real]:(setspec @ GENR_PVARR_276 @ ((in1 @ U @ univ0) & (in1 @ V @ univ0) & (in1 @ W @ univ0)) @ (vectoru_add @ (r_ @ U @ A) @ (vectoru_add @ (r_ @ V @ B) @ (r_ @ W @ C))))))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometry2o_ORTHONORMALu_IMPu_SPANNING, axiom, ![E1:cartrealn3,E2:cartrealn3,E3:cartrealn3]:((orthonormal @ E1 @ E2 @ E3) => ((span @ (insert @ E1 @ (insert @ E2 @ (insert @ E3 @ empty)))) = univ1))).
thf(aVECTORu_SUBu_EQ, axiom, ![X:cartrealn3,Y:cartrealn3]:(((vectoru_sub @ X @ Y) = (vec @ (numeral @ u_0))) <=> (X = Y))).
thf(aorthonormal, axiom, ![E1:cartrealn3,E2:cartrealn3,E3:cartrealn3]:((orthonormal @ E1 @ E2 @ E3) <=> (((dot @ E1 @ E1) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((dot @ E2 @ E2) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((dot @ E3 @ E3) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((dot @ E1 @ E2) = (realu_ofu_num @ (numeral @ u_0))) & ((dot @ E1 @ E3) = (realu_ofu_num @ (numeral @ u_0))) & ((dot @ E2 @ E3) = (realu_ofu_num @ (numeral @ u_0))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (dot @ (cross @ E1 @ E2) @ E3))))).
thf(conjecture, conjecture, ![V:cartrealn3,E1:cartrealn3,E2:cartrealn3,E3:cartrealn3]:((orthonormal @ E1 @ E2 @ E3) => (V = (vectoru_add @ (r_ @ (dot @ V @ E1) @ E1) @ (vectoru_add @ (r_ @ (dot @ V @ E2) @ E2) @ (r_ @ (dot @ V @ E3) @ E3)))))).
