%   ORIGINAL: Fatugpd.norm_lemma1
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: Collect_geom2.POW_2: !x. x pow 2 = x * x
% Assm: DOT_LADD: !x y z. (x + y) dot z = x dot z + y dot z
% Assm: DOT_LMUL: !c x y. c % x dot y = c * (x dot y)
% Assm: DOT_RADD: !x y z. x dot (y + z) = x dot y + x dot z
% Assm: DOT_RMUL: !c x y. x dot c % y = c * (x dot y)
% Assm: DOT_SYM: !x y. x dot y = y dot x
% Assm: Fatugpd.fourier: !v e1 e2 e3. orthonormal e1 e2 e3 ==> v = (v dot e1) % e1 + (v dot e2) % e2 + (v dot e3) % e3
% Assm: REAL_ADD_RID: !x. x + &0 = x
% Assm: REAL_MUL_RID: !x. x * &1 = x
% Assm: REAL_POLY_CLAUSES_conjunct3: !x y z. x * y * z = (x * y) * z
% Assm: REAL_POLY_CLAUSES_conjunct7: !x y z. x * (y + z) = x * y + x * z
% Assm: Real_ext.REAL_SV_LADD_0: !x. &0 + x = x
% Assm: Real_ext.REAL_SV_RMUL_0: !x. x * &0 = &0
% Assm: TRUTH: T
% Assm: Trigonometry.XHVXJVB: !x. norm x = sqrt (x dot x)
% Assm: orthonormal: !e1 e2 e3. orthonormal e1 e2 e3 <=> e1 dot e1 = &1 /\ e2 dot e2 = &1 /\ e3 dot e3 = &1 /\ e1 dot e2 = &0 /\ e1 dot e3 = &0 /\ e2 dot e3 = &0 /\ &0 < (e1 cross e2) dot e3
% Goal: !v e1 e2 e3. orthonormal e1 e2 e3 ==> norm v = sqrt ((v dot e1) pow 2 + (v dot e2) pow 2 + (v dot e3) pow 2)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x. x pow 2 = x * x
% Assm: !x y z. (x + y) dot z = x dot z + y dot z
% Assm: !c x y. c % x dot y = c * (x dot y)
% Assm: !x y z. x dot (y + z) = x dot y + x dot z
% Assm: !c x y. x dot c % y = c * (x dot y)
% Assm: !x y. x dot y = y dot x
% Assm: !v e1 e2 e3. orthonormal e1 e2 e3 ==> v = (v dot e1) % e1 + (v dot e2) % e2 + (v dot e3) % e3
% Assm: !x. x + &0 = x
% Assm: !x. x * &1 = x
% Assm: !x y z. x * y * z = (x * y) * z
% Assm: !x y z. x * (y + z) = x * y + x * z
% Assm: !x. &0 + x = x
% Assm: !x. x * &0 = &0
% Assm: T
% Assm: !x. norm x = sqrt (x dot x)
% Assm: !e1 e2 e3. orthonormal e1 e2 e3 <=> e1 dot e1 = &1 /\ e2 dot e2 = &1 /\ e3 dot e3 = &1 /\ e1 dot e2 = &0 /\ e1 dot e3 = &0 /\ e2 dot e3 = &0 /\ &0 < (e1 cross e2) dot e3
% Goal: !v e1 e2 e3. orthonormal e1 e2 e3 ==> norm v = sqrt ((v dot e1) pow 2 + (v dot e2) pow 2 + (v dot e3) pow 2)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(crealuu_lt, type, realu_lt : (real > real > $o)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(cdot, type, dot : (cartrealn3 > cartrealn3 > real)).
thf(crealuu_pow, type, realu_pow : (real > num > real)).
thf(crealuu_add, type, realu_add : (real > real > real)).
thf(cvectoruu_norm, type, vectoru_norm : (cartrealn3 > real)).
thf(ccross, type, cross : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(corthonormal, type, orthonormal : (cartrealn3 > cartrealn3 > cartrealn3 > $o)).
thf(cuu_0, type, u_0 : num).
thf(csqrt, type, sqrt : (real > real)).
thf(cbit1, type, bit1 : (num > num)).
thf(cbit0, type, bit0 : (num > num)).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aCollectu_geom2o_POWu_2, axiom, ![X:real]:((realu_pow @ X @ (numeral @ (bit0 @ (bit1 @ u_0)))) = (realu_mul @ X @ X))).
thf(aDOTu_LADD, axiom, ![X:cartrealn3,Y:cartrealn3,Z:cartrealn3]:((dot @ (vectoru_add @ X @ Y) @ Z) = (realu_add @ (dot @ X @ Z) @ (dot @ Y @ Z)))).
thf(aDOTu_LMUL, axiom, ![C:real,X:cartrealn3,Y:cartrealn3]:((dot @ (r_ @ C @ X) @ Y) = (realu_mul @ C @ (dot @ X @ Y)))).
thf(aDOTu_RADD, axiom, ![X:cartrealn3,Y:cartrealn3,Z:cartrealn3]:((dot @ X @ (vectoru_add @ Y @ Z)) = (realu_add @ (dot @ X @ Y) @ (dot @ X @ Z)))).
thf(aDOTu_RMUL, axiom, ![C:real,X:cartrealn3,Y:cartrealn3]:((dot @ X @ (r_ @ C @ Y)) = (realu_mul @ C @ (dot @ X @ Y)))).
thf(aDOTu_SYM, axiom, ![X:cartrealn3,Y:cartrealn3]:((dot @ X @ Y) = (dot @ Y @ X))).
thf(aFatugpdo_fourier, axiom, ![V:cartrealn3,E1:cartrealn3,E2:cartrealn3,E3:cartrealn3]:((orthonormal @ E1 @ E2 @ E3) => (V = (vectoru_add @ (r_ @ (dot @ V @ E1) @ E1) @ (vectoru_add @ (r_ @ (dot @ V @ E2) @ E2) @ (r_ @ (dot @ V @ E3) @ E3)))))).
thf(aREALu_ADDu_RID, axiom, ![X:real]:((realu_add @ X @ (realu_ofu_num @ (numeral @ u_0))) = X)).
thf(aREALu_MULu_RID, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) = X)).
thf(aREALu_POLYu_CLAUSESu_conjunct3, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_mul @ Y @ Z)) = (realu_mul @ (realu_mul @ X @ Y) @ Z))).
thf(aREALu_POLYu_CLAUSESu_conjunct7, axiom, ![X:real,Y:real,Z:real]:((realu_mul @ X @ (realu_add @ Y @ Z)) = (realu_add @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aRealu_exto_REALu_SVu_LADDu_0, axiom, ![X:real]:((realu_add @ (realu_ofu_num @ (numeral @ u_0)) @ X) = X)).
thf(aRealu_exto_REALu_SVu_RMULu_0, axiom, ![X:real]:((realu_mul @ X @ (realu_ofu_num @ (numeral @ u_0))) = (realu_ofu_num @ (numeral @ u_0)))).
thf(aTRUTH, axiom, $true).
thf(aTrigonometryo_XHVXJVB, axiom, ![X:cartrealn3]:((vectoru_norm @ X) = (sqrt @ (dot @ X @ X)))).
thf(aorthonormal, axiom, ![E1:cartrealn3,E2:cartrealn3,E3:cartrealn3]:((orthonormal @ E1 @ E2 @ E3) <=> (((dot @ E1 @ E1) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((dot @ E2 @ E2) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((dot @ E3 @ E3) = (realu_ofu_num @ (numeral @ (bit1 @ u_0)))) & ((dot @ E1 @ E2) = (realu_ofu_num @ (numeral @ u_0))) & ((dot @ E1 @ E3) = (realu_ofu_num @ (numeral @ u_0))) & ((dot @ E2 @ E3) = (realu_ofu_num @ (numeral @ u_0))) & (realu_lt @ (realu_ofu_num @ (numeral @ u_0)) @ (dot @ (cross @ E1 @ E2) @ E3))))).
thf(conjecture, conjecture, ![V:cartrealn3,E1:cartrealn3,E2:cartrealn3,E3:cartrealn3]:((orthonormal @ E1 @ E2 @ E3) => ((vectoru_norm @ V) = (sqrt @ (realu_add @ (realu_pow @ (dot @ V @ E1) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_add @ (realu_pow @ (dot @ V @ E2) @ (numeral @ (bit0 @ (bit1 @ u_0)))) @ (realu_pow @ (dot @ V @ E3) @ (numeral @ (bit0 @ (bit1 @ u_0)))))))))).
