%   ORIGINAL: Fatugpd.coordinates_lemma
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: Fatugpd.fourier: !v e1 e2 e3. orthonormal e1 e2 e3 ==> v = (v dot e1) % e1 + (v dot e2) % e2 + (v dot e3) % e3
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: ORTHONORMAL_IMP_INDEPENDENT_EXPLICIT: !e1 e2 e3 s1 s2 s3 t1 t2 t3. orthonormal e1 e2 e3 ==> (s1 % e1 + s2 % e2 + s3 % e3 = t1 % e1 + t2 % e2 + t3 % e3 <=> s1 = t1 /\ s2 = t2 /\ s3 = t3)
% Assm: TRUTH: T
% Goal: !v e1 e2 e3 x y z. orthonormal e1 e2 e3 /\ v = x % e1 + y % e2 + z % e3 ==> x = v dot e1 /\ y = v dot e2 /\ z = v dot e3
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: !v e1 e2 e3. orthonormal e1 e2 e3 ==> v = (v dot e1) % e1 + (v dot e2) % e2 + (v dot e3) % e3
% Assm: ~F <=> T
% Assm: !e1 e2 e3 s1 s2 s3 t1 t2 t3. orthonormal e1 e2 e3 ==> (s1 % e1 + s2 % e2 + s3 % e3 = t1 % e1 + t2 % e2 + t3 % e3 <=> s1 = t1 /\ s2 = t2 /\ s3 = t3)
% Assm: T
% Goal: !v e1 e2 e3 x y z. orthonormal e1 e2 e3 /\ v = x % e1 + y % e2 + z % e3 ==> x = v dot e1 /\ y = v dot e2 /\ z = v dot e3
%  TYPES
thf(ta, type, a : $tType).
thf(tcartrealn3, type, cartrealn3 : $tType).
thf(treal, type, real : $tType).
thf(tn3, type, n3 : $tType).
%  CONSTS
thf(cdot, type, dot : (cartrealn3 > cartrealn3 > real)).
thf(cru_, type, r_ : (real > cartrealn3 > cartrealn3)).
thf(cvectoruu_add, type, vectoru_add : (cartrealn3 > cartrealn3 > cartrealn3)).
thf(corthonormal, type, orthonormal : (cartrealn3 > cartrealn3 > cartrealn3 > $o)).
%  AXIOMS
thf(aEQu_EXTu_monomorphized1, axiom, ![F:(a > real),G:(a > real)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aEQu_EXTu_monomorphized0, axiom, ![F:(a > cartrealn3),G:(a > cartrealn3)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aFatugpdo_fourier, axiom, ![V:cartrealn3,E1:cartrealn3,E2:cartrealn3,E3:cartrealn3]:((orthonormal @ E1 @ E2 @ E3) => (V = (vectoru_add @ (r_ @ (dot @ V @ E1) @ E1) @ (vectoru_add @ (r_ @ (dot @ V @ E2) @ E2) @ (r_ @ (dot @ V @ E3) @ E3)))))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aORTHONORMALu_IMPu_INDEPENDENTu_EXPLICIT, axiom, ![E1:cartrealn3,E2:cartrealn3,E3:cartrealn3,S1:real,S2:real,S3:real,T1:real,T2:real,T3:real]:((orthonormal @ E1 @ E2 @ E3) => (((vectoru_add @ (r_ @ S1 @ E1) @ (vectoru_add @ (r_ @ S2 @ E2) @ (r_ @ S3 @ E3))) = (vectoru_add @ (r_ @ T1 @ E1) @ (vectoru_add @ (r_ @ T2 @ E2) @ (r_ @ T3 @ E3)))) <=> ((S1 = T1) & (S2 = T2) & (S3 = T3))))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![V:cartrealn3,E1:cartrealn3,E2:cartrealn3,E3:cartrealn3,X:real,Y:real,Z:real]:(((orthonormal @ E1 @ E2 @ E3) & (V = (vectoru_add @ (r_ @ X @ E1) @ (vectoru_add @ (r_ @ Y @ E2) @ (r_ @ Z @ E3))))) => ((X = (dot @ V @ E1)) & (Y = (dot @ V @ E2)) & (Z = (dot @ V @ E3))))).
