%   ORIGINAL: Crttxat_tame.SUM_RMUL_BOUND
% Assm: EQ_EXT: !f g. (!x. f x = g x) ==> f = g
% Assm: BOOL_CASES_AX: !t. (t <=> T) \/ (t <=> F)
% Assm: NOT_CLAUSES_WEAK_conjunct1: ~F <=> T
% Assm: REAL_LE_LMUL: !x y z. &0 <= x /\ y <= z ==> x * y <= x * z
% Assm: SUM_LE: !f g s. FINITE s /\ (!x. x IN s ==> f x <= g x) ==> sum s f <= sum s g
% Assm: SUM_RMUL: !f c s. sum s (\x. f x * c) = sum s f * c
% Assm: TRUTH: T
% Goal: !s f g c. FINITE s /\ (!x. x IN s ==> c <= g x /\ &0 <= f x) ==> sum s (\x. f x) * c <= sum s (\x. f x * g x)
%   PROCESSED
% Assm: !f g. (!x. f x = g x) ==> f = g
% Assm: !t. (t <=> T) \/ (t <=> F)
% Assm: ~F <=> T
% Assm: !x y z. &0 <= x /\ y <= z ==> x * y <= x * z
% Assm: !f g s. FINITE s /\ (!x. x IN s ==> f x <= g x) ==> sum s f <= sum s g
% Assm: !f c s. sum s (\x. f x * c) = sum s f * c
% Assm: T
% Goal: !s f g c. FINITE s /\ (!x. x IN s ==> c <= g x /\ &0 <= f x) ==> sum s (\x. f x) * c <= sum s (\x. f x * g x)
%  TYPES
thf(tnum, type, num : $tType).
thf(ta, type, a : $tType).
thf(tb, type, b : $tType).
thf(treal, type, real : $tType).
%  CONSTS
thf(csum, type, sum : ((a > $o) > (a > real) > real)).
thf(crealuu_mul, type, realu_mul : (real > real > real)).
thf(crealuu_le, type, realu_le : (real > real > $o)).
thf(cin, type, in : (a > (a > $o) > $o)).
thf(crealuu_ofuu_num, type, realu_ofu_num : (num > real)).
thf(cfinite, type, finite : ((a > $o) > $o)).
thf(cuu_0, type, u_0 : num).
thf(cnumeral, type, numeral : (num > num)).
%  AXIOMS
thf(aEQu_EXT, axiom, ![F:(a > b),G:(a > b)]:(![X:a]:((F @ X) = (G @ X)) => (F = G))).
thf(aBOOLu_CASESu_AX, axiom, ![T:$o]:((T <=> $true) | (T <=> $false))).
thf(aNOTu_CLAUSESu_WEAKu_conjunct1, axiom, (~ ($false) <=> $true)).
thf(aREALu_LEu_LMUL, axiom, ![X:real,Y:real,Z:real]:(((realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ X) & (realu_le @ Y @ Z)) => (realu_le @ (realu_mul @ X @ Y) @ (realu_mul @ X @ Z)))).
thf(aSUMu_LE, axiom, ![F:(a > real),G:(a > real),S:(a > $o)]:(((finite @ S) & ![X:a]:((in @ X @ S) => (realu_le @ (F @ X) @ (G @ X)))) => (realu_le @ (sum @ S @ F) @ (sum @ S @ G)))).
thf(aSUMu_RMUL, axiom, ![F:(a > real),C:real,S:(a > $o)]:((sum @ S @ ^[X:a]:(realu_mul @ (F @ X) @ C)) = (realu_mul @ (sum @ S @ F) @ C))).
thf(aTRUTH, axiom, $true).
thf(conjecture, conjecture, ![S:(a > $o),F:(a > real),G:(a > real),C:real]:(((finite @ S) & ![X:a]:((in @ X @ S) => ((realu_le @ C @ (G @ X)) & (realu_le @ (realu_ofu_num @ (numeral @ u_0)) @ (F @ X))))) => (realu_le @ (realu_mul @ (sum @ S @ ^[X:a]:(F @ X)) @ C) @ (sum @ S @ ^[X:a]:(realu_mul @ (F @ X) @ (G @ X)))))).
